Browser User Guide

In this section:

Introduction to the Browser

Finding and Opening Tables and Extracts

Browsing Fundamentals

Items and Dimensions

Working with Data

Charts

Maps

Groups

Fields

Labels

Saved Views

Documenting a Table

Printing

Creating a Table from an Extract

Source Fields


Introduction to the Browser

In this section:

What is the Browser?

Beyond 20/20 Browser Files

The Toolbar

A Sample Table

Window Areas

Selecting Items

Changing the Language of a Table

Displaying a Table Title in the Window Header

Selecting Colors for a Table View

Resizing Dimension Tiles and Headings

Tiling and Cascading Document Windows


What is the Browser?

The Beyond 20/20 Browser is a Windows-based program used to browse Beyond 20/20 tables and extracts.

Browsing is a term that describes the dynamic way you look at and manage the information the Browser presents. Browsing begins the moment you start the Browser, and it ends as soon as you are satisfied that your view contains the information you are looking for.

In general, browsing involves:

  • Opening one or more tables or extracts.
  • Examining their contents.
  • Identifying the relevant data.

These activities are carried out from within the Browser window. The Browser window provides the tools you need to browse tables and extracts and work with the information in them. It contains features that are common to all Microsoft Windows applications.


Beyond 20/20 Browser Files

The following file types are associated with the Beyond 20/20 Browser:

Table File (*.ivt)

This file holds all the data and textual information associated with a table, as well as information on how the table is displayed.

Extract File (*.ivx)

An extract file is used to create a personalized table. It includes textual information: the name, type, description, and category of the extract, and the dimension definition file references for each source field in the extract.

Dimension Definition File (*.ivd)

A dimension definition file defines a dimension of a table or a source field of an extract. It generally contains information about the dimension (i.e., its name, description and type), and the codes and labels associated with the items of the dimension. It can optionally contain notes, a hierarchical structure, language specific information, or a link to a map file.

When an extract is created, a dimension definition file is generated for each source field in the extract. In addition to the information described above, a dimension definition file associated with an extract contains the data associated with each item in the source field.


The Toolbar

The toolbar consists of the Active Dimension Box, the Previous Item and Next Item buttons, and the toolbar buttons.

Active Dimension Box

The Active Dimension Box identifies the dimension that is currently selected. A dimension must be active if you want to do something with it (e.g., sort, search, view, or change labels). To set the active dimension, select the desired dimension from the drop-down list box.

Previous Item and Next Item Buttons

Previous Item button Next Item button

The arrow buttons on either side of the Active Dimension Box are called the Previous Item and Next Item buttons. They let you step through the items in a dimension.

Clicking the Previous Item or Next Item button when the column or row dimension is active moves the cursor along the column or row. When the active dimension is positioned in the dimension bar, the buttons are used to sequentially display the data associated with the next item.

Toolbar Buttons

Toolbar buttons provide you with shortcuts to some of the most often-used menu commands.

Chart button | Open | Lets you select and open a table or an extract by entering its location and file name. Clicking the Open button does the same thing as choosing Open from the File menu.
Chart button | Find | Opens the Find dialog box, which lets you search for, identify, and open a table or an extract. Clicking the Find button does the same thing as choosing Find from the File menu.
Chart button | Tile | Arranges all open documents into a tile pattern. Clicking the Tile button does the same thing as choosing Tile from the Window menu.
Label button | Next Label | When the active dimension contains two or more fields, the Next Label button moves from one field to the next, displaying the new text for each item as it steps through the fields. Clicking the Next Label button does the same thing as choosing Change Labels from the Dimension menu.
 | Print | Prints the active view. Clicking the Print button does the same thing as choosing Print from the File menu.
Search button | Search | Lets you enter text or a numeric range that the Browser will search for in the active dimension. A search can either expand or reduce the number of items in the view, or it can find an item. Clicking the Search button does the same thing as choosing Search from the Dimension menu.
Sort Button | Sort | Sorts the items in the active dimension in ascending or descending order. Clicking the Sort button does the same thing as choosing Sort from the Dimension menu.
Chart button | Display active dimension | Opens a window on the field information associated with the active dimension. Clicking the Display active dimension button does the same thing as choosing Dimension from the View menu.
Chart button | Display chart | Creates a chart view based on the items you select in a table view. Clicking the Display chart button does the same thing as choosing Chart from the View menu.
Button - Map | Display map | Displays a map view that corresponds to the active table view. Clicking the Display map button does the same thing as choosing Map from the View menu.
Button - Go | Load data (Go) | Performs the Load Data operation to create a table. Clicking the Go button does the same thing as choosing Go from the Data menu.
Language button | Change Language | Simultaneously changes the language of a multilingual table and the user interface.


A Sample Table

This Browser window shows a sample table:

This table has the following dimensions:

  • Units and Project are in the dimension bar. Both have summary icons to indicate that metadata is present. You can click the icons to read the summaries. Project shows the group Mammography Screening, whose name is bold and underlined to show that it defines a group, and a drill back arrow, which indicates that you have previously drilled down into a group. Clicking the arrow will show the previous group view.
  • Date is across the columns.
  • Region is along the rows. It has a summary icon and one of its items, United States, defines a group.

Your mouse cursor is hovering over the data cell for New York, January 1997, which contains two footnote indicators and a missing value indicator. You can read the footnote and missing value explanations in the popup.

Note: Footnotes may by marked by cell coloring, a footnote indicator, or both. In some cases footnote descriptions in popups may be suppressed.


Window Areas

Table window

Extract window

Window Areas

Each document window has its own title bar, Minimize and Maximize buttons, and vertical and horizontal scroll bars, regardless of whether an extract, a table, a chart, a map, or a dimension view is displayed in it.

Row Dimension Area

The row dimension area is the area where source field tiles can be positioned to create the row dimension.

In an extract, this area is initially blank. To create a table, a source field tile is dragged into the row dimension area and consequently becomes the row dimension.

Column Dimension Area

The column dimension area is the area where source field tiles can be positioned to create the column dimension.

In an extract, this area is initially blank. To create a table, a source field tile is dragged into the column dimension area and consequently becomes the column dimension.

Dimension Bar

The dimension bar is where source field tiles can be positioned to create dimensions other than the column and row dimensions.

In an extract, this area is initially blank. To create a table, a source field tile is dragged into the dimension bar area and consequently becomes a dimension in the dimension bar.

Source Field Bar

The source field bar contains a list of source field tiles from which you can create a table. It appears, when appropriate, down the right-hand side of the screen. A small number sign in the lower left corner of the source field tile indicates a numeric source field. The source field bar can only be seen when an extract is open.

Status Bar

The status bar provides information about the active view and the current or selected item(s).


Selecting Items

The normal cursor

This screenshot of a Browser window shows a table with a dimension called Region. Region has been selected by single-clicking in its tile and the mouse cursor is normal.

The hand cursor

Pointing at a drill back arrow, a summary icon, or a bold and underlined group name changes the cursor into a hand.

When the cursor is a hand:

  • Single-click a summary icon to read the summary.
  • Single-click a group name to drill down into the group and show its members.
  • Single-click a drill back arrow to see the previous group view.

Note: If you click an object but move off it before you release the mouse button, the action is cancelled and the cursor becomes a cross for selecting or dragging.

Note: If you press and hold the Shift or Control key, the cursor is prevented from turning into a hand. It becomes a cross for selecting or dragging.

The cross cursor

If you point at a tile but not at any objects, the cursor turns into a cross for selecting and dragging. This Browser window shows the cursor as a cross pointing at Toronto:

When the cursor is a cross:

  • Single-click to select an item.
  • Click in a tile and drag over other items before you release the mouse button. All the items you drag over are selected.
  • Press and hold the Control key to select separate items. While the Control key is pressed the cross cursor is prevented from becoming a hand, so you cannot inadvertently select a summary icon or drill down into a group.
  • Press and hold the Shift key to select separate items and all the items in between them. While the Shift key is pressed the cross cursor is prevented from becoming a hand, so you cannot inadvertently select a summary icon or drill down into a group.


Changing the Language of a Table

A multilingual table is one whose descriptive components are available in more than one language.

When a multilingual table is initially opened, it is displayed in the language of preference as defined in the Preferences dialog box. The status bar always indicates the current language of a multilingual table.

The following list shows the language abbreviations used in the status bar:

DAN - Danish

DEU - German

ENG - English

ESN - Spanish

FIN - Finnish

FRA - French

ISL - Icelandic

ITA - Italian

NLD - Dutch

NOR - Norwegian

PTG - Portuguese

SVE - Swedish

To view a multilingual table in one of its alternate languages:

Do one of the following:

  • From the View menu, choose Change Language.
  • Press F9.

    Note: Subsequent selections of the Change Language command or function key display the table in its next available language.

To change the Table and User Interface languages simultaneously:

  • Language button Press the Change Language button on the toolbar.

See also:

  • Preferences dialog box


Displaying a Table Title in the Window Header

You have the option of displaying either the one-line table title or the table name in the title bar of the table view. By default, the one-line title is displayed.

To display the table name in the table view header:

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Clear the checkbox for Display Table Title in Document Window Title Bar.
  3. Click OK. The table name is displayed in the title bar of the table view.

See also:

  • Preferences dialog box


Selecting Colors for a Table View

You can change the color of the dimension tiles and item headings. You can also select a color to indicate which tile and/or heading is currently active.

To select dimension colors and the selection color:

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. In the Dimension Color areas, select colors for the dimension tiles.
  3. In Selection Color, select a color to represent selected objects.
  4. Click OK.

See also:

  • Preferences dialog box


Resizing Dimension Tiles and Headings

When a table is initially opened, the widths of the row headings are automatically adjusted to accommodate the longest item. However, when you change labels or switch dimension tiles, the space provided in a heading may be too wide or not wide enough to accommodate the text in the heading.

To change the width of a heading:

  1. Click on one of the following:
    • The border of the first heading in the column dimension
    • The border of any heading in the row dimension
    • The border of a tile in the dimension bar
  2. Do one of the following:
    • To increase the width of the heading, drag the border to the right.
    • To decrease the width of the heading, drag the border to the left.

      As you drag the mouse, shadow lines indicate how far the border has moved.

  3. Release the mouse button.


Tiling and Cascading Document Windows

The Browser can display document windows side-by-side in a tile arrangement, or one behind the other in a cascade arrangement. Arranging the windows this way lets you see how many windows are open and provides immediate access to all of the windows. To access a document window, click on it to make it active.

To tile all document windows:

Do one of the following:

  • Chart button Click the Tile button on the toolbar.
  • From the Window menu, choose Tile Vertical or Tile Horizontal.

    The Browser arranges all of the document windows either side-by-side (vertically) or one above the other (horizontally).

    Tip: You can automatically tile all chart and map windows. From the Window menu, choose Preferences and select the check box for Automatically Tile Windows on Creation.

To cascade all document windows:

  • From the Window menu, choose Cascade.

    The Browser arranges all of the document windows one behind the other, leaving the title bar of each showing.


Finding and Opening Tables and Extracts

In this section:

Overview

Opening the Find Dialog Box

Changing Directories

Selecting Categories to Find Tables or Extracts

Searching for Relevant Tables and Extracts

Opening Tables and Extracts


Overview

Tables and extracts can be located through the Find dialog box or the Open dialog box.

  • The Find dialog box enables you to find the table or extract you want to open by selecting categories, search fields, and view summaries.
  • The Open dialog box opens a table or extract directly.

See also:

  • Find dialog box
  • Open dialog box


Opening the Find Dialog Box

To open the Find dialog box manually:

Do one of the following:

  • Chart button Click the Find button on the toolbar.
  • From the File menu, choose Find.

    The Find dialog box appears.

See also:

  • Find dialog box


Changing Directories

In some cases, not all tables and extracts are stored in one directory. If you do not see the table or extract you want to open, you can manually enter the correct directory, or use the Browse button to change directories.

To change directories:

  1. Chart button From the Find dialog box, click the browse button.

    The Browse for folder dialog box appears.

  2. Select the folder where you want to begin your search and click OK.

See also:

  • Find dialog box
  • Browse for folder dialog box


Selecting Categories to Find Tables or Extracts

When you prepare tables and extracts, part of the procedure is to assign a category name to each table and extract. The Categories area displays all of the category names that are assigned to the tables and extracts in the current directory.

When you open the Find dialog box, the first category displayed is automatically selected. The Files area provides you with a list of all of the tables and extracts assigned to that category. This list contains table and extract names and their titles and indicates whether the file is a table or an extract.

To select one or more categories:

  • In the Categories area, select a category name.
  • To select more than one category, do one of the following:
    • Click and hold the left mouse button while dragging the pointer along the category names.
    • Hold the Ctrl key down and click on the category names.

Each time you add a new category to those selected, the Browser adds the associated tables and extracts to the Files area.

To see a list of all the tables and extracts in the current directory:

  • From the Find dialog box, click All.

    All of the table and extract categories are selected. Consequently, all of the tables and extracts in the current directory are displayed in the Files area.

    Tip: To clear the selection of all categories, click None.

See also:

  • Find dialog box


Searching for Relevant Tables and Extracts

Beyond 20/20 tables and extracts have descriptive components which tell you something about the contents. You can search the descriptive components to help you locate the table or extract you are looking for.

To search the descriptive components of a table or an extract:

  1. From the Find dialog box, click Search.

    The Search Components dialog box appears.

  2. In Text to Find, enter the text you want to search for.
  3. In the Search Options area, select the options you want to search:
    • Title/Description - A brief description of the table or extract.
    • Notes - An extended description of the table or extract.
    • Keywords - A list of individual words or phrases that are associated with the table or extract.
    • Dimension/Source Field Names - The names assigned to the dimensions of a table or the source fields of an extract.
    • Codes - Symbolic values that uniquely identify items. A code can be an abbreviation or a combination of numbers and letters.
    • Labels - An optional word or phrase that describes an item, or the code that identifies that item. It can be the name of a person, place, object, or time value.
  4. Click OK.

    The Browser searches the tables and extracts currently listed in the Files area.

    • If a match is found, the table and/or extract name is displayed in the Files area. In addition, a message showing the total number of tables and/or extracts found is displayed above the Files area.
    • If a match is not found, the Files area is empty and the message "0 found" is displayed above it. In this case, you may want to clear the search result and try a different search.

To clear the results of all searches:

  • In the Find dialog box, click Clear.

See also:

  • Find dialog box
  • Search Components dialog box


Opening Tables and Extracts

You can open tables and extracts from the Find dialog box or the Open dialog box.

To open a table or an extract from the Find dialog box:

In the Find dialog box, do one of the following:

  • Double-click on the table or extract name.
  • Select the table or extract name and click OK.

To open a table or an extract from the Open dialog box:

  1. Do one of the following:
    • Chart button Click the Open button on the toolbar.
    • From the File menu, choose Open.

      The Open dialog box appears.

  2. Select the table or extract you want to open. If you do not see the file you want to open, select a different drive, directory or file type to locate the file.
  3. Click Open.

    The table or extract is displayed in a new document window.

See also:

  • Find dialog box
  • Open dialog box


Browsing Fundamentals

In this section:

Browsing Items

Selecting Objects

Hiding and Showing Items

Switching Dimensions

Nesting Dimensions

Switching and Nesting Dimensions Using the Keyboard

Viewing Summary Information


Browsing Items

When a dimension is displayed in the dimension bar, you can use the Next Item and Previous Item buttons to display its items in sequence. The column and row data are updated each time you move to a new item.

To browse through the items associated with a dimension:

  1. Select the dimension you want to browse.
  2. Do one of the following:

    Next Item button Click the Next Item button on the toolbar to see the next item in the dimension.

    Previous Item button Click the Previous Item button on the toolbar to see the previous item in the dimension.

    Your view of the data changes to show the data associated with the next or previous item in the active dimension.

  3. Continue clicking on the Next Item or Previous Item buttons until you see the item you want.


Selecting Objects

Selecting an object indicates which part of the table you want to work with; it makes the object active. For example, if you want to reposition a dimension, copy an item to another application, or sort the items in a dimension, you must first select the related object.

In general, you click on an object to select it.

To select a dimension tile:

  1. Do one of the following:
    • Click on the dimension tile you want to use.
    • Click in the Active Dimension Box. Select the name of the dimension you want to use.

      Note: When you select a dimension in the dimension bar, the dimension and the single item on display are both selected.

      The dimension tile is selected and highlighted in the selection color. The corresponding dimension is now active and its name appears in the Active Dimension Box.

To select a dimension tile using the keyboard:

Note: To force the Browser to release control of the keyboard at any time during the following procedure, press Esc.

  1. Press Alt, V.

    The View menu drops down.

  2. Do one of the following:
    • Using the down arrow key, move the cursor to the Set Active Dimension command. Press Enter.
    • Press A.

      The Set Active Dimension dialog box appears.

  3. Do one of the following:
    • Using the up or down arrow keys, move the cursor to the name of the dimension you want to make active.
    • Enter the first letter of the dimension name that you want to make active.
  4. Press Enter.

    The dimension tile is selected and highlighted in the selection color. The corresponding dimension is now active and its name appears in the Active Dimension Box.

To select a single heading:

  • Click on the row or column item heading you want to use.

    The item heading, all its associated data, and the corresponding dimension tile are highlighted.

To select multiple adjacent headings:

  1. Position the cursor over the heading of the first item you want to use. Click and hold the left mouse button.
  2. Drag the pointer along the headings of the items you want to use.
  3. Release the left mouse button.

    The item headings, all their associated data, and the corresponding dimension tile are highlighted.

To select multiple non-adjacent headings:

Note: This technique lets you select headings from the same dimension, as well as headings from other dimensions.

  1. Click on the heading of the first item you want to use.
  2. Hold the Ctrl key down and click on the heading of the next item you want.
  3. Repeat Step 2 until the headings of all of the items you want to select are highlighted.

    The item headings and all of their associated data are highlighted. The Active Dimension Box displays the dimension name of the item selected last.

To select all the item headings in a dimension:

  1. Select the dimension you want to use.
  2. From the Item menu, choose Select All.

To select a cell:

  • Click on the cell you want to use. A box appears around the selected cell.

    Tip: The arrow keys can be used to move the cursor from one cell to the next in the same column or row. Alternatively, you can click the Next Item or Previous Item buttons on the toolbar to move the cursor from one cell to the next (one at a time) along a column or row.

See also:

  • Set Active Dimension dialog box


Hiding and Showing Items

When a table is initially opened, all its items are shown and the view can be quite large. You can make the view more manageable by hiding the items you do not need.

Note: Hiding items does not delete them. You can return items to the view at any time.

To hide selected items from a table view:

  1. Select the headings of the items you want to hide.
  2. Do one of the following:
    • Click the right mouse button and choose Hide.
    • From the Item menu, choose Hide.

      The items you selected disappear from the view.

      Note: To return the hidden items to the table view, select the dimension and choose Reset from the Dimension menu.

To show only the items you select:

  1. Select the headings of the items you want to display.
  2. Do one of the following:
    • Click the right mouse button and choose Show.
    • From the Item menu, choose Show.

      The unselected items disappear from the view.

To display the reverse set of items:

  1. Select the dimension that contains the hidden items you want to see.
  2. From the Dimension menu, choose Reverse.

    All the items in the view are replaced by the ones that were hidden.

To show all the items in a dimension:

  1. Select the dimension that contains the items you want to see.
  2. Do one of the following:
    • Click the right mouse button and choose Show All.
    • From the Dimension menu, choose Show All.

      All the active dimension's items are displayed in the table view.


Switching Dimensions

Switching dimensions involves dragging a dimension tile from the dimension bar into the table, or dragging a heading from the column or row dimension areas into the dimension bar. When the tile or heading is dropped, the two dimensions change places. You can also switch column and row dimensions.

To switch dimensions:

  1. Select the dimension you want to move.
  2. Do one of the following:
    • Drag and drop the tile on the row headings if you want to replace the row dimension.
    • Drag and drop the tile on the column headings if you want to replace the column dimension.
    • Drag and drop the tile on a dimension in the dimension bar if you want to replace one of the dimensions in the dimension bar.


Nesting Dimensions

Nesting lets you display more than one dimension along the columns or rows. It involves positioning a dimension tile over the border of existing headings in the column or row dimension. When the tile is released, new headings are added to the column or row areas.

To nest dimensions:

  1. In the dimension bar, select the dimension you want to nest.
  2. Do one of the following:
    • To nest along the rows, drag and drop the dimension tile onto the outer or inner border of the row headings.
    • To nest along the columns, drag and drop the dimension tile onto the top or bottom of the border of the column headings.

      The dimension tile is ready to be dropped when the border of the row or column headings you are nesting into becomes highlighted.


Switching and Nesting Dimensions Using the Keyboard

The Move Dimensions command provides a keyboard alternative for moving a dimension tile.

Note: To force the Browser to release control of the keyboard at any time during the following procedure, press Esc.

To move a dimension tile using the keyboard:

  1. Select the tile you want to move.
  2. Press Alt, V.

    The View menu drops down.

  3. Do one of the following:
    • Using the down arrow key, move the cursor to the Move Dimensions command. Press Enter.
    • Press V.
  4. Press the Tab key repeatedly until the area you want to move the tile to is highlighted.

    The Browser may highlight another tile or one of the heading areas (to switch), a border of the heading area (to nest), or the border of a tile in the dimension bar (to rearrange the order of the tiles in the dimension bar).

  5. Press Enter.

    The Browser switches or nests the dimension you selected into the area that was highlighted.


Viewing Summary Information

Every Beyond 20/20 table contains descriptive information about the table. This descriptive information, called metadata, can be found in the table summary, dimension summaries, and item summaries.

To view a table summary:

  • From the File menu, choose Summary.

To view a dimension summary or an item summary:

  • Summary Icon Click the Summary icon beside the name of the dimension or item whose summary you want to view.

See Also:

  • Summary View
  • Summary Editor


Items and Dimensions

In this section:

Displaying a Dimension View

Adding and Deleting Items

Displaying Alternate Labels

Examining Group Levels

Dimension Profiles

Sorting and Rearranging Items

Searching Items


Displaying a Dimension View

If you are not familiar with the fields that make up a dimension, you can open a view on the dimension to determine its contents.

When you open a dimension view, the Browser displays the code field and any label fields associated with that dimension. Data is not available in a dimension view.

To open a dimension view:

  1. Select the dimension whose dimension view you want to display.
  2. Do one of the following:
    • Chart button Click the Display Active Dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension View appears.

See also:

  • Dimension View


Adding and Deleting Items

To add an item:

  1. Select the dimension that you want to add an item to.
  2. Position the cursor on the item that is to be before or after the new item.
  3. From the Item menu, choose Insert.

    The Insert Item dialog box appears.

  4. In Item Code, enter the code for the new item.
  5. In the Where to Insert area, select the option that indicates where the new item should be placed.
  6. Click OK.

    The new item displays in the current view.

To delete an item:

Caution: Once an item is deleted, you cannot retrieve it.

  1. Select the item to be deleted.
  2. From the Item menu, choose Delete Item.

    You are prompted to confirm the deletion.

  3. Click OK.

    Note: If you delete an item that belongs to a totaled or calculated group, the group values do not change until you run the Calculate command.

    Note: Adding items or groups automatically updates older version Beyond 20/20 tables to version 6.2.

See also:

  • Insert Item dialog box


Displaying Alternate Labels

The fields that make up a dimension of a table are created when the table is prepared. The Browser derives the codes or labels you see in the dimension tiles and item headings from this field information.

A dimension always contains one field of codes, and may contain one or more fields of labels. Each code uniquely identifies an item. Labels help to define the code, or they can provide additional information about the item itself.

If at least one label field is available for the active dimension, you can display the code field or the label fields in the table view.

To step through available code and label fields:

  1. Select a dimension.
  2. Do one of the following:
    • Label button Click the Next Label button on the toolbar.
    • From the Dimension menu, choose Change Labels.

      The displayed codes or labels are replaced with the next available field of codes or labels. As you continue changing labels, the Browser steps through all of the available fields one at a time.


Examining Group Levels

A group is an item that has an underlying hierarchical structure assigned to it. You can drill up and down in groups to explore the structure.

To display the members of a group (Drill Down):

  • Click on a bold, underlined item name.

    The items that are members of the group are displayed.

To display the item that defines a group (Drill Up):

  1. Select an item that is a member of a group. To determine whether an item is a member of a group, select it and then check the status bar. The word Member indicates that an item is a member of a group.
  2. From the Dimension menu, choose Drill Up (or else right- click the item and choose Drill Up).

    The Browser displays the item that defines the group along with any other items that are on the same level of the hierarchy as the group. For example, drilling up on Ontario would probably display Canada, but it might also display Mexico and USA.

    Note: To view all the items of a dimension, choose Show All from the Dimension menu.

To return to the previous group view (Drill Back):

  • Drill Back Arrow Click on the Drill Back arrow in a dimension tile.

    The previous group view displays.

    Note: A Drill Back arrow only appears after you have drilled down into a group.


Dimension Profiles

Dimension profiles (*.IVP) are user-defined collections of dimension items and group definitions. If you work with certain items frequently, you can save those items as a profile and give the profile a name and description. (You can also create a profile by importing a list of codes from an ASCII dimension profile.) Later, you can load the profile and either select or show only those items that belong to the profile.

To create a dimension profile:

  1. Select the items you want to include in the dimension profile.
  2. From the Dimension menu, choose Save Profile.

    The Save Dimension Profile dialog box appears.

  3. In Profile Name, enter a name for the dimension profile.
  4. In Description, enter a description for the dimension profile.
  5. If any groups have been defined in the dimension, the Include group definitions checkbox will be active. Select it if you want to save the group definitions along with the profile.
  6. Click OK.

    The items and group definitions you selected are saved as a dimension profile.

To create an ASCII dimension profile:

  1. Create a text file using Notepad or another text editor.
  2. List the codes for the items that you want to include in your dimension profile. Do not include anything else in the file. Put one code on each line as follows:

    code1
    code2
    code3

  3. Name and save the text file. If you use a word processor to create the file be sure to save it as plain text (*.txt). Then see To import an ASCII dimension profile.

To import an ASCII dimension profile:

  1. From the File menu, point at Utilities and then choose Import Profile.

    The Import Dimension Profile dialog box appears.

  2. Do one of the following:
    • In Import Filename, enter the name of the ASCII dimension profile you wish to import.
    • Chart button Click the browse button to locate and select the ASCII dimension profile for import.
  3. In Dimension, enter the name of the dimension you want to associate the profile with.
  4. In Profile Name, enter a name for the new profile you are creating.
  5. In Description, enter a description of the profile.
  6. Click OK.

    The profile is now associated with the dimension. It will appear in the Load Profile dialog box.

To load a dimension profile:

  1. From the Dimension menu, choose Load Profile.

    The Load Profile dialog box appears.

  2. In Profile Name/Description, select the profile you want to load.
  3. If the profile contains group definitions, the checkbox for Include group definitions will be active. Select it if you want to load the saved group definitions as well as the dimension items.
  4. Do one of the following:
    • Click Select to select the items belonging to the profile.
    • Click Show to display only the items belonging to the profile.

To delete a dimension profile:

Note: Deleting a profile does not delete the items from the dimension.

  1. From the Dimension menu, choose Load Profile.

    The Load Profile dialog box appears.

  2. In Profile Name/Description, select the dimension profile you want to delete and click Delete Profile.

    You are prompted to confirm the deletion.

  3. Click Yes.

    To delete another profile, repeat from Step 2.

See also:

  • Save Dimension Profile dialog box
  • Import Dimension Profile dialog box
  • Load Profile dialog box


Sorting and Rearranging Items

A table can be sorted numerically by its data or alphabetically by its codes or labels. The items in a dimension can also be manually rearranged.

To sort items:

Note: If you want to sort by data value, you must be in a table view.

Note: If you want to sort a particular set of labels, first ensure that they are displayed in the table view.

  1. Select the dimension you want to sort.
  2. If you are sorting items that are displayed along the rows or columns of a table, select a cell that lies in the row or column that you want to sort.
  3. Do one of the following:
    • Sort Button Click the Sort button on the toolbar.
    • From the Dimension menu, choose Sort.

      The Sort dialog box appears. The Field area displays the fields of the dimension.

  4. In Field, select the field you want to sort.

    The Sort Options area displays the options for the selected field.

  5. In the Sort Options area:
    • Select Increasing to sort the data by ascending value.
    • Select Decreasing to sort the data by descending value.
    • Select Increasing Alphabetic to sort the codes or labels by 0-9. A-Z, and a-z.
    • Select Decreasing Alphabetic to sort the codes or labels by z-a, Z-A, and 9-0.
    • Select Increasing Numeric to sort the codes or labels by 0-9. (All alphabetic codes or labels will be presented first.)
    • Select Decreasing Numeric to sort the codes or labels by 9-0. (All alphabetic codes or labels will be presented last.)

      The items in the current view are displayed in the order specified.

      Note: To undo the most recent sort, choose Reset from the Dimension menu.

To change the order of items:

  1. Select the dimension containing the items you want to reorder.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension View appears.

  3. Hold the Shift key down and click on the index number of the item you want to move.
  4. Drag and drop the item to a new location.

    Note: To restore the items to their original order, select the dimension and then choose Reset from the Dimension menu.

See also:

  • Sort dialog box
  • Dimension View


Searching Items

In this section:

Overview

Searching the code field or a label field

Searching Data

Searching the Time Series Dimension


Overview

The Browser's dimension search capability allows you to display only the items you need. To use the search feature efficiently, it helps to be familiar with the fields of a dimension. (The Search command requires that you specify the name of the field you want to search.) You can open a dimension view to look at the fields of a dimension.

To open a dimension view:

  1. Select the dimension whose dimension view you want to display.
  2. Do one of the following:
    • Chart button Click the Display Active Dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension View appears.

See also:

  • Dimension View


Searching the code field or a label field

Perform this kind of search when you know a word or phrase that describes the items you are looking for.

To search the code field or a label field:

  1. Select the dimension you want to search.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select either Code or the name of a label field.
  4. In Text to Find, enter the code, word, phrase, or abbreviation you want to search for.

    Tip: The Browser will find this text or code whether it is at the beginning, in the middle, or at the end of a series of characters. It is best to be as specific as possible.

  5. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to display all hidden items that match. Previously displayed items remain displayed.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.

      The Browser determines whether the field you selected contains the text you specified, and then displays the results.

See also:

  • Search dialog box


Searching Data

Before you can search data, you must move the cursor to one of the items in the column or row dimension, whichever is currently inactive. The position of the cursor defines which item in the inactive dimension will be searched.

Note: In the case of nested dimensions, the position of the cursor still focuses the search on a single item.

To search data:

Note: You can only search data in a table view. (In a dimension view, only code and label fields are available.)

  1. Select the dimension you want to search.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select Data.
  4. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to add items to the current view.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.
  5. Do one of the following:
    • In Minimum, enter a number to represent the lowest data value you want to be included in the search result.
    • In Maximum, enter a number to represent the highest data value you want to be included in the search result.

      Tip: To limit the search result even further, specify both a minimum and maximum value.

  6. Click OK.

    The Browser determines whether any data in the table meets your criteria, and then displays the results.

See also:

  • Search dialog box


Searching the Time Series Dimension

A time series search displays only those items that were recorded during a specific time span.

To search a time series dimension:

  1. Select the time series dimension.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select Timeseries.
  4. In the From area, enter the year and month that you want to search from.

    Note: In the From and To areas, a month must be indicated by the number that refers to its chronological order in the calendar year. (January is number 1.)

  5. In the To area, enter the year and month that you want to search to.
  6. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to display all hidden items that match. Previously displayed items remain displayed.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.
  7. Click OK.

    The Browser determines whether the time series field contains the time span you specified, and then displays the results.

Note: Searching time series data searches the base frequency of the data regardless of the time series aggregation displayed.

See also:

  • Search dialog box


Working with Data

In this section:

Displaying Decimals

Displaying Zeros

Time Series Options

Defining the Fiscal Year

Calculating Distributions

Creating a Working Copy of a Table

Importing Table Data

Saving Data into a New Table

Exporting Data to a New File Format

Copying Data to Another Application


Displaying Decimals

The Browser can display data values as integers or as decimal fractions. The level of accuracy needed in the data determines whether integers or fractions are stored in a table. In some cases (for example, when the data in a time series dimension is aggregated), the Browser generates and displays fractions based on the calculations it performs on stored integers.

Decimal places can be set for a single item, for multiple items along one dimension, or for the entire table.

To change the number of digits displayed after the decimal point:

  1. Do one of the following:
    • Select one or more item headings in a dimension, in order to set the decimal places along those items.
    • Select a dimension tile, or a single cell in the table, to set decimal places for the entire table.
  2. From the View menu, point at Decimals and then choose the number of decimal places you want to display.

    A check mark appears beside the selected number.

    The decimal setting remains in effect until you change it or close the table without first saving the view.


Displaying Zeros

You can suppress the display of zero values by displaying them as empty cells. In a table that has many zero values this option helps to make the table more readable.

To suppress the display of zeros in a table:

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Clear the Display Zeros check box and click OK.

    From this point on, the Browser displays blank table cells when data values are equal to zero.

See also:

  • Preferences dialog box


Time Series Options

The Browser is capable of displaying data at an annual, semi-annual, quarterly, monthly, weekly, or daily base frequency. You have the option to aggregate the data and display it at any frequency that is lower than the base frequency.

For example, an annual, semi-annual, quarterly, or monthly display frequency can be selected when weekly or daily data is stored in a table. An annual, semi-annual, or quarterly display frequency can be selected when monthly data is stored in the table.

Initially, when you open a table, time series data are displayed according to the actual frequency at which it is stored in the table. This frequency is called the base frequency. You can aggregate the data and display it at any display frequency that is lower than the base frequency and you can select how the data should be aggregated.

To select a time series display frequency and aggregation method:

  1. From the View menu, choose Time Series.

    The Time Series dialog box appears.

  2. In the Display Frequency area, select a display frequency option button that is lower that the current base frequency.

    Note: Dimmed option buttons are unavailable. They represent frequencies that are higher than the base frequency.

  3. In the Aggregation Method area:
    • Select Totals to display the sum of all of the values associated with each of the underlying items for each time interval.
    • Select Averages to display the quotient obtained by dividing the sum of each of the underlying items by the total number of underlying items for each time interval.
    • Select Minimums to display the lowest data value obtained from any one of the underlying items for each time interval.
    • Select Maximums to display the highest data value obtained from any one of the underlying items for each time interval.
    • Select First Values to display the value that was recorded first (chronologically) out of those associated with the underlying items for each time interval.
    • Select Last Values to display the value that was recorded last (chronologically) out of those associated with the underlying items for each time interval.

      The Browser performs the time series aggregations and displays the result according to the display frequency you selected.

To select advanced time series options:

  1. From the View menu, choose Time Series.

    The Time Series dialog box appears.

  2. In the Advanced Options area:
    • Select Percent Change to calculate each value as the percentage increase since the previous time interval.

      The calculated value is derived from two consecutive intervals of time. The Browser finds the difference between the two values, divides it by the value associated with the first interval, and displays the result as a percentage.

    • Select Moving Averages to calculate each value as an average that is derived from a number of values associated with an earlier time span. This has the effect of smoothing out fluctuations in the data. You can combine up to 16 values.

      Note: In Periods, enter the number of items the Browser should combine to make up the new value.

      The time series calculations are performed and the result are displayed.

      Note: If any of the values used to calculate percentage differences or moving averages are unavailable or missing, a hyphen (-) is displayed for the affected time interval.

See also:

  • Time Series dialog box


Defining the Fiscal Year

The month you choose for the beginning of a fiscal year is the month the Browser will use to start obtaining 12-month blocks of data for time series calculations.

To select the start of the fiscal year:

  1. From the View menu, choose Fiscal Year.

    The Fiscal Year dialog box appears.

  2. Select the start month of the fiscal year and click OK.

See also:

  • Fiscal Year dialog box


Calculating Distributions

Distribution percentages are based on your current view of a table. You can calculate row, column, and/or total distributions and include them as a new dimension in a new table view.

To calculate distributions:

  1. From the View menu, choose Distributions.

    The Distributions dialog box appears.

  2. In the Include Items of Dimensions area, select the dimensions you want to include in the distribution calculation. Note that the row and column dimensions are automatically included in the distribution calculation. The dimensions listed in Include Items of Dimensions are only those dimensions positioned in the dimension bar. If these dimensions are not selected, only the current items that appear in the dimension bar will be included in the distribution.
  3. In the Distribution Items area, clear any check boxes for items you want to exclude from the new distribution dimension.
  4. Click OK.

A distributions dimension with one to four items, depending on your selections in the Distribution Items area, is introduced into a new table view. The new window has the same name as the original table, prefixed with "Distributions:"

To return to the original table view, close the Distributions window.

Notes:

  • If any dimensions have been nested, the sum of the data for a particular item across the nested dimensions is used as the base for the distribution calculation.
  • If you have hidden any items, only the items displayed in your view are used in the distribution calculation.
  • If there are groups in your view, and any group members have been hidden, the Browser calculates the distribution based on the remaining group members. The group total appears as a dash.

See also:

  • Distributions dialog box


Creating a Working Copy of a Table

Beyond 20/20 allows you to create a working copy of all or part of the current view of a table. This option allows you to manipulate part of a table, without affecting the original table, by placing the selected data into a worksheet. Any table operations may be made on the worksheet, such as group calculations, data imports, saving data to a table, etc. These operations can be made even if the original table is read-only.

To create a worksheet from a table:

  1. Select the items you want to appear in the worksheet. (Or, using the Hide and Show commands, display only those items you want to appear in the worksheet.)
  2. From the View menu, choose Worksheet.

    The View Worksheet dialog box appears.

  3. In Include Items of Dimensions, select the dimension(s) you want to include in the worksheet. Note that the row and column dimensions are automatically included in the worksheet. The dimensions listed in Include Items of Dimensions are only those dimensions positioned in the dimension bar of the open table. If these dimensions are not selected, only the current items that appear in the dimension bar will be included in the worksheet.
  4. Click OK.

A new table view appears with the same title as the original table, prefixed with "Worksheet:".

Note: When the worksheet is created, if a timeseries dimension is placed anywhere other than in the column dimension of the original table, it will be converted to a normal dimension and timeseries operations will not be available.

Tip: There is currently a limit of 8000 columns during the creation of a worksheet. If you require more columns, place the columns in the row dimension area before creating the worksheet, and then move them back to the column dimension area after the worksheet has been created.

Caution: If you close a worksheet, it will not be saved. To save a worksheet, save it as a table prior to closing the worksheet. (When it is opened again, it will appear as a normal table.)

See also:

  • View Worksheet dialog box


Importing Table Data

Beyond 20/20 allows an existing table to be updated from another Beyond 20/20 table. For example, information providers can distribute monthly update tables that their customers can import into existing tables containing historical data.

To import one table into another, the dimensions of both tables must be the same. If any new items are encountered as part of the update process they will be added into the existing table.

To import one table into another using File Import:

Note: The IVT to be updated must be open, and the IVT that contains the updating information must be closed.

  1. In the File menu, choose Import. The Import dialog box appears.
  2. Do one of the following:
    • In Input Filename, enter the path and file name of the table that is to update the current table.
    • Chart button Click the browse button to locate and select the updating table file.
  3. Click OK.

    Data from the updating table is loaded into the current table.

Notes on File Import:

  • The default language of the source file is used as the language for the match. If the target file does not contain the default language of the source file, the import will fail.
  • The name of the dimension in the default language of the source file has to match the name of the dimension in the same language of the target file. If the dimension names do not match the import will fail.
  • The dimension name for the default language will not be overwritten. All dimension descriptions and dimension names for the other languages will be overwritten.

See also:

  • Import dialog box


Saving Data into a New Table

You can create your own version of an existing table, or a portion of one, by saving it as a new table. This is useful if you want to work with a subset of a large table or if you want to make changes to a read-only table.

Note: Saving using "Save as" automatically upgrades an older Beyond 20/20 table to version 6.2.

To create a new Beyond 20/20 table from an existing one:

  1. Open a Beyond 20/20 table.
  2. If required, limit the information in the table view by hiding, searching, or switching items.
  3. From the File menu, choose Save As.

    The Save As dialog box appears.

  4. In File name, enter the name of the new table. If necessary, select a different drive or directory.
  5. If you do not want to save the dimensions in the dimension bar, clear the Include Other Dimensions check box.
  6. Click Save.

See also:

  • Save As dialog box


Exporting Data to a New File Format

If you want to move information from a Beyond 20/20 table to another application, you can export data by saving it to another file format.

You can choose from a number of common file formats:

Comma-separated value (*.csv) | Plain text file with a comma delimiter for each column value, and a carriage return followed by a line feed character to identify the end of each row.
Text file (*.txt) | Plain text file.
WKS worksheet (*.wks) | Lotus 1-2-3 Release 1A file format.
WK1 worksheet (*.wk1) | Lotus 1-2-3 Release 2 file format.
dBASE File (*.dbf) | dBase III file format.
Aremos TSD (*.tsd) | Aremos file format.
XLS worksheet (*.xls) | Microsoft Excel file format
XML file (*.xml) | eXtensible Markup Language

To export Beyond 20/20 table data:

Note: Any dimensions in the dimension bar whose items you want to export must be nested before exporting. (When exporting to a dBASE file, ensure that any nesting occurs only along the rows.)

Note: When exporting to dBASE file format (.DBF), you should make sure the filename follows the MS-DOS 8.3 file naming convention. Otherwise the file may not be able to be opened in Jet Engine applications such as Microsoft Access or Microsoft Query.

Tip: If you do not need to export the complete set of data from the existing table, reduce the number of columns and rows in the view before exporting.

  1. Open the table you want to export.
  2. Reduce the data in the table view by hiding items, searching for items, or switching items into the dimension bar.
  3. Nest any dimensions from the dimension bar whose items you want to export.
  4. From the File menu, choose Save As.

    The Save As dialog box appears.

  5. In File name, enter the name of the file you want to save.
  6. In Save as type, select the file type that corresponds to the file format you want to create. If necessary, select a different drive or directory.
  7. Click Save.

    The data is saved in the file format you selected.

See also:

  • Save As dialog box


Copying Data to Another Application

You can transfer a selection of data to another Windows application, such as a word processor or a desktop publishing product, by using the Windows Clipboard.

To copy data to the Clipboard:

  1. Select the cell or items that you want to copy.
  2. Do one of the following:
    • Click the right mouse button and choose Copy Cell.
    • From the Edit menu, choose Copy.

      The Browser copies the selected cell or items to the Windows Clipboard.

To paste the cells into another application, open a document in that application, make the necessary selections, and choose the Paste command from the Edit menu.


Charts

In this section:

Displaying a Chart

Chart Elements

ChartBrowse

Copying a Chart

Selecting Chart Options

Styling and Formatting a Chart View

Adjusting the Scale of Measurement


Displaying a Chart

When you display a chart, the Browser creates a new window and displays the default chart in it.

To display a chart view:

  1. Select the cells or items you want to display in a chart view.

    The current arrangement of the table view and the objects you select in it determine how the information is reflected in the chart.

  2. Do one of the following:
    • Chart button Click the Display Chart button on the toolbar.
    • From the View menu, choose Chart.

      A chart view appears displaying the default chart.


Chart Elements

By default, the Browser creates a two-dimensional bar chart view from the column and row dimensions. In addition to the data representation, a chart view can contain four other components: title captions, a legend, a vertical axis, and a horizontal axis. You can select, manipulate and rearrange these elements.

Title Captions

One or more title captions are displayed at the top of the chart view. Initially, each caption contains the codes or labels associated with the dimensions and items you did not select for display. When you select a title caption, the associated dimension tile is highlighted in the table view.

Legend

A legend is created when you select multiple items for display. When multiple rows are selected, or when rows and columns are selected, row labels are displayed in the legend. When multiple columns are selected, column labels are displayed in the legend.

Vertical Axis

The units of measure on the vertical axis are automatically scaled to accommodate the highest and lowest data values associated with the items on display.

Horizontal Axis

The labels displayed on the horizontal axis can vary according to whether you selected a cell, an item, or multiple items for display. The Browser displays as many labels as possible in the space provided. If more space is required, you can extend the horizontal axis by resizing the width of the window.

The name of the dimension associated with the horizontal axis is displayed below the horizontal axis. When you select the dimension name, the associated dimension tile is highlighted in the table view.


ChartBrowse

Once you have selected a dimension in a chart view, you can perform any of the following operations in the chart view by choosing the appropriate menu command or toolbar button. The Browser mirrors your activity in the table view.

  • Display the next or previous item.
  • Open a dimension view.
  • Display any available labels associated with the item.
  • Inspect a group hierarchy (if the item defines or is a member of a group).
  • Find and display the item that matches the text you specify.

Note: Only the code field and any available label fields can be searched in a chart view. Searches on the data must be done from a table view. Also, expand and reduce type searches are best done from a table view.


Copying a Chart

A copy of a chart can be transferred to another Windows application, such as a word processor or a desktop publishing product, by using the Windows Clipboard.

To copy a chart to the clipboard:

In a chart view, do one of the following:

  • Click the right mouse button and choose Copy.
  • From the Edit menu, choose Copy.

    The Browser copies the chart you selected to the Windows Clipboard.

To paste the chart view into another application, open a document in that application, make the necessary selections, and choose Paste from the Edit menu.


Selecting Chart Options

In this section:

Changing the Chart Type

Bar Charts

Line Charts

Pie Charts

Chart Footnotes

Linking and Unlinking Dimensions

Switching Items in a Chart View


Changing the Chart Type

Initially the Browser displays a two-dimensional vertical bar chart, or a two-dimensional vertical grouped bar chart, depending on whether you selected one or more items. You can select among the various chart types to change the format of the active chart view.

To change the chart type:

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears. The options that are available depend on whether you selected one or more items from the column and row dimensions.

  2. Select the chart type you want to display.
  3. Do one of the following:
    • Click Save As Default to apply the current selections to any future charts you create.
    • Click OK.

      The Browser resets the chart type and displays the results according to the options you selected.

See also:

  • Chart Options dialog box


Bar Charts

The following types of bar charts are available when you select a single row or column in the table view:

Vertical bar chart | Vertical bar chart - Creates a vertical, two- dimensional bar to represent each item in the horizontal axis.
Vertical bar chart | Horizontal bar chart - Creates a horizontal, two- dimensional bar to represent each item in the vertical axis.
Vertical bar chart | Three-dimensional vertical bar chart - Creates a vertical, 3D bar to represent each item in the horizontal axis.
Vertical bar chart | Three-dimensional horizontal bar chart - Creates a horizontal, 3D bar to represent each item in the vertical axis.

The following types of bar charts are available when you select more than one row or column in the table view:

Vertical bar chart | Vertical grouped bar chart - Creates a group of vertical, two-dimensional bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | Horizontal grouped bar chart - Creates a group of horizontal, two-dimensional bars to represent a group of data points for each item in the vertical axis.
Vertical bar chart | Three-dimensional vertical grouped bar chart - Creates a group of vertical, 3D bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | Three-dimensional horizontal grouped bar chart - Creates a group of horizontal, 3D bars to represent a group of data points for each item in the vertical axis.
Vertical bar chart | Vertical stacked bars - Creates a group of vertical, two-dimensional bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | Horizontal stacked bars - Creates a group of horizontal, two-dimensional bars to represent a group of data points for each item in the vertical axis.

See also:

  • Chart Options dialog box
  • Changing the Chart Type


Line Charts

Vertical bar chart | Vertical line chart - Creates a vertical line to join all of the X-Y coordinates plotted for each item in the vertical axis.
Vertical bar chart | Horizontal line chart - Creates a horizontal line to join all of the X-Y coordinates plotted for each item in the horizontal axis.
Vertical bar chart | Vertical line marker - Creates a vertical line with markers to join all of the X-Y coordinates plotted for each item in the vertical axis.
Vertical bar chart | Horizontal line marker - Creates a horizontal line with markers to join all of the X-Y coordinates plotted for each item in the horizontal axis.
Vertical bar chart | Vertical scatter plot - Creates a marker at each X-Y coordinate plotted for each item in the vertical axis.
Vertical bar chart | Horizontal scatter plot - Creates a marker at each X-Y coordinate plotted for each item in the horizontal axis.
Vertical bar chart | Stacked line - Creates a horizontal line to join all of the X-Y coordinates plotted for each item in the horizontal axis. Note: This option is only available when multiple items are selected.

See also:

  • Chart Options dialog box
  • Changing the Chart Type


Pie Charts

Pie charts are available when you select one item from the column or row dimension. When one item is selected in the row dimension, multiple items in the column dimension can be selected.

Vertical bar chart | Pie chart - Creates a two-dimensional pie chart with each section representing one item in the column or row dimension, whichever dimension is inactive.
Vertical bar chart | Three-dimensional pie chart - Creates a 3D pie chart with each section representing one item in the column or row dimension, whichever dimension is inactive.

See also:

  • Chart Options dialog box
  • Changing the Chart Type


Chart Footnotes

You can display the table title as a footnote at the bottom of the chart.

To display chart footnotes:

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears.

  2. In the Other Options area, select Display Footnote.
  3. Do one of the following:
    • Click Save As Default to make all future charts reflect the current selection, and then click OK.
    • Click OK.

      The chart view is displayed with a footnote.

See also:

  • Chart Options dialog box
  • Changing the Chart Type


Linking and Unlinking Dimensions

You can hold an aspect of the data constant, or keep the current chart from changing while browsing the corresponding table view. To do either, you need to unlink the associated dimensions in the chart view.

Note: With the exception of the dimension in the horizontal axis (which is always held constant), an unlinked dimension can be linked again at any time.

To link or unlink a dimension in a chart view:

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Link.
    • From the View menu, choose Chart Link.

      The Chart Link dialog box appears. The Dimensions area displays the names of all of the table's dimensions.

  2. Do one of the following:
    • In the Dimensions area, select a check box to link that dimension.
    • In the Dimensions area, clear a check box to unlink that dimension.
    • Click Link All to link all the dimensions.
    • Click Link None to unlink all dimensions.
  3. Click OK.

    The dimensions are linked or unlinked. From this point on, the dimensions will either be dynamically updated in the chart view or held constant, according to your selections.

See also:

  • Chart Options dialog box


Switching Items in a Chart View

After a chart view has been created, you can replace the items in the horizontal axis and the legend. You can also add more items from the same dimension, or switch the dimension currently on display. The corresponding labels are updated automatically.

Note: Switching dimensions in the chart view does not change the linking information. The dimension that was initially displayed in the horizontal axis remains unlinked. All other dimensions remain linked unless you explicitly unlink them.

To switch new items into a chart view:

Note: A dimension tile can be switched into the legend or into the horizontal axis. Any time a single item is switched into a legend, the Browser replaces the legend with a title caption.

  1. Do one of the following:
    • Chart button Click the Tile button on the toolbar.
    • From the Window menu, choose Tile.
  2. In the table view, drag the dimension or items from the column or row dimension, or from the dimension bar, into the chart view.
  3. Do one of the following:
    • Drop the dimension or items over the data in the middle of the chart view to replace the dimension associated with the legend.
    • Drop the dimension or items below the horizontal axis to replace the items on display in the horizontal axis.

      The items that were on display in the chart view have been replaced by the object(s) you dragged into the chart view. The labels and data have been updated to reflect the switch. If you switched a new dimension into the horizontal axis, the new title caption is displayed.


Styling and Formatting a Chart View

In this section:

Selecting Styling Options

Chart Fonts

Moving the legend


Selecting Styling Options

Because each chart type has its own set of unique styling options, a different dialog box is displayed for formatting bars, pie sections, lines, markers, and line markers.

To style a chart:

  1. Do one of the following:
    • Double-click on the object you want to style.
    • Double-click on the associated color in the legend (if a legend is available).

      The dialog box with the styling options particular to the active chart type appears.

  2. Select the options you want to use and click OK.

    The chart is displayed according to the options you selected.


Chart Fonts

The Browser provides you with a number of choices for assigning presentation attributes to the text in a chart view. You can change the point size, font, and color, or apply styles such as bold and italics.

To change the font of the text in a chart view:

  1. Double-click on the text you want to format.

    The Font dialog box appears.

  2. Select the formatting options you want to use and click OK.

See also:

  • Font dialog box


Moving the legend

The legend can be repositioned anywhere in a chart view. When you move it to the top or bottom of the view, the legend is extended across the width of the view.

To move the legend in a chart view:

  1. Click on an empty part of the legend.
  2. Drag and drop the legend to the preferred location.


Adjusting the Scale of Measurement

In this section:

Editing Axes

Setting Axes Automatically

Switching Axes


Editing Axes

You can change the settings of the axis that contains the units of measurement (usually the Y-axis).

Note: The Edit Axis option does not apply to pie charts.

To edit the axis:

  1. In a chart view, double-click on the axis containing the units of measurement.

    The Edit Axis dialog box appears.

  2. In Minimum, enter a lower limit for the axis.
  3. In Maximum, enter an upper limit for the axis.
  4. In Tick Space, enter the desired width between major ticks on the axis.
  5. In Minor Ticks, enter the number of minor ticks you want to appear between major ticks.
  6. Click OK.

    The chart view is displayed with the edited axis. If the coordinate for an item exceeds the capacity of a chart, it is either cut off at the point where the measurement ends (for bar charts), or it is plotted outside the confines of the chart (for line, marker, and scatter plot charts).

See also:

  • Edit Axis dialog box


Setting Axes Automatically

You can automatically adjust the scale that is used to measure data values. The adjustment accommodates both the highest and the lowest data values so that all of the selected data points can be displayed at once. This feature is useful when comparing charts side-by-side.

You can automatically set the axis through the Edit Axis dialog box or the Chart Options dialog box. If you have defined minor tick spaces and use the Edit Axis dialog box, the tick spaces remain in the new axis.

To set a chart axis automatically through the Edit Axis dialog box:

  1. In a chart view, double-click on the axis that contains the units of measurement.

    The Edit Axis dialog box appears.

  2. Click Automatic to set the axis automatically.

To set a chart axis automatically through the Chart Options dialog box:

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears.

  2. In the Other Options area, select Auto Axes.
  3. Do one of the following:
    • Click Save As Default to make all future charts reflect the current selection, and then click OK.
    • Click OK to exit without saving.

      Note: If Auto Axes is not checked, the scale that was applied to the previous chart will be used by default.

See also:

  • Edit Axis dialog box
  • Chart Options dialog box


Switching Axes

You can switch the dimension displayed in the horizontal axis with the dimension displayed in the legend.

To switch the axes in a chart view:

Do one of the following:

  • Right click and choose Switch Axes.
  • From the View menu, choose Switch Axes.

    The data is displayed in the chart view with the horizontal and legend labels interchanged.


Maps

In this section:

Displaying a Map

Map Elements

MapBrowse

Copying a Map

Selecting Map Options

Changing the Layout of a Map


Displaying a Map

  • Maps provide a representation of the geographic dimension. You do not need to make a particular selection in the table view to display a map.
  • Each item in a geographic dimension automatically corresponds to a single region or city on the map.
  • Any region that corresponds to a hidden item is dimmed in the map view.
  • You can only display a map if a Beyond 20/20 map file is available with the table.

To display a map:

In a table view, do one of the following:

  • Button - Map Click the Display Map button on the toolbar.
  • From the View menu, choose Map.


Map Elements

The map view contains title captions, a legend, the data values associated with each region, and a footnote. You can select, manipulate, and rearrange these elements.

Title Captions

One or more title captions are displayed at the top of the map view. The captions contain dimension names and labels corresponding to the intersecting items associated with the current position of the cursor in the table view.

Legend

The legend shows you which colors are currently assigned to represent the three ranges of data, as determined by the range definition. You can assign a different color to represent each range. The legend also indicates the specific range of values that meet the current range definition. The legend is updated automatically.

Data Values

By default, there is one data value displayed per region. Data values are derived from the item that corresponds to that region and are influenced by the range definition.

Range Colors

The Browser uses color to represent the three ranges of data (low, middle, and high). To classify the data values into a range, the Browser evaluates the data according to the Range Definition options you select. As a result, the associated items are classified into one of the low range, middle range, or high range, according to the relative significance of their data.


MapBrowse

When you click on a title caption, the associated dimension tile is highlighted in the table view and the map view document window remains active.

Once you have selected a dimension in the map view, you can perform any of the following operations in the map view by choosing the appropriate menu command or toolbar button. The Browser mirrors your activity in the table view.

  • Open a dimension view.
  • Display any available labels associated with the item.
  • Inspect the hierarchy of groups.
  • Find and display the item that matches the text you specify.

Notes on searching: Only the code field and any available label fields can be searched in a map view. Searches on the data must be done from the table view. (Expand and reduce type searches are best done from the table view.)


Copying a Map

A copy of a map can be transferred to another Windows application, such as a word processor or a desktop publishing product, using the Windows Clipboard.

To copy a map to the clipboard:

  1. Click on the map you want to copy.
  2. Do one of the following:
    • Click the right mouse button and choose Copy.
    • From the Edit menu, choose Copy.

To paste the map view into another application, open a document in that application, make the necessary selections, and then choose Paste from the Edit menu.


Selecting Map Options

In this section:

Selecting Range Colors

Assigning Range Definitions

Displaying Region Labels

Displaying Cities

Linking and Unlinking a Map


Selecting Range Colors

You can select a color to represent the highest value (high range color), the lowest value (low range color), and all of the data in between (middle range color). The Browser adjusts the distribution of these colors automatically according to the evaluation method you select in the Range Definition area.

To select range colors:

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Range Colors area, select the colors you want to use to define the low, middle and high ranges.
  3. Click OK.

    The distribution of colors is adjusted according to your selections.

See also:

  • Map Options dialog box
  • Assigning Range Definitions


Assigning Range Definitions

The Browser evaluates the data associated with each item according to the current setting of the Range Definition options. At the conclusion of the evaluation phase, each item is assigned a range definition (low, middle, or high). The range definition determines the color of a region (and/or the area around a city), and it classifies the item's label and data values for display purposes.

In all cases, the region or city associated with the highest data value is highlighted in the high range color, and the region or city associated with the lowest data value is highlighted in the low range color. The color that is applied to the regions and cities with middle range values varies according to the range definition you selected.

In most cases, during the evaluation phase, the Browser calculates the average of all values to adjust the distribution of colors for middle range values. A middle range value is assigned a color according to whether it is higher or lower than the average.

To assign range definitions:

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Range Definition area:
    • Select High/Low to highlight the regions with the highest data in the High Range color and the regions with the lowest data in the Low Range color. All data that falls in between is highlighted in the Middle Range color.
    • Select Standard Deviation to highlight all regions whose data falls within one standard deviation of the average in the middle range color. All regions with data values greater than the average are highlighted with the high range color. All regions with data values less than the average are highlighted with the low range color.
    • Select Average to compare the data values to the average value (which was derived from all values). All values higher than the average are highlighted with the high range color. All values lower than the average values are highlighted with the low range color. Only data values that match the average exactly (if any exist) are highlighted with the middle range color.
    • Select Linear to highlight all regions with a blend of high and low range colors. The middle range color is not used. All regions whose data values are greater than the average have a higher proportion of the high range color. All regions whose data values are less than the average have a greater proportion of the low range color.
    • Select Bilinear to highlight all regions with a blend of high, middle and low range colors. Regions whose data values are closest to the highest data value have the highest proportion of the high range color. Regions whose data values are closest to the middle value have the highest proportion of the middle color. Regions whose data values are closest to the lowest data value have the greatest proportion of the low range color.

The Browser calculates the average of all values and adjusts the distribution of colors for the range values according to the definition option you selected.

See also:

  • Map Options dialog box


Displaying Region Labels

To display region labels:

  1. Open the map view you want to change.
  2. Do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  3. In the Contents area:
    • Select Display Region Names to display labels associated with the regions on the map. (Select the Show Cities check box to display labels associated with cities, provided the information is available.)
    • Select Display Data Values to display data values associated with the regions on the map. (Select the Show Cities check box to display data values associated with cities, provided the information is available.)
    • Select Display Footnote to display the table title as a footnote.

When you select an option in the Contents area, you must also select one or more options in the Display area to qualify it.

  1. In the Display area:
    • Select Show Low Range Labels to display the label or data value associated with every region that falls into the low range definition.
    • Select Show Middle Range Labels to display the label or data value associated with every region that falls into the middle range definition.
    • Select Show High Range Labels to display the label or data value associated with every region that falls into the high range definition.
    • Select Hide Zero Labels to hide labels displaying a zero value.

      Note: The Browser does not let you make any selections in the Display area until you have made a selection in the Contents area.

  2. Click OK.

See also:

  • Map Options dialog box


Displaying Cities

Each city has a label (city name) and a data value. If you want to see the labels and/or data values associated with cities, you must select the corresponding options from the Contents and Display areas in the Map Options dialog box. The selections you make for cities in the Region Labels and in the Range Colors areas affect the way colors, labels, and data values for all other items are displayed.

Note: The Show Cities option is only effective when cities are associated with the table.

To display cities:

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Cities area, select Show Cities.
  3. Click OK.

See also:

  • Map Options dialog box


Linking and Unlinking a Map

When you link a map to a table, the map view is automatically updated as you browse the table. For example, from the table view, if you move to the next item of a dimension in the dimension bar, the appropriate title caption and display of the map will reflect the new item.

To link or unlink a map:

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. Do one of the following:
    • To link the map view to the table view, select Link Map to Data (in the lower left-hand corner).
    • To unlink the map view from the table view, clear Link Map to Data.
  3. Click OK.

    Depending on your selection, the map view is either held constant or is updated as you browse through items in the table.

See also:

  • Map Options dialog box


Changing the Layout of a Map

In this section:

Zooming In and Out Of a Region

Magnifying Part of a Map View

Moving a Legend

Moving Region Labels


Zooming In and Out Of a Region

The items in a geographic dimension are typically structured into groups. That is, smaller regions or cities are grouped to make up a larger region.

  • Initially, the smaller areas are not visible in the map view and only the larger areas are displayed. However, you can zoom in to a region that is made up of smaller areas. Then you can see the data associated with the smaller regions.
  • When you are looking at a number of smaller regions, you can zoom out to view the larger region.

To zoom into a region in a map view:

  1. In a map view, select a region that contains smaller regions. (To determine whether the active region contains constituent regions, select the region and check the status bar. If the words Total Group, Protected Group, or Calculated Group are displayed, the region contains a total, protected, or computed group.)
  2. Do one of the following:
    • Double-click on the region that interests you.
    • Click the right mouse button and choose Zoom In.
    • From the View menu, choose Zoom In.

      The Browser displays the constituent regions that comprise the active region.

To zoom out of a region in a map view:

  1. Select any region that is part of a larger region. (To determine whether the active region is part of a larger region, select the region and check the status bar. If the word Member is displayed, the region is part of a larger region.)
  2. Do one of the following:
    • Double-click on any white space surrounding the map.
    • Click the right mouse button and choose Zoom out.
    • From the View menu, choose Zoom out.

      The Browser displays the larger region and all of the surrounding areas.


Magnifying Part of a Map View

If you have zoomed into a region as much as possible and you want to get a closer look, you can magnify a portion of the map view.

To magnify part of a map view:

  1. Hold the Shift key down and click on the part of the map you want to magnify.
  2. Drag the cross-hair pointer across the part of the map you want to magnify.
  3. Release the mouse button and the Shift key.

    The Browser magnifies the area you selected.

    Tip: To quickly magnify a region so that it fills the display area, hold the Shift key down and click on the region that interests you.

To restore a magnified map view to normal size:

Do one of the following:

  • Click the right mouse button and choose Restore.
  • From the View menu, choose Restore.

    The map is restored to its original view.


Moving a Legend

You can move the legend anywhere in a map view.

To move a map legend:

  1. Click on any part of the legend that is not being used to display text or the color scheme.
  2. Drag and drop the legend in the preferred location.


Moving Region Labels

You can move region labels anywhere inside the border of a map view.

To move a region label:

  1. Position the mouse pointer over the region label you want to move.
  2. Hold down the Shift key and drag and drop the region label in a new position.


Groups

In this section:

Overview

Defining a Group

Selecting the Members of a Group

Removing a Group

Calculating Group Totals


Overview

A group is an item that has an underlying hierarchy associated with it.

  • A total group is one whose data values have been created by summing those of the members of the group.
  • A protected group defines a hierarchy whose data values are independent of the items in the group.
  • A computed group is calculated by applying formulas to selected items.
  • When the cursor is on a cell that either defines a group or is a member of a group, the status bar displays the words Total Group, Protected Group, Calculated Group, or Member.
  • Groups can be members of other groups.
  • By default, groups appear at the end of a dimension. If you want to specify where the group is to be placed you can add an item for the group.


Defining a Group

Note: You cannot define groups in a time series dimension.

Note: Adding items or groups automatically updates older Beyond 20/20 tables to version 6.2.

To define a total group or a protected group:

  1. Select the items in a dimension that you want to become members of the group.

    Tip: If you want to create a group that is made up of all the items in a dimension, make that dimension active and leave all the items unselected.

  2. From the Item menu, choose Define Group.

    The Define Group dialog box appears.

  3. In Group Code, enter a unique name or item code to represent the group.
  4. In the Group Type area:
    • Select Total to sum the data values of the members of the group.
    • Select Protected to define a group hierarchy while leaving the data as is (that is, the data will not be affected by the Calculate command).
  5. Click OK.
  6. If you are defining a total group, you are prompted to proceed with the calculation of the groups.
    • Click Yes to calculate all groups.
    • Click No to calculate groups at a later time.

      The new group code appears in the current view. The status bar displays Total Group or Protected Group to indicate the group type.

To define a computed group:

Note: If two computed groups intersect, the result is a missing value if missing values are enabled. Otherwise the result is 0.

Note: Formulas for calculating groups have a limit of 255 characters.

  1. From the Item menu, choose Define Group.

    The Define Group dialog box appears.

  2. In Group Code, enter a unique name or item code to represent the group.
  3. Select the Computed option button.
  4. In Formula, enter an expression to describe how the new group is to be calculated. See Designing Formulas.
    • To include existing items in your formula, double-click the appropriate item name in the Items box. (You can also highlight the item name and then click [image].)
    • If, then, else, and endif constructs can be used to create more complex formulae. All four words (if, then, else, endif) must be included in your constructs.
    • Square brackets must be used around item names containing special characters (for example, blanks or _ ). For example, [Field One].
  5. Click OK.
  6. You are prompted to proceed with the calculation of the groups.
    • Click Yes calculate all groups.
    • Click No to calculate groups at a later time.

      The new group code appears in the current view. The status bar displays Calculated Group to indicate the group type.

See also:

  • Define Group dialog box
  • Defining Formulas


Selecting the Members of a Group

An item that is a member of a group is represented by the word Member in the status bar. Select Group is used to confirm a group's members or to quickly select the items that belong to a group.

To select the members of a group:

  1. Select the group item whose members you want to select.
  2. From the Item menu, choose Select Group.

    The items that are members of the group are highlighted in the current view.


Removing a Group

When you remove a group, only the group definition is removed. No items or data values are deleted.

To remove a group:

  1. Select the item whose group definition you want to remove.
  2. From the Item menu, choose Remove Group.

    The group type indicator is removed from the status bar.


Calculating Group Totals

Tip: When calculating group totals, it saves time to define all groups in all dimensions before you run the Calculate command.

Note: If two computed groups intersect, the result is a missing value if missing values are enabled. Otherwise the result is 0.

To calculate group totals:

  • From the View menu, choose Calculate. The Browser calculates and displays all the group totals.


Fields

In this section:

Overview

Adding a Field

Deleting a Field

Editing a Field

Hiding and Showing Fields


Overview

Fields are the components of a dimension.

  • All fields of a dimension can be displayed in a dimension view.
  • You can add, edit, delete, hide, or show fields.
  • A field can be assigned a language so that, in a multilingual table, the appropriate language of the dimension displays.
  • Fields can contain codes that uniquely identify an item, labels that describe an item, and coded links to a map file.


Adding a Field

Before you can add labels to a dimension, you must first add a field.

To add a field to a dimension:

  1. Select the dimension that fields are to be added to.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension view appears.

  3. From the Dimension menu, choose Add Field.

    The Add Field dialog box appears.

  4. In Field Name, enter a name for the new field.

    Note: If you are adding a field to import labels, the field name must be identical to the field name in the import file.

  5. In Field Type, select Label.
  6. If you are in a multilingual table, enter or select the language of the field you want to add.

    Note: If you select a language other than that of the current table, the field is added to the appropriate table view and can only be seen when you are in a table or dimension view of that language.

  7. To display this field as a label in the table view, select the check box for Display as Data Label. (Clear the check box to prevent Browser users from seeing this field in the table view.)
  8. Click OK.

    The field is added to the dimension view.

See also:

  • Dimension view
  • Add Field dialog box


Deleting a Field

Important: You cannot delete the Code field. The Browser needs the Code field to uniquely identify each item in the dimension.

To delete a field from a dimension:

  1. Select the dimension that contains the field you want to delete.
  2. Do one of the following:
    • Chart button Click the Display Active Dimension button on the toolbar.
    • From the View menu, choose Dimension.

      The dimension view appears.

  3. Position the cursor in the field to be deleted.
  4. From the Dimension menu, choose Delete Field.

    You are prompted to confirm the deletion.

  5. Click OK.


Editing a Field

To edit a field in a dimension:

  1. Select the dimension containing the field you want to edit.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      The dimension view appears.

  3. Position the cursor in the field to be edited.
  4. From the Dimension menu, choose Edit Field.

    The Edit Field dialog box appears.

  5. In Field Name, enter a new field name.
  6. If your table is multilingual, enter or select the language of the field.
  7. Modify the Display as Data Label and Band Field options as required.
  8. Click OK.

See also:

  • Edit Field dialog box


Hiding and Showing Fields

You can control which fields are displayed in the table and dimension views by hiding and showing fields.

To hide or show fields:

  1. Select the dimension containing the fields you want to hide or show.
  2. From the Dimension Menu, choose Hide/Show Fields.

    The Hide/Show Fields dialog box appears.

  3. In Select fields to be shown, select the fields you want to be visible.
  4. Deselect the fields that are to be hidden, and then click OK.

See also:

  • Hide/Show Fields dialog box


Labels

In this section:

Overview

Adding Labels Manually

Preparing Labels in Comma-Separated Value Format

Importing Labels

Setting the Default Label Field


Overview

Labels can be entered manually or imported from a comma-separated value file (CSV) or a dimension definition file (IVD).


Adding Labels Manually

To add labels manually:

  1. Select the dimension you want to add labels to.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.
  3. If required, add a label field to the dimension that requires labels.
  4. In the label field, select the cell that requires a label. Enter the label and press Enter.

    Note: To edit a label after it has been entered, select the label and press F2. The item is highlighted. Make any required changes and press Enter.

  5. Repeat Step 4 for each cell in the field that requires a label.


Preparing Labels in Comma-Separated Value Format

Another way to import labels into a dimension is to prepare a comma-separated value file and import it into the field of a dimension view. Comma-separated value files are prepared outside of Beyond 20/20 and have a .csv extension.

  • The comma-separated value file you create must contain a field whose values match those in a field that is already in the dimension view. This field is called the lookup field and is normally the Code field. The first line of the comma-separated value file should be the case sensitive names of the fields in the dimension, one of which must be the lookup field.
  • For each row in the comma-separated value file, the Browser takes the field that you identify and uses it to search for a match in the lookup field of the dimension. When the Browser finds a match, it takes the corresponding label from the same row of the comma-separated value file and places it in the matching fields of the dimension that is being updated.
  • You can use any editor or spreadsheet to create a comma- separated value file. These files contain the same number of fields in each row entry (as specified by the first line), delimited by commas, and each entry has a carriage-return and linefeed character at the end of it. Most spreadsheets packages allow you to save active spreadsheets in comma- separated value format.
  • You can import more than one set of labels by including several sets in the comma-separated value file.

The following is an example of a comma-separated value file:

Code,Label

NA,North America

CA,Canada

MA,Maritimes

QU,Quebec

ON,Ontario

TO,Toronto

To prepare a comma-separated value file from a spreadsheet:

  1. In the first row of your spreadsheet, enter the field names as they appear in the dimension view of the field you are importing labels into (i.e., the lookup field).

    Example: Enter Code in cell A1 and Label in cell B1.

  2. In the Code column, enter the complete set of item codes for the dimension you are importing labels into.
  3. In the Label column, enter the corresponding labels.
  4. From the File menu of your spreadsheet, choose Save As.

    The spreadsheet application's Save As dialog box appears.

  5. In File name, enter or select the file you want to save. If you do not see the file you want, select a different drive or directory to locate the file.
  6. Select comma-separated value (*.csv) as the file type.
  7. Click Save.


Importing Labels

You can bring labels into a field of a dimension view from a comma-separated value file or a dimension definition file.

  • Before using the Import command, you must first prepare a CSV file for import.
  • In all cases, it is important to remember that the lookup field name (the field name in the dimension containing values) must match a field name in the input file (the comma-separated value file that contains the labels to be imported).

    Note: You must be in a dimension view to import labels.

To import labels:

  1. If required, add a label field to the dimension that requires labels.

    Note: The new field name in the dimension must be identical to the field name in the input file that contains the labels you are importing.

  2. From the File menu, choose Import. The Import dialog box appears.

  3. Do one of the following:
    • In Input Filename, enter the path and file name of the file to import.
    • Chart button Click the browse button to locate and select the file to import.
  4. In Lookup Field, select the field the Browser should use to match items with those in the input file.
  5. In the Import Options area:
    • Select Add New Codes if you want the Browser to add new codes from the input file into the dimension.
    • Select Case Sensitive on Codes if you want the Browser to import only those items that are an exact match to the codes in the lookup field, including having the same case.
    • Select Use Windows Character Set if you want the Browser to import the file as ANSI standard characters (rather than OEM (DOS) characters).

      The label field will be filled with labels for those items in the input file that are also in the dimension.

See also:

  • Preparing Labels in Comma-Separated Value Format
  • Import dialog box


Setting the Default Label Field

When you set a field as the default label field, you are controlling which labels are seen when a table is first opened.

To set the default label field:

  1. Select the dimension you want to set default label fields for.
  2. Do one of the following:
    • Label button Click the Next Label button on the toolbar.
    • From the Dimension menu, choose Change Labels.

      If you save the view, the next time you open this table this dimension will display the set of labels you selected.


Saved Views

In this section:

Overview

Saving the Current View

Opening a Saved View


Overview

A saved view is a particular view of a table that is stored in the table file (*.ivt) and defines how the table is displayed. It is a snapshot of a table that allows you to quickly recall a specific table layout without having to redefine its attributes.

A saved view consists of the following:

Language

The language in which the table will be displayed.

Dimension Information

For each dimension:

  • The sort order of items
  • The items that are shown
  • The first item to display
  • The label field to use for each language in the table
  • The width of the row dimension label
  • The width of the dimension bar dimension label

Row Dimensions

The list of row dimensions in the order in which they are nested.

Column Dimensions

The list of column dimensions in the order in which they are nested.

Dimension Bar Dimensions

The list of the dimensions in the dimension bar, in the order (left to right) that they appear on the screen.

Column Width

The width of the data columns.

Decimals

The number of decimals to display.

Time Series Information

  • Type of time series
  • Periodicity
  • Method
  • Number of periods.

Fiscal Month

The current fiscal month.


Saving the Current View

To save the current view:

Note: To permanently change the default view of a table, you must have permission to modify the table.

  1. Arrange the table information in the layout you wish to save.
  2. From the View menu, choose Save.

    The next time you open the table, the saved view will appear by default.

If you are in a read-only table, or if you do not want to permanently modify the default view of the table, or if you want to save multiple views of the same table, you can save the current view without affecting the original view of the table.

To save the current view without affecting the original view:

  1. Arrange the table information in the layout you want to save.
  2. From the File menu, choose Save As.

    The Save As dialog box appears.

  3. In File name, enter the name of the file you want to save. If necessary, select a different drive or directory.
  4. Clear the checkbox for Include Numeric Data.
  5. Click Save.

    The current view of the table is saved as a new table file.

    Note: Data is not saved with the view. When the view is opened from another table, Beyond 20/20 checks the consistency of the view with the current table. If consistent, the current table view is replaced with the view being opened.

    You can locate saved views through the Find dialog box or the Open dialog box.

See also:

  • Save As dialog box
  • Find dialog box
  • Open dialog box


Opening a Saved View

To open a saved view:

  1. From the View menu, choose Open.

    The Open View dialog box appears.

  2. Select the file you want to open. If you do not see the file you want to open, select a different drive or directory to locate the file.
  3. Click Open.

    Beyond 20/20 checks the consistency of the view with the current table. If consistent, the current view is replaced with the view being opened.

To restore the last saved view:

  • From the View menu, choose Reset.

    The table view is restored to the last saved view. Any changes you have made to the current view are lost.

See also:

  • Open View dialog box


Documenting a Table

In this section:

Table Summary

Dimension Summary

Item Summary


Table Summary

A table summary contains general information about a table. It is helpful in understanding the contents of the table. It might include information about where the data came from and how it was collected.

To view a table summary, click Summary in the File menu.

To create a table summary:

  1. From the Edit menu, point at Summary and then choose File.

    A Summary Editor appears.

  2. Enter the following information:
    • Title - A description of the table.
    • Category - A subject area classification for the table.
    • Author - The author of the table. (Usually the name of a company or an organization.)
    • Keywords - Words that can be entered to search for the table in the Find dialog box.
    • Notes - Any notes you wish to associate with the table that can make the table more understandable. Notes can be entered in HTML format and can include hyperlinks.

See also:

  • The Summary Editor
  • HTML in Summaries


Dimension Summary

A dimension summary contains notes about a dimension.

  • To view a dimension summary, click the summary icon Summary Icon beside a dimension name.

To create a dimension summary:

  1. Select the dimension you want to add notes to.
  2. From the Edit menu, point at Summary and then choose Dimension.

    A Dimension Summary editor appears.

  3. Enter any notes you want to associate with the dimension that may make the dimension more understandable. Notes can be entered in HTML format and can include hyperlinks.
  4. Click OK.

See also:

  • Dimension Summary Editor
  • The Summary Editor
  • HTML in Summaries


Item Summary

An item summary contains notes about a specific item within a dimension. It may explain any anomalies in the data, or give specific details about the item.

  • To view an item summary, click the summary icon Summary Icon next to the item name.

To create an item summary:

  1. Select the item you want to add notes to.
  2. From the Edit menu, point at Summary and then choose Item.

    An Item Summary Editor appears.

    Item Summasy Editor

  3. Enter any notes you want to associate with the item that may make the item more understandable. Notes can be entered in HTML format and can include hyperlinks.
  4. Click OK.

See also:

  • Item Summary Editor
  • The Summary Editor
  • HTML in Summaries


Printing

In this section:

Overview

Creating a Page Layout

Setting the Size of Report Areas

Setting Fonts for Report Areas

Customizing Titles, Labels, and Page Numbers


Overview

Table information can be printed from a table view or a dimension view. The printed copy resembles the view you see on the screen.

The header at the top of a table printout includes the table's title and the dimensions from the Dimension bar.

If there are columns that extend past the visible area to the right of the document window they are printed on separate sheets of paper.


Creating a Page Layout

The Page Setup dialog box enables you to create a report template with which you can:

  • Control the heights and widths of various areas in your report.
  • Define the fonts and text alignment used for titles, labels, data, and footnotes.
  • Customize titles and labels as well as control the presence and placement of page numbers, missing values legend, and footnotes.

The following options are common to all three tabs of the Page Setup dialog box:

Print Preview

Opens the Print Preview dialog box.

Reset

Resets all page setup options to their initial state. (Note that this is the state the settings were in when the program was first installed, not the most recent default settings.)

OK

Applies changes and closes Page Setup.

Cancel

Cancels changes that have not yet been saved.

Help

Opens the online help.

Save as Default

Saves changes as default settings.

See also:

  • Page Setup dialog box
  • Print Preview dialog box


Setting the Size of Report Areas

To set the height and width of selected report areas:

  1. In the Page Setup dialog box, select the Page Layout tab.

  2. From the Page Area Attributes list, select the report area you want to modify.
  3. Enter the minimum and maximum size values for the selected area. The program will determine the best fit within the specified range of values.

    Note: The values you enter are expressed as a percentage of total page height or width. For example, assume your page height is 11 inches. You enter a minimum value of 10 and a maximum value of 25 for Title Height. The minimum title height will be 1.1 inches and the maximum height will be 2.75 inches (10 percent of 11 inches and 25 percent of 11 inches, respectively).

  4. Repeat steps 2 and 3 for each area you wish to customize.
  5. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  6. If you are finished setting the formatting options for your report, click OK.

See also:

  • Page Setup dialog box


Setting Fonts for Report Areas

To select fonts or set the text justification for different report areas:

  1. In the Page Setup dialog box, select the Fonts tab.

  2. From the Text to Modify list, select the report area whose font and justification characteristics you wish to change.

    Note: Row label (nesting) and Column label (nesting) denote higher-level dimension labels. Row label and Column label denote the lowest level of dimension label.

  3. From the Font, Font Style, Size, and Effects lists, select the font attributes you want to apply to the item you chose in the Text to Modify list.
  4. From the Justification list, select how the text is to be aligned.

    Note: Left justification aligns text along the left margin and leaves the right margin ragged (unaligned). Right justification aligns text along the right margin and leaves the left margin ragged. Center justification places each line in the center of the report area leaving both the left and right margins ragged.

  5. Repeat steps 2 through 4 for each report area you wish to change.
  6. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  7. If you are finished setting the formatting options for your report, click OK.

See also:

  • Page Setup dialog box


Customizing Titles, Labels, and Page Numbers

To customize report titles, labels, and page numbers:

  1. In the Page Setup dialog box, click the Content tab.

  2. To change the report title, overtype the default title shown in the Title box (maximum of 256 characters). To reset the report title to the program-generated default, click the adjoining Reset button.
  3. To add a row label title, enter an appropriate title in the Row Label Title box (maximum of 100 characters). To remove an existing row label title, simply select and delete the text.
  4. To change the name of the data source (the person or organization who collected, compiled, or published the data), overtype the default shown in the Source box (maximum of 256 characters). To reset the data source to the program- generated default, click the adjoining Reset button.
  5. To change the secondary title (which appears directly under the main report title), select either Automatic or Custom.
    • If you choose Automatic, you can select any combination of Include Include Other Dimensions, Include Row Dimensions, and Include Column Dimensions. The program will build a secondary title containing the requested dimension names.
    • If you choose Custom, enter a secondary title of your choice in the Custom box (maximum of 1,000 characters)
  6. To display page numbers, select the Display Page Numbers check box. Select either Header or Footer to tell the program where you would like page numbers placed.
  7. To display footnotes at document end, select the Display footnote legend checkbox in the Page Setup area.
  8. To display the missing values legend, select the Display missing values legend check box in the Page Setup area.
  9. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  10. If you are finished setting the formatting options for your report, click OK.

See also:

  • Page Setup dialog box


Creating a Table from an Extract

In this section:

Positioning Tiles for Dimensions

Filling a Table With Numeric Source Field Values

Applying a Weighting Factor to the Data

Setting Table Options

Creating the Table

Saving the Table

Recreating an Extract

Exporting an Extract to a New File Format

Viewing an Extract Summary


Positioning Tiles for Dimensions

To position source fields as dimensions, drag and drop the source field tiles into the row, column, and dimension bar areas of the table view.

  • Place the first dimension in the row dimension area, the second in the column dimension area, and the rest on the dimension bar.
  • Dimensions can be rearranged any time before you click the Go button.
  • If there is a date field in your source file, you should place it in the column dimension area to take advantage of Beyond 20/20's time series features.
  • A table can have to up ten dimensions.

To position source tiles:

  1. Click on the source field tile you want to appear in the table and hold down the left mouse button.
  2. Drag the tile into a dimension area and release the mouse button.

    The dimension tile appears in the table view and the corresponding source field tile is dimmed in the source field bar.

  3. Repeat for each source field that you want to appear in the table.


Filling a Table With Numeric Source Field Values

You can fill a table with values that are counts, weighted counts, sums, or averages of numeric source fields.

To fill a table with numeric source field values:

  1. Drag and drop a numeric source field tile into the cell area of the table view.

    The Edit Unit Item dialog box appears. The name of the source field tile you dragged into the cell area is displayed as Based on Field.

  2. In Item Name, confirm or change the name you want to give the new item.
  3. In Calculated As, select the statistical method you want to apply.

    An asterisk appears in the source field tile to indicate that the Browser has created a new item in the Units dimension based on this source field.

    Tip: You can use the same source field more than once to calculate different units for that field. Or, you can fill the table with several source fields by dragging them individually and dropping them into the table. An individual item is created in the Units dimension for each combination of source field and statistical method you include.

See also:

  • Edit Unit Item dialog box


Applying a Weighting Factor to the Data

If you are working with an extract that represents data collected from a survey, there will probably be at least one field that contains weight factors.

  • Weights are often used to generate population-based tables from sample survey data.
  • If an extract is pre-weighted, one of the weight fields will be dimmed in the Source Field bar. Tables built from a pre- weighted extract will automatically contain weighted values.

To set a weight field:

  1. From the Data menu, choose Set Weight Field.

    The Set Weight Field dialog box appears. Only numeric fields from the source file are displayed.

  2. Select the checkbox for Use Weight Field.
  3. Select the weight field and click OK.

    The source field selected to weight the data appears dimmed in the source field bar, indicating that it is unavailable for use as a dimension.

    Note: The notes section of the table summary will indicate which field was used as the weight field.

See also:

  • Set Weight Field dialog box


Setting Table Options

With the Table Options command, you can control whether a table supports missing values and whether or not users can modify the table.

To set table options:

  1. From the Data menu, choose Table Options.

    The Table Options dialog box appears.

  2. If you want to enable missing values - In the Missing Values Support area:
    • Select Missing Values Not Enabled if you want the Builder to display zeros in the cells of the table to indicate that no source data for that cell was found.
    • Select Table Initialized to Missing Values If you want the Builder to initialize all cells of the table to dashes before the source file is processed.

      Once a table is created, you cannot change the missing values support. (To determine if the missing values option was enabled when a table was built, check the table's summary statistics.)

  3. To prevent users from modifying the table, check Lock Table after Build. (For this option to work, you must save the table in IVT format before you build it.) The table will be Read-only.
  4. Click OK.

See also:

  • Table Options dialog box


Creating the Table

Once you have defined a table by positioning a minimum of two source field tiles as dimensions and (optionally) filling it with numeric source values, you are ready to create the table.

Note: Since tables created from extracts are processed in memory, the size of the table is limited by the amount of available memory.

To create the table:

  1. Do one of the following:
    • Button - Go Click the Load Data button on the toolbar.
    • From the Data menu, choose Go.

      The table is created and the table view is displayed.

      Note: The extract file remains open so you can build more tables if you wish.


Saving the Table

To name and save a table:

  1. From the File menu, choose Save As.

    The Save As dialog box appears.

  2. In File name, enter the name of the table. If necessary, select a different drive or directory.
  3. In Save as type, select Data Table (*.ivt).
  4. Click Save.

See also:

  • Save As dialog box


Recreating an Extract

If you receive a message when trying to open an extract that the Browser cannot find a file associated with the extract, you will have to recreate the extract.

You can recreate an extract from either the extract file or from one of its constituent dimension definition files.

To recreate an extract:

  1. From the File menu, point at Utilities and choose Recreate Extract.

    The Recreate Extract dialog box appears.

  2. In File name, enter or select the name of the extract file (or one of its constituent dimension definition files) that you want to recreate.

    If you do not see the file you want to recreate, select a different drive or directory to locate the file.

  3. Click Open.

    If you have the extract open when you recreate it, you must close and reopen it to get an updated copy.

See also:

  • Recreate Extract dialog box


Exporting an Extract to a New File Format

The Browser allows you to export a Beyond 20/20 extract to another file format. This facilitates the transfer of source field data into other software packages.

You can choose from the following file formats:

  • dBASE (*.dbf)
  • SAS (*.sas)
  • SPSS (*.sps)

If you have applied any constraints, the Browser allows you to save only those records that match the constraints.

To export an extract to a new file:

  1. Open the extract you want to save as a new file.
  2. From the File menu, choose Save Extract As.
  3. In File name, enter the new file name. If necessary, select a different drive or directory.
  4. Click Save.

    The Export Extract dialog box appears.

  5. In Available Fields, select the fields you want to export.
  6. If you have applied any constraints and you want to save only those records that match the constraints, select the check box for Apply current constraints.
  7. Click OK.

Note: When exporting an extract to .DBF, .SAS, .SPS, or .TXT, if there is a coded (non-numeric) field called Code.Export it will be used for the code values in the exported file. This can be used to allow special features, such as multiple continuous spaces, to be used in codes.

Note: When exporting an extract to a SAS or SPSS file format, two files are created. The text file (.txt) contains the data and the SAS (.sas) or SPSS (.sps) file contains the file layout and description information.

Note: When exporting to dBASE file format (.DBF), you should make sure the filename follows the MS-DOS 8.3 file naming convention. Otherwise the file may not be able to be opened in Jet Engine applications such as Microsoft Access or Microsoft Query.

See also:

  • Export Extract dialog box


Viewing an Extract Summary

An extract summary contains textual information which describes the contents of the extract. Some of this information is provided by the extract creator and the rest is generated automatically by Beyond 20/20.

To view an extract summary:

  • From the Data menu, choose Extract Summary.

    An extract summary view appears.


Source Fields

In this section:

Finding Source Fields

Selecting Categories to Find Source Fields

Searching for Relevant Source Fields

Viewing a Source Field Summary

Locating a Source Field

Sorting Source Field Tiles

Deleting a Source Field

Setting Record Constraints

Creating Custom Source Fields


Finding Source Fields

Source fields are the components of an extract from which you create a table. When source fields are positioned into an empty table view, they become dimensions.

To open the Find Source Field dialog box:

  1. From the Data menu, choose Find Source Field.

    The Find Source Field dialog box appears.

See also:

  • Find Source Field dialog box


Selecting Categories to Find Source Fields

When you open the Find Source Field dialog box, the Categories area displays all of the category names that are assigned to the source fields. The Fields/Type area provides you with a list of all of the source fields assigned to that category.

To select source field categories in the Find Source Field dialog box:

  1. In the Categories area, select a category name.
  2. To select more than one category, do one of the following:
    • Click and hold the left mouse button while dragging the pointer along the category names.
    • Hold the Ctrl key down and click on the category names.

      Each time you add a new category to those selected, the Browser adds the associated source fields to the Fields/Type area.

See also:

  • Find Source Field dialog box


Searching for Relevant Source Fields

Each source field has descriptive components that provide information about the contents of the source field.

The descriptive components correspond to several fields of text. You can search the text in these fields to find a source field that contains the information you are looking for.

To search a source field's descriptive components:

  1. From the Find Source Field dialog box, select one or more categories you want to search and then click Search.

    The Find Source Field Search dialog box appears.

  2. In Text to Find, enter the text you want to search for.
  3. In the Search Options area, select the fields you want to search:
    • Title/Description - A brief description of the source field.
    • Notes - An extended description of the source field.
    • Keywords - A list of individual words or phrases that relate to the contents of the source field.
    • Dimension/Source Field Names - The name of the source field.
    • Codes - The codes associated with the source field. (A code is a symbolic value that uniquely identifies an item.)
    • Labels - The labels associated with the source field. A label is a word or phrase that describes an item, or the code which identifies that item.

      The Browser compares the text you specified to the text stored in the source field's descriptive components. Any matching source fields are displayed in the Field/Type area, and the total number found is displayed above it.

      If a match is not found, the Field/Type area is empty and the message 0 found is displayed above it. In that case, you might want to clear the result in the Find Source Field dialog box and try a different search.

See also:

  • Find Source Field dialog box
  • Find Source Field Search dialog box


Viewing a Source Field Summary

To view a source field summary:

  1. Select a source field in the Fields/Type area of the Find Source Field dialog box and click Summary.

    A Source Field Summary appears.

  2. Click OK to return to the Find Source Field dialog box.

    Tip: To view a source field summary at any time, select the source field tile and then choose Source Field Summary from the Data menu.

See also:

  • Find Source Field dialog box
  • Source Field Summary View


Locating a Source Field

To locate a source field:

Do one of the following in the Find Source Field dialog box:

  • In the Fields/Type area, double-click on the source field you want to locate.
  • In the Fields/Type area, select the source field you want to find and then click OK.

    The source field tile is highlighted on the source field bar.

See also:

  • Find Source Field dialog box


Sorting Source Field Tiles

Source field tiles can be listed either alphabetically or in the order in which they were created.

To sort source field tiles:

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Do one of the following:
    • To display the source field tiles in alphabetical order, select the check box for Sort Source Field Tiles Alphabetically.
    • To display the source field tiles in the order in which they were created, clear the check box for Sort Source Field Tiles Alphabetically.
  3. Click OK.

See also:

  • Preferences dialog box


Deleting a Source Field

You can delete source fields that you no longer require.

Caution: Once a source field is deleted, you cannot get it back.

To delete a source field from an extract:

  1. Select the source field you want to delete.
  2. Do one of the following:
    • Click the right mouse button and choose Delete Source Field.
    • From the Data menu, choose Delete Source Field.

      The Browser asks you to confirm that the field you have selected is really the one you want to delete.

  3. Click OK.

    The source field is permanently deleted.


Setting Record Constraints

If you want to limit the source records that are loaded into a table, or create a new extract whose underlying data has been constrained, you can apply record constraints.

A Record Constraints view allows you to:

  • Impose one or more constraints on all records during the creation of a table.
  • Impose one or more constraints before creating a new extract.

To set record constraints:

  1. From the Data menu, choose Record Constraints.

    A Record Constraints view appears. Each column potentially represents a constraint.

  2. Select a source field you want to use to create a constraint and drag it into the first empty column in the view. (If a non-numeric field does not have a dimension definition file associated with it you are prompted to confirm the creation of one.)

    The source field name appears in the Field row.

    • If the source field is numeric, the lowest and highest data values appear in square brackets in the Criteria row (for example, [18, 89]).
    • If the field is coded, the codes related to the source field appear in quotation marks preceded by an equal sign in the Criteria row (for example, ="4").
  3. Double-click on the text in the Criteria row.
    • If the text you select is numeric, the Numeric Constraint dialog box appears.

      In the Numeric Constraint dialog box, select either a range or a comparison constraint.

    • If you select a range constraint, enter the minimum and maximum values to be included in the constraint. Select Inclusive to indicate that the range used to constrain the source field is inclusive of the minimum and maximum values.
    • If you select a comparison constraint, choose a comparison operator and, in the Value area, enter the value you want to use as the constraint.
    • If the text you select is coded, the Constraint Field dialog box appears:

      In the Constraint Field dialog box, select the codes you want to include in the constraint. (To select non-consecutive codes, hold the Ctrl key down and click on each code. To select consecutive codes, click on the first code, hold the Shift key down, and click on the last code.)

  4. Click OK.

    The Record Constraints view appears again. Repeat from Step 2 for each source field you want to impose constraints on.

    Tip: If you make a mistake, simply drag the source field back to the source field bar.

    Note: As you drag and drop the source fields into the columns, a single vertical line separates the columns that are filled. This indicates an And condition, where the Browser will search for records that match all of the constraints in each of the columns. If you want to indicate an Or condition, select a column and click Or. A separation and the word Or appear to the right of the selected column indicating that the Browser will search for records that match the constraints in either column (or group of columns). To change the Or condition back to an And condition, click And.

  5. If you want to constrain the data that will be loaded into the table, close the view.

    The constraints are applied and are detailed in the notes section of the table summary when the table is created.

    Note: Constraints may be modified at any time before the table is created.

  6. If an extract is open and you want to create a new extract that contains records according to the constraints specified: From the File menu, choose Save Extract As.

    The Save As dialog box appears.

  7. Save the new extract.

    An extract containing only the data that satisfies the constraints is created and an associated set of dimension definition files is saved. (The new extract is independent of the original extract.)

See also:

  • Record Constraints view
  • Numeric Constraint dialog box
  • Constraint Field dialog box


Creating Custom Source Fields

In this section:

Overview

Recoding Source Fields

Creating New Bands for Numeric Source Fields

Deriving New Source Fields Using Arithmetic Operations


Overview

You can create your own source fields based on the source fields provided in an extract. Once created, these new source fields become part of the extract and remain in the extract until you delete them.

You can use custom source fields to create custom dimensions in tables of your own design.


Recoding Source Fields

Recoding a source field creates a new source field that contains a redistribution of the items from the original source field. For example, if the original source field contains items for smaller geographic regions, such as cities, you might prefer to create a new source field that redistributes the items into larger regions, such as countries.

If you find that you often recode source fields in the same or a similar way, you can save the recode definition and load it again as required. A recode definition is saved as an IVR file.

When you are recoding a source field, all the codes in the original source field must be assigned to the recoded source field. However, you do not have to recode every item:

  • You can use certain items "as is."
  • You can create a default code and assign to it all the items that have not been recoded.

To recode a source field:

  1. In an extract, do one of the following:
    • Right-click the source field you want to recode, and then choose Define Recode from the shortcut menu.
    • Select the source field you want to recode, and then choose Define Recode from the Data menu.

      The Define Recode dialog box appears, with the name of the active source field displayed in Source Field Name.

      Note: If Source Field Name does not match the field you want to recode, first select the appropriate field from the drop-down list.

  2. In New Source Field Name, enter a name for the new source field you are creating (or else accept the default).
  3. In New Code, enter a name for one of the new codes you want to create. Then define the member codes that will make up the new code.
    • To add members to the new code, select them in Available Codes and click Add.
    • To remove members from the new code, select them in Members and click Remove.
  4. Repeat from Step 2 for each code you want to create in the new source field.
    • If Available Codes contains some codes that you want to carry over unchanged into the new source field, select them and click Use As Is.
  5. Create a default code, as follows: Once you have finished recoding all the items that specifically interest you, create another code as in Step 2 and check Make this the default code for all remaining codes. All the remaining codes will automatically be assigned to the default code.
  6. When all available codes have been reassigned, the Save and OK buttons become available. If you want to save the recode definition, click Save and choose a name and location for the IVR file. Then click OK.
  7. You are prompted to confirm the creation of a new field. Click OK.

    The source field is created and a new tile appears in the source field bar.

To load a saved recode definition:

  1. Click Load and select an IVR (Recode Definition File). If the source field name in the IVR does not match the source field you have selected, you will be asked to confirm your choice.
  2. Make any changes to the recode definition and enter a name for the new source field (or else accept the default). All the codes in the Available Codes area must be accounted for, either by recoding them, by using them "as is," or by assigning them to the default code.

    When all the codes are accounted for, the OK and Save buttons become active. Click Save if you want to save any changes you have made to the recode definition, or else click OK to create the new source field.

See also:

  • Define Recode dialog box


Creating New Bands for Numeric Source Fields

When an extract is created, default numeric bands are assigned to all numeric source fields that do not have an associated dimension definition file. You can modify these bands with the Define Bands command.

For example, if an original age source field contains 5-year age bands it can be rebanded to contain 10-year bands.

To create bands of equal size:

  1. Do one of the following:
    • Right-click on the numeric source field you want to reband and choose Define Bands.
    • From the Data menu, choose Define Bands.

      The Define Bands dialog box appears. The Code/Description area displays one code containing the true minimum and maximum values of the source field.

  2. In New Source Field Name, enter a name for the new source field, or use the default name displayed.
  3. In Start, enter a value that is equal to or less than the lowest value in the Code/Description area.
  4. In Increment, enter a value to be used as the constant width for all bands.

    Note: When you enter a value in Start or Increment, the OK button dims to prevent you from creating a new source field until the bands have been applied.

  5. Click Apply.

    The Browser assigns the bands necessary to contain all values in the source field and displays them in the Code/Description area.

  6. Click OK.

    You are prompted to confirm the creation of a new field.

  7. Click OK.

    A new source field tile appears in the source field bar.

To create custom bands:

  1. In the Define Bands dialog box, click Advanced.

    The Define Band area is displayed at the bottom of the dialog box.

  2. In the Define Band area, enter the following options:
    • New Code - a character combination representing the new code.
    • Minimum - the value that will be the lower threshold of the band.
    • Maximum - the value that will be the upper threshold of the band.
  3. Select from the following check boxes:
    • Renumber - Sequentially renumber the numeric codes.
    • Inclusive - Include the value in the minimum or maximum areas in the band. (If you want all but the value to be included, clear the Inclusive check box.)

      Note: In the display of a band, an inclusive endpoint is denoted by a square bracket and an exclusive endpoint is denoted by a round bracket.

  4. In the Create New Field as area, select the option button corresponding to the field type for the new source field. (Select numeric if you subsequently want to reband or perform operations on the new field.)
  5. Click OK.

    You are prompted to confirm the creation of a new field.

  6. Click OK.

    A new field tile appears in the source field bar.

See also:

  • Define Bands dialog box


Deriving New Source Fields Using Arithmetic Operations

You can derive new source fields by combining arithmetic operations and existing source fields in formulas. The formulas can include 'if,' 'then,' 'else,' and 'endif' expressions to allow for conditional constructs.

  • The result of a formula is a numeric field.
  • If, then, else, and endif constructs can be used to create more complex formulas. All four words (if, then, else, endif) must be included in your constructs.
  • You may use coded fields in the condition of an if, then, else construct, but you must use quotes around the code (e.g., Sex ="1").
  • Square brackets must be used around source field names containing special characters (e.g., blanks or _ ). For example, [Field One].

To derive a new source field:

  1. From the Data menu, choose Define Derived Field.

    The Define Derived Field dialog box appears.

  2. In New Field Name, enter a name for the new field.
  3. In Formula, enter an expression to describe how the new field is to be calculated.

    To include an existing source field in your formula, double-click on the appropriate field name in Available Fields. (You can also highlight the field you want to include and click Insert.)

  4. Click OK.

    You are prompted to confirm the creation of a new field.

  5. Click OK.

    A new source field tile appears in the source field bar.

See also:

  • Define Derived Field dialog box


Browser Menus

In this section:

File Menu

Edit Menu

View Menu

Dimension Menu

Item Menu

Data Menu

Window Menu

Help Menu


File Menu

In this section:

Open... (File menu)

Close (File menu)

Find... (File menu)

Summary... (File menu)

Import... (File menu)

Save As... (File menu)

Save Extract As... (File menu)

Page Setup (File menu)

Print Preview (File menu)

Print... (File menu)

Utilities (File menu)

Exit (File menu)

1, 2, 3, 4 (File menu)


Open... (File menu)

Displays an Open dialog box, which enables you to open any of the following files:

  • Table (IVT)
  • Extract (IVX)
  • Dimension Definition (IVD)
  • Update Definition (IVU)
  • Source (IVS)

Alternatives:

  • Chart button Click the Open button on the toolbar.
  • Select a previously-opened file from the bottom of the File menu.
  • Press Alt, F, O.


Close (File menu)

Closes all the windows that are associated with the active table or extract.

Alternative:

  • Press Alt, F, C.


Find... (File menu)

Opens the Find dialog box, which enables you to find and open tables or extracts using the Beyond 20/20 category selection feature.

Alternatives:

  • Chart button Click the Find button on the toolbar.
  • Press Alt, F, F.


Summary... (File menu)

Opens a table's Summary view, which provides descriptive information about the table.

Alternative:

  • Press Alt, F, Y


Import... (File menu)

Opens the Import dialog box, which initiates any of the following actions:

  • Imports labels into a dimension view from a comma- separated value or dimension definition file.
  • Updates an existing Beyond 20/20 table from another Beyond 20/20 table.

Alternative:

  • Press Alt, F, M.


Save As... (File menu)

Opens the Save As dialog box, which initiates one of the following actions:

  • Saves all or part of an existing table as a new table.
  • Exports table data to other file formats.

    Note: Saving using "Save as" automatically upgrades an earlier version Beyond 20/20 table to version 6.2.

Alternative:

  • Press Alt, F, A


Save Extract As... (File menu)

Opens the Save As dialog box, which enables you to do one of the following:

  • Export an extract to text, dBASE III, SAS, or SPSS formats.
  • Create an extract from an existing extract that contains data values from those records that match any specified constraints.

Alternative:

  • Press Alt, F, E


Page Setup (File menu)

Opens the Page Setup dialog box, which enables you to prepare your reports for printing.

Alternative:

  • Press Alt, F, G


Print Preview (File menu)

Opens the Print Preview dialog box.

Alternatives:

  • In the Page Setup dialog box, click Print Preview.
  • Press Alt, F, V.


Print... (File menu)

Opens the Print dialog box, which enables you to print the active table, dimension, chart, or map view.

Alternatives:

  • Click the Print button on the toolbar.
  • Right-click in the active view and choose Print from the shortcut menu.
  • Press Alt, F, P


Utilities (File menu)

In this section:

Validate... (File Menu - Utilities)

Recreate Extract... (File Menu - Utilities)

Import Profile... (File Menu - Utilities)


Validate... (File Menu - Utilities)

Opens the Validate dialog box, which does both of the following:

  • Determines if a Beyond 20/20 file is corrupt.
  • Provides information about the version features that are present in the file.

Alternative:

  • Press Alt, F, T, V


Recreate Extract... (File Menu - Utilities)

Opens the Recreate Extract dialog box, which enables you to update an extract file by recreating it. Also used to repair a corrupt extract file.

Alternative:

  • Alt, F, T, X


Import Profile... (File Menu - Utilities)

Opens the Import Dimension Profile dialog box, which enables you to create a dimension profile by importing a list of codes from an ASCII dimension profile.

Alternative:

  • Press Alt, F, T, I


Exit (File menu)

Ends the current session.

Alternatives:

  • Press Alt, F, X.
  • Press Alt+F4.


1, 2, 3, 4 (File menu)

Lists the names of the last four files opened. You can click on the name of a file to reopen it.

Alternative:

  • Press Alt, F, (File Number)


Edit Menu

In this section:

Copy (Edit menu)

Paste (Edit menu)

Summary (Edit menu)


Copy (Edit menu)

Copies a cell, chart view, map view, or one or more items to the Windows Clipboard, so you can paste them into another location in a Beyond 20/20 table or into another application.

Alternatives:

  • Right-click in the active view and choose Copy.
  • Press Ctrl+C.
  • Press Alt, E, C


Paste (Edit menu)

Pastes data values or text from the Windows Clipboard into another location in a Beyond 20/20 table or into another application, such as a word processor or spreadsheet.

Alternatives:

  • Press Ctrl+V
  • Press Alt, E, P


Summary (Edit menu)

In this section:

File... (Edit menu - Summary)

Dimension... (Edit menu - Summary)

Item... (Edit menu - Summary)

Extract... (Edit menu - Summary)

Source Field... (Edit menu - Summary)


File... (Edit menu - Summary)

Opens a Summary editor, which enables you to add or edit descriptive information about the active table or extract.

Alternative:

  • Press Alt, E, S, F.


Dimension... (Edit menu - Summary)

Opens a Dimension Summary editor, which enables you to add or edit descriptive information about the active dimension.

Alternative:

  • Press Alt, E, S, D.


Item... (Edit menu - Summary)

Opens an Item Summary editor, which enables you to edit descriptive information about the active dimension item.

Alternative:

  • Press Alt, E, S, I.


Extract... (Edit menu - Summary)

Opens an Extract Summary editor, which enables you to add or edit descriptive information about the active extract.

Alternative:

  • Press Alt, E, S, E.


Source Field... (Edit menu - Summary)

Opens the Source Field Summary editor, which enables you to add or edit descriptive information about the active source field.

Alternative:

  • Press Alt, E, S, S.


View Menu

In this section:

Open... (View menu)

Save (View menu)

Reset (View menu)

Decimals (View menu)

Change Language (View menu)

Dimension (View menu)

Chart (View menu)

Chart Options... (View menu)

Chart Link... (View menu)

Switch Axes (View menu)

Map (View menu)

Map Options... (View menu)

Zoom In (View menu)

Zoom Out (View menu)

Restore (View menu)

Set Active Dimension... (View menu)

Move Dimensions (View menu)

Time Series... (View menu)

Fiscal Year... (View menu)

Distributions... (View menu)

Worksheet... (View menu)

Calculate (View menu)


Open... (View menu)

  • Displays the Open view dialog box, which enables you to open an existing table view. You can replace the current view with the view stored in another table file.

Alternative:

  • Press Alt, V, N.


Save (View menu)

Saves the current view of the table in the table file (IVT).

Alternative:

  • Press Alt, V, S.


Reset (View menu)

Restores the current view to the default view contained in the table file, undoing any changes.

Alternative:

  • Press Alt, V, E


Decimals (View menu)

Changes the number of decimal places in decimal fractions.

  • Specifying the number of decimal places rounds the data to a given degree of accuracy.
  • This setting applies only to the active table. It remains in effect until you either change the setting or close the table without saving the view.

Alternative:

  • Press Alt, V, L


Change Language (View menu)

Displays the table in one of its alternate languages. Select this command again to display the table in the next available language.

  • The status bar shows which language you are currently viewing.
  • This command is only available for multilingual tables.

Alternatives:

  • Press F9.
  • Press Alt, V, H.


Dimension (View menu)

Displays a Dimension view showing the code and label fields associated with the active dimension. (A dimension always contains one field of codes, and it may contain one or more fields of labels.)

Alternatives:

  • Chart button Click the Display Active Dimension button on the toolbar.
  • Press Ctrl+D.
  • Press Alt, V, D.


Chart (View menu)

Displays a chart view created from the column and row dimensions in the active table.

  • The chart view is dependent on the selections you make in the table view.
  • To change the format of a chart view, see Chart Options.

Alternatives:

  • Chart button Click the Display chart button on the toolbar.
  • Right-click in the active view and choose Chart from the shortcut menu.
  • Press Ctrl+G.
  • Press Alt, V, C.

Notes on missing values in charts:

Missing values are handled differently for different chart types.

  • 2D bar chart – Missing values are not shown.
  • 2D stacked bar chart – Missing values are treated the same as zero values.
  • 3D bar chart – Missing values appear as blank areas. Zero values appear as flat color areas that have no bar.
  • Line chart – Missing values are represented by a break in the line. A series of missing values appears as a dashed line, colored gray.


Chart Options... (View menu)

When a chart view is active, use this command to open the Chart Options dialog box.

Alternatives:

  • Right-click in a chart view and choose Chart Options.
  • Press Alt, V, P


Chart Link... (View menu)

Opens the Chart Link dialog box, which enables you to link and unlink dimensions.

  • Linking dimensions to a chart enables dynamic plotting.

Alternatives:

  • Right-click in the active chart view and choose Chart Link from the shortcut menu.
  • Press Alt, V, K.


Switch Axes (View menu)

In a chart view, switches the dimension in the horizontal axis with the dimension in the legend.

Alternatives:

  • Right-click in the active chart view and choose Switch Axes.
  • Press Alt, V, X.


Map (View menu)

Displays the active table as a map view.

  • Map views are only available if the active table has geographic data associated with it, and if the geographic dimension has been linked to a map file.
  • To change the colors and display of labels, data values, and cities in a map view, see Map Options dialog box.

Alternatives:

  • Button - Map Click the Display Map button on the toolbar.
  • Press Ctrl+M.
  • Press Alt, V, M.


Map Options... (View menu)

Opens the Map Options dialog box, which enables you to customize a map view.

Alternatives:

  • Right-click in the active view and choose Map Options.
  • Press Alt, V, O.


Zoom In (View menu)

Zooms in on a map view.

Alternatives:

  • In a map view, double-click on the label for a region.
  • Right-click on a region label and choose Zoom In.
  • Press Alt, V, I


Zoom Out (View menu)

Zooms out of a map view.

Alternatives:

  • In a map view, double-click on white space. (That is, not on any region.)
  • Right-click on a region label and choose Zoom Out.
  • Press Alt V, Z


Restore (View menu)

Restores a magnified map view to the state it was in before you magnified it.

Alternatives:

  • Right-click in the active map view and choose Restore.
  • Press Alt, V, R.


Set Active Dimension... (View menu)

Opens the Set Active Dimension dialog box, which enables you to select a dimension and make it active.

Alternatives:

  • Click on a dimension tile.
  • Choose the name of a dimension in the Active Dimension box.

  • Press Alt, V, A.


Move Dimensions (View menu)

Provides a keyboard alternative for moving a dimension tile.

The dimension you want to move must be active before you can choose this command. To make a dimension active using key sequences, use Alt, V, A to open the Set Active Dimension dialog box. Then choose a dimension with the arrow keys and press Enter.

Once you have chosen an active dimension, use the Tab key to highlight the desired location for the dimension and then press Enter.

Alternative:

  • Press Alt, V, V.


Time Series... (View menu)

Opens the Time Series dialog box, which enables you to aggregate data according to a selected display frequency.

Alternative:

  • Press Alt, V, T.


Fiscal Year... (View menu)

Opens the Fiscal Year dialog box, which enables you to select a month for the beginning of the fiscal year for the active table.

Alternative:

  • Press Alt, V, F


Distributions... (View menu)

Opens the Distributions dialog box, which enables you to compute row, column, and total distributions (percentages) for the values in a table.

Alternative:

  • Press Alt, V, B.


Worksheet... (View menu)

Opens the View Worksheet dialog box, which enables you to save all or part of a table to a worksheet.

Alternative:

  • Press Alt, V, W.


Calculate (View menu)

Calculates values for all total and computed groups in the table.

Alternative:

  • Press Alt, V, U.


Dimension Menu

In this section:

Summary... (Dimension menu)

Sort... (Dimension menu)

Search... (Dimension menu)

Reverse (Dimension menu)

Show All (Dimension menu)

Reset (Dimension menu)

Drill Down (Dimension menu)

Drill Up (Dimension menu)

Drill Back (Dimension menu)

Change Labels (Dimension menu)

Edit Dimension... (Dimension menu)

Add Field... (Dimension menu)

Edit Field... (Dimension menu)

Delete Field (Dimension menu)

Hide/Show Fields... (Dimension menu)

Load Profile... (Dimension menu)

Save Profile... (Dimension menu)


Summary... (Dimension menu)

Opens a Dimension Summary view, which provides descriptive information about the active dimension.

Alternatives:

  • Right-click a dimension tile and choose Dimension Summary.
  • Press Alt, D, Y.
  • Summary Icon Click the summary icon in a dimension tile.


Sort... (Dimension menu)

Opens the Sort dialog box, which enables you to change the order of the items in a table or dimension view.

Alternatives:

  • Sort Button Click the Sort button on the toolbar.
  • Press Alt, D, T.


Search... (Dimension menu)

Opens the Search dialog box, which enables you to search for items in the active dimension that match the text, code, data range, or time span you specify.

Alternatives:

  • Search button Click the Search button on the toolbar.
  • Press Alt, D, R.


Reverse (Dimension menu)

Replaces all the items that are currently on display in the active dimension with all the items that are currently hidden.

Alternative:

  • Press Alt, D, V.


Show All (Dimension menu)

Displays all the hidden items that are associated with the active dimension.

Alternatives:

  • Right-click in the active window and choose Show All.
  • Press Alt, D, L.


Reset (Dimension menu)

Initiates any of the following actions:

  • Displays all items of the active dimension in the table.
  • Restores the sort order of items (provided the view has not been saved).
  • Resets the active cell of the active dimension.

Alternative:

  • Press Alt, D, E.


Drill Down (Dimension menu)

Shows all the items that are members of the active group.

Alternatives:

  • Click on an item that defines a group. (Items that define groups appear bold and underlined.)
  • Press Alt, D, D.


Drill Up (Dimension menu)

Shows the group of which the active item is a member, along with any other groups that are at the same level as the first group.

Alternative:

  • Press Alt, D, U.


Drill Back (Dimension menu)

Displays the previous group view.

  • The previous group view can be either higher or lower in the group hierarchy than the current view, depending on the way you last viewed the group.

Alternative:

  • Drill Back Arrow Click the Drill Back arrow in a dimension tile. (A Drill Back arrow only appears if you have previously drilled down into a group.)
  • Press Alt, D, B


Change Labels (Dimension menu)

Toggles through all the available code and label fields for the active dimension.

  • Every item is identified by a unique code. For example, the code for North America might be NA. Items can also have one or more descriptive labels, such as "North America".

Alternatives:

  • Label button Click the Next Label button on the toolbar.
  • Press Alt, D, C


Edit Dimension... (Dimension menu)

Opens the Edit Dimension dialog box, which enables you to change the name, description, update options, and default labels for a dimension.

Alternative:

  • Press Alt, D, M.


Add Field... (Dimension menu)

Opens the Add field dialog box, which enables you to add a new field to the active dimension. (Once you have added a field, you can enter or import labels as required.)

Alternative:

  • Press Alt, D, I


Edit Field... (Dimension menu)

Opens the Edit field dialog box, which enables you to change the name and display attributes of the active dimension field. (You must be in a dimension view in order to use this command.)

Alternative:

  • Press Alt, D, F.


Delete Field (Dimension menu)

Deletes a field from the selected dimension. (You must be in a Dimension view to use this command.)

Alternative:

  • Press Alt, D, D.


Hide/Show Fields... (Dimension menu)

Opens the Hide/Show Fields dialog box, which controls which fields of a dimension are displayed and which are hidden. (Affects both dimension and table views.)

Alternative:

  • Press Alt, D, H.


Load Profile... (Dimension menu)

Opens the Load Profile dialog box, which enables you to select, show, or delete a dimension profile.

Alternative:

  • Press Alt, D, P.


Save Profile... (Dimension menu)

Opens the Save Dimension Profile dialog box, which enables you to save selected items as a dimension profile.

Once you have saved a dimension profile, you can either select or show the profile using the Load Profile dialog box.

Alternative:

  • Press Alt, D, S.


Item Menu

In this section:

Summary... (Item menu)

Show (Item menu)

Hide (Item menu)

Select All (Item menu)

Insert... (Item menu)

Delete Item (Item menu)

Define Group... (Item menu)

Remove Group (Item menu)

Select Group (Item menu)

Cell Information (Item menu)


Summary... (Item menu)

Opens an Item Summary view, which provides descriptive information about the active item.

Alternatives:

  • Summary Icon Click the summary icon next to an item's name.
  • Press Alt, I, Y.


Show (Item menu)

Displays only the selected items in a table or Dimension view.

Alternatives:

  • Right-click in the active window and choose Show.
  • Press Alt, I, S.


Hide (Item menu)

Hides the selected items so they no longer display in a table or Dimension view.

Note: Hiding items does not delete them from the table. You can show them again by selecting Reset from the View menu or Show All from the Dimension menu.

Alternatives:

  • Right-click in the active view and choose Hide.
  • Press Alt, I, H.


Select All (Item menu)

Selects all the items in the active dimension, except for items that are hidden.

Alternative:

  • Press Alt, I, A


Insert... (Item menu)

Opens the Insert Item dialog box, which enables you to insert a new item into the active dimension. (If the active dimension is a time series, the Insert Time Series dialog box opens instead.)

Alternatives:

  • Press the Insert key
  • Press Alt, I, T


Delete Item (Item menu)

Deletes the selected item or items from the active dimension.

Alternative:

  • Press Alt, I, L.


Define Group... (Item menu)

Opens the Define Group dialog box, which enables you to add an item that will define a group.

Note: Adding items or groups automatically updates older version Beyond 20/20 tables to version 6.2.

Alternative:

  • Press Alt, I, G


Remove Group (Item menu)

Removes the group definition from the selected item. (The item remains in the table, along with the values that were associated with it before the group definition was removed.)

Alternative:

  • Press Alt, I, R.


Select Group (Item menu)

Selects all the members of the currently-selected group.

Alternative:

  • Press Alt, I, P.


Cell Information (Item menu)

Opens the Cell Information dialog box, which shows information about the selected cell.

Alternatives:

  • Press Alt, I, C.
  • Press Ctrl+L.
  • Right-click in a data cell and choose Cell Information.


Data Menu

In this section:

Extract Summary... (Data menu)

Define Recode... (Data menu)

Define Bands... (Data menu)

Define Derived Field... (Data menu)

Find Source Field... (Data menu)

Source Field Summary (Data menu)

Delete Source Field (Data menu)

Set Weight Field... (Data menu)

Record Constraints... (Data menu)

Table Options... (Data menu)

Go (Data menu)


Extract Summary... (Data menu)

Opens an Extract Summary view, which provides descriptive information about the active extract.

Alternative:

  • Press Alt, T, Y.


Define Recode... (Data menu)

Opens the Define Recode dialog box, which enables you to create a new source field containing a redistribution of the items from an existing source field.

Alternatives:

  • Right-click in the source field you want to recode and choose Define Recode.
  • Press Alt, T, R.


Define Bands... (Data menu)

Opens the Define Bands dialog box, which enables you to create a numeric or coded source field that defines bands from an existing numeric source field.

A band is a range of data values. For example, ages might be presented as ranges from 0-5 years, 5-10 years, 10-15 years, and so on. Each range is a band.

Alternatives:

  • Right-click in the source fields area and choose Define Bands.
  • Press Alt, T, B.


Define Derived Field... (Data menu)

Opens the Define Derived Field dialog box, which enables you to create a new numeric source field by applying a formula to the values of existing source fields.

Alternative:

  • Press Alt, T, D


Find Source Field... (Data menu)

Opens the Find Source Field dialog box, which enables you to search for a particular source field. (If found, the source field is made active.)

Alternative:

  • Press Alt, T, F


Source Field Summary (Data menu)

Opens a Source Field Summary view, which provides descriptive information about the active source field.

Alternatives:

  • Right-click in a source field and choose Source Field Summary.
  • Press Alt, T, M.


Delete Source Field (Data menu)

Deletes a source field from an extract.

Alternatives:

  • Right-click the source field you want to delete and choose Delete Source Field.
  • Press Alt, T, E.


Set Weight Field... (Data menu)

Opens the Set Weight field dialog box, which enables you to select the numeric source field that contains weighting factors for use during the creation of a table or an extract.

A weighting factor is the number of times that a record is logically replicated when the table or extract is being built.

Alternative:

  • Press Alt, T, W.


Record Constraints... (Data menu)

Opens a Record Constraints view, which enables you to impose one or more constraints on the records of a source file during the creation of a table or a new extract.

A constraint is a limiting factor on data values, such as "Under age 30," "Females only," or "Over $50,000."

Alternative:

  • Press Alt, T, C


Table Options... (Data menu)

Opens the Table Options dialog box, which enables you to set options for languages and missing value support in the table that is being created.

Alternative:

  • Press Alt, T, I.


Go (Data menu)

Builds the table.

Note: At least two dimensions must have been defined in the new table before you can use this command.

Alternatives:

  • Button - Go Click the Load data button on the toolbar.
  • Press Alt, T, G.


Window Menu

In this section:

Tile Vertical (Window menu)

Tile Horizontal (Window menu)

Cascade (Window menu)

Arrange Icons (Window menu)

Close All (Window menu)

Preferences... (Window menu)

1, 2, 3, 4 (Window menu)


Tile Vertical (Window menu)

Displays all open document windows side-by-side, in a vertical tile arrangement.

Alternatives:

  • Chart button Click the Tile button on the toolbar.
  • Press Alt, W, T


Tile Horizontal (Window menu)

Displays all open document windows one above the other, in a horizontal tile arrangement.

Alternatives:

  • Press Alt, W, H.


Cascade (Window menu)

Displays open windows one behind the other, with the title bar of each window showing.

Alternative:

  • Press Alt, W, C.


Arrange Icons (Window menu)

Arranges all icons along the bottom of the workspace.

Alternative:

Press Alt, W, I


Close All (Window menu)

Closes all the document windows in the workspace.

Alternatives:

Press Alt, W, A


Preferences... (Window menu)

Opens the Preferences dialog box, which enables you to set up your working environment and control presentation options.

Alternative:

  • Press Alt, W, P.


1, 2, 3, 4 (Window menu)

Lists all document windows that are currently open. Select the number that represents the window you want to make active.

Alternative:

  • Press Alt, W, (File Number).


Help Menu

In this section:

Browser Help (Help menu)

About Beyond 20/20 (Help menu)


Browser Help (Help menu)

Opens the online help.

Alternatives:

  • Press Alt, H, B.
  • Click the Help button in a dialog box.
  • Press F1 in a dialog box.
  • Point at a menu item and press F1.


About Beyond 20/20 (Help menu)

Opens the About Beyond 20/20 dialog box, which shows copyright and version information for the Browser.

Alternative:

  • Press Alt, H, A.


Browser Dialog Boxes

In this section:

Add Field dialog box

Bar Chart dialog box

Browse for Folder dialog box

Cell Information dialog box

Chart Format dialog boxes

Chart Link dialog box

Chart Options dialog box

Constraint Field dialog box

Define Bands dialog box

Define Derived Field dialog box

Define Group dialog box

Define Recode dialog box

Dimension Summary Editor

Dimension Summary View

Dimension View

Distributions dialog box

Edit Axis dialog box

Edit Dimension dialog box

Edit Unit Item Dialog Box (no associated menu)

Edit Field dialog box

Export Extract Dialog Box

Extract Summary Editor

Extract Summary View

Find Dialog Box

Find Source Field dialog box

Find Source Field Search Dialog Box

Fiscal Year dialog box

Font dialog box

Hide/Show Fields dialog box

Import dialog box

Import Dimension Profile dialog box

Import File dialog box

Insert Item dialog box

Insert Time Series dialog box

Item Summary Editor

Item Summary View

Line Marker dialog box

Line Plot dialog box

Load Profile dialog box

Log Report

Map Options dialog box

Numeric Constraint dialog box

Open dialog box

Open View dialog box

Page Setup dialog box

Pie Chart dialog box

Preferences dialog box

Print dialog box

Print Preview dialog box

Print Setup dialog box

Record Constraints View

Recreate Extract dialog box

Table Options dialog box

Time Series dialog box

Save As dialog box

Save Dimension Profile dialog box

Save Extract As dialog box

Scatter Plot dialog box

Search dialog box

Search Components dialog box

Set Active Dimension dialog box

Set Weight Field dialog box

Sort dialog box

Source Field Summary Editor

Source Field Summary View

Summary Editor

Summary View

Time Series dialog box

Validate dialog box

View Worksheet Dialog Box (View menu)


Add Field dialog box

Use to add a new field to the active dimension. Once you have added a field, you can enter or import labels as required.

Note: You must be in a Dimension view to use this command.

To open:

  • From the Dimension menu, choose Add Field.
  • Press Alt, D, I.

Options:

Field Name

Enter a name for the new field.

Note: If you are adding a field to import labels, the field name must be identical to the field name in the import file.

Field Type

Select a field type to identify what kind of data the field will contain. Possible types are:

  • Boolean - Values are true or false only.
  • Floating Point - Values are decimal fractions.
  • Integer - Values are 16-bit (2-byte) numbers ranging in value from -32,768 to +32,767.
  • Long Integer - Values are 32-bit (4-byte) numbers ranging in value from -2,147,483,648 to +2,147,483,647.
  • Label - Values are textual descriptors (names) that help users to understand the meaning of a code.

Language

Select the field's language. The field will only be available when the language of the field is the same as the language of the table.

Note: This option is only available if the table is multilingual.

Display as Data Label

Allows the field to be viewed as labels in the table view. If this option is cleared, users will not be able to view the field's alternate labels by clicking the Next Label button on the toolbar.

See also:

  • Dimension View


Bar Chart dialog box

Use to customize the bars in grouped, stacked, three-dimensional and regular bar charts.

To open:

  • Double-click the bars in a bar chart view.

Options:

Color

Select the main color you want to apply to all bars in the chart.

Hatch Style

Select the style of the hatch you want to apply on top of the main color of all bars in the chart.

Border Color

Select the color of the border you want to apply to all bars in the chart.

See also:

  • Chart Format dialog boxes


Browse for Folder dialog box

Use to locate a folder.

To open:

  • Chart button In the Find dialog box, click the browse button for the Directory field.

See also:

  • Find dialog box


Cell Information dialog box

Displays information about the selected cell.

To open:

  • From the Item menu, choose Cell Information.
  • Press Alt, I, C.
  • Press Ctrl+L.
  • Right-click in a data cell and choose Cell Information.

Options:

Dimension

Lists the dimensions that contain the selected cell.

Description

Lists codes and labels for the dimensions and items that contain the selected cell.


Chart Format dialog boxes

In this section:

Overview

Bar Chart dialog box

Edit Axis dialog box

Font dialog box

Line Marker dialog box

Line Plot dialog box

Pie Chart dialog box

Scatter Plot dialog box


Overview

Use to customize chart elements.

To open:

  • In a chart view, double-click on the element you want to format.


Edit Axis dialog box

Use to enter fixed settings for the Y-axis of a chart. The settings will be used by all subsequent charts.

To open:

  • Double-click on the Y-axis of a chart view.

Options:

Minimum

Enter a number to represent the desired lower limit for the Y-axis.

Maximum

Enter a number to represent the desired upper limit for the Y-axis.

Tick Space

Enter a number for the distance, in pixels, between major ticks on the Y-axis.

Minor Ticks

Enter the number of minor ticks that are to appear between major ticks on the Y-axis.

Automatic

Sets the Y-axis settings automatically. Adjusts the axis to accommodate both the highest and the lowest data values so all the selected data points can be displayed at once.

See also:

  • Chart Format dialog boxes


Font dialog box

Use to format text in a chart view.

To open:

  • Double-click on any text in a chart.

Options:

Font

Select the name of the font you want to use for the selected text.

Color

Select a font color.

Font Style

Select a font style.

Size

Select a font size.

Sample

Displays a sample text view thatr shows all the options you have selected.

See also:

  • Chart Format dialog boxes


Line Marker dialog box

Use to style the lines and markers in line marker charts.

To open:

  • Double-click on the relevant area of a line marker chart view.

Options:

Line Options

Presents the style and color options for the currently selected line.

  • Style - Select a line style to apply to the currently selected line.
  • Color - Select a color to apply to the currently selected line.

Marker Options

Presents the marker options for the currently selected line.

  • Type - Select a line style to apply to all the markers on the currently selected line.
  • Color - Select a color to apply to all of the markers on the currently selected line.
  • Fill - If selected, creates a solid colored marker.

See also:

  • Chart Format dialog boxes


Line Plot dialog box

Use to style line charts and stacked line charts.

To open:

  • Double-click on the relevant line in a line chart view.
  • Double-click on the associated color in the legend.

Options:

Line Options

Presents the style and color options for the currently selected line.

  • Style - Select a line style to apply to the currently selected line.
  • Color - Select a color to apply to the currently selected line.

Spline

Creates a smooth curve along the length of the line.

Fill Area

Fills the area below the line with the same color as the line.

See also:

  • Chart Format dialog boxes


Pie Chart dialog box

Use to style three-dimensional and regular pie charts.

To open:

  • Double-click the associated color area in the legend of a pie chart view.

Options:

Color

Select the main color you want to apply to the currently selected section of the pie.

Border Color

Select the border color you want to apply to the currently selected section of the pie.

Hatch Style

Select the hatch line style you want to apply on top of the main color of all the currently selected sections of the pie.

Explosion

Specify how far away the currently selected section of the pie should be displayed, relative to the center of the pie.

See also:

  • Chart Format dialog boxes


Scatter Plot dialog box

Use to style the markers in scatter plot charts.

To open:

  • In a scatter plot chart view, double-click the relevant marker.

Options:

Marker Options

Presents the style and color options for the currently selected marker.

  • Type - Select a marker type to apply to all the markers associated with an item.
  • Color - Select a color to apply to all the markers associated with an item.
  • Fill - If selected, creates a solid colored marker.

Drop Line

If selected, draws a vertical colored line from the bottom of each marker to the horizontal axis of the chart.

See also:

  • Chart Format dialog boxes


Chart Link dialog box

Links and unlinks dimensions from a chart. (Linking dimensions enables dynamic plotting.)

Note: With the exception of the dimension in the horizontal axis (which is always held constant), an unlinked dimension can be linked again at any time.

To open:

  • From the View menu, choose Chart Link.
  • Right-click in the active chart view and choose Chart Link.
  • Press Alt, V, K.

Options:

Dimensions

Select the dimensions you want to link to the chart.

Link All

Links all the dimensions in the Dimensions area.

Link None

Unlinks all the dimensions in the Dimensions area.


Chart Options dialog box

Use to change the type of chart on display in the active chart view. The options available depend on whether you select a single item or multiple items from the column and/or row dimensions.

You can alter the format of the chart by double-clicking on the object you want to change. See Chart Format Dialog Boxes.

To open:

  • From the View menu, choose Chart Options.
  • Right-click in a chart and choose Chart Options.
  • Press Alt, V, P.

Options:

Bar Charts

Available when you select a single row or column in the table.

Vertical bar chart | Vertical bar chart - Creates a vertical, two-dimensional bar to represent each item in the horizontal axis. Every bar has the same color, hatch style, and border assigned to it.
Vertical bar chart | Horizontal bar chart - Creates a horizontal, two-dimensional bar to represent each item in the vertical axis. Every bar has the same color, hatch style, and border assigned to it.
Vertical bar chart | 3D vertical bar chart - Creates a vertical, 3D bar to represent each item in the horizontal axis. Every bar has the same color, hatch style and border assigned to it.
Vertical bar chart | 3D horizontal bar chart - Creates a horizontal, 3D bar to represent each item in the vertical axis. Every bar has the same color, hatch style and border assigned to it.

Grouped Bar Charts

Available when you select more than one row or column in the table.

Vertical bar chart | Vertical grouped bar chart - Creates a group of vertical, two-dimensional bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | Horizontal grouped bar chart - Creates a group of horizontal, two-dimensional bars to represent a group of data points for each item in the vertical axis.
Vertical bar chart | 3D vertical grouped bar chart- Creates a group of vertical, 3D bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | 3D horizontal grouped bar chart - Creates a group of horizontal, 3D bars to represent a group of data points for each item in the vertical axis.

Each group contains one bar for each item in the legend. The same type of bar is used to uniquely represent each item in the legend.

Stacked Bar Charts

Available when you select more than one item in the table.

Vertical bar chart | Vertical stacked bars - Creates a group of vertical, two-dimensional bars to represent a group of data points for each item in the horizontal axis.
Vertical bar chart | Horizontal stacked bars - Creates a group of horizontal, two-dimensional bars to represent a group of data points for each item in the vertical axis.

Each group contains one bar for each item in the legend. The same type of bar is used to uniquely represent each item in the legend, and the bars are positioned directly on top of each another. With the exception of the bars at the bottom, values for all of the other bars are offset by the ones plotted underneath.

Line Charts

Vertical bar chart | Horizontal line - Creates a horizontal line to join all of the X-Y coordinates plotted for each item in the horizontal axis. There is one line for each item in the other dimension (whether it be represented by a title caption, or a legend).
Vertical bar chart | Vertical line - Creates a vertical line to join all of the X-Y coordinates plotted for each item in the vertical axis. There is one line for each item in the other dimension (whether it be represented by a title caption, or a legend).

Line Marker Charts

Vertical bar chart | Horizontal line marker - Creates a horizontal line with markers to join all of the X-Y coordinates plotted for each item in the horizontal axis. There is one line for each item in the other dimension (whether it be represented by a title caption, or a legend).
Vertical bar chart | Vertical line marker - Creates a vertical line with markers to join all of the X-Y coordinates plotted for each item in the vertical axis. There is one line for each item in the other dimension (whether it be represented by a title caption, or a legend).

Scatter Plot Charts

Vertical bar chart | Horizontal scatter plot - Creates a marker at each X-Y coordinate, plotted for each item in the horizontal axis.
Vertical bar chart | Vertical scatter plot - Creates a marker at each X-Y coordinate, plotted for each item in the vertical axis.

The same type of marker is used to uniquely represent each item in the other dimension (whether it be represented by a title caption, or a legend). When a legend is available, you can choose a unique marker for each item in the legend.

Stacked Line Chart

Available when you select more than one item in the table.

Vertical bar chart

Stacked line - Creates a horizontal line to join all of the X-Y coordinates plotted for each item in the horizontal axis.

There is one line for each item in the legend, and the area under each line is filled with color. The lines are stacked on top of each other and, with the exception of the line at the bottom, values for all other lines are offset by the ones plotted underneath.

Pie Charts

Available when you select one item in the table.

Vertical bar chart | Pie chart - Creates a two-dimensional pie chart with each section representing one item in the column or row dimension, whichever dimension is inactive.
Vertical bar chart | 3D pie chart - Creates a 3D pie chart with each section representing one item in the column or row dimension, whichever dimension is inactive.

Other Options

Auto Axes | Adjusts the scale used to measure data values. The adjustment accommodates both the highest and the lowest data values so that all of the selected data points can be displayed at once.
Display Footnote | Displays the table title as a footnote at the bottom of the chart.

Save As Default

Accepts the current selections and applies them to any other charts you create.

See also:

  • Chart Format dialog boxes


Constraint Field dialog box

Imposes a constraint on a coded (non-numeric) source field.

To open:

  • In the Criteria row of a Record Constraints view, double-click on a coded value (for example, ="2").

Options:

Select one or more codes to be used in the constraint. You can use Shift-Click to select adjacent codes or CTRL-Click to select non-adjacent codes.

See also:

  • Record Constraints view
  • Numeric Constraint dialog box


Define Bands dialog box

Use to create a numeric or coded source field that defines bands (ranges of data values) from an existing numeric source field.

Note: Click the Advanced button to display options for Define Band, Create New Field as, and Summary.

To open:

  • From the Data menu, choose Define Bands.
  • Right-click in the source fields area and choose Define Bands.
  • Press Alt, T, B.

Options:

Source field Name

Select or enter the name of the numeric source field you want to reband. Only the available numeric source fields appear in the popup menu.

Description

Shows the source field's description.

New Source field Name

Enter a unique name for the new rebanded source field (or else accept the default name).

Initialize

Used to enter the lowest value in the new source field and the constant numeric width of all its bands.

  • Start - Enter a value that is lower than or equal to the lowest value in the source field, as shown in the Description text area.
  • Increment - Enter a constant numeric width for all the bands.

Apply

Generates new bands according to the Initialize area specifications. The new codes and bands appear in the Code/Description area.

Code/Description

Shows the code of the existing source field and the endpoints (the lowest and highest values) in the field.

Note: In the display of a band, an inclusive endpoint is denoted by a square bracket and an exclusive endpoint is denoted by a round bracket. It is possible for one endpoint to be inclusive while the other endpoint of the same band is exclusive, and therefore ranges can start and end with different kinds of brackets.

Advanced

Allows you to create custom bands of unequal width, or bands consisting of groups of bands.

Define Band

Use this area to further customize the new bands. Repeat for each band:

  • New Code - Enter a code for the new band.
  • Renumber - Sequentially renumbers the numeric codes.
  • Minimum - Used to create bands of unequal size. Enter a value for the lower threshold of the band.
  • Maximum - Enter a value for the upper threshold of the band.
  • Inclusive - Select this option if you want the values in the Minimum/Maximum boxes included in the band.

Insert

Adds the new range to the Code/Description box.

Delete

Deletes newly-defined bands from the Code/Description box.

Create New field As

Select whether the new field will be coded or numeric.

  • Coded - Results in the loss of underlying data; however, the dimension definition file associated with the new source field requires less disk space.
  • Numeric - Retains the underlying data so users can perform numeric operations on the new field.

Summary

Identifies the currently selected source field and provides information about the range of data values associated with that source field.

See also:

  • Creating New Bands for Numeric Source Fields


Define Derived Field dialog box

In an extract view, use to create a new numeric source field whose values are calculated by applying formulas to existing source fields.

To open:

  • From the Data menu, choose Define Derived Field.
  • Press Alt, T, D.

Options:

New field Name

Enter a name for the new source field.

Formula

Enter a formula to describe how the new field is to be calculated. For formula rules and examples, see Designing Formulas.

Available Fields

Select a source field to include in the formula.

Insert

Chart button To use the value of an existing field in your formula, select it and click the Insert button.

See also:

  • Deriving New Source Fields Using Arithmetic Operations
  • Designing Formulas


Define Group dialog box

Use to add an item that will define a group of items.

The type of group you decide to create (total, protected, or computed) determines the way in which data values for the group will be derived.

To open:

  • From the Item menu, choose Define Group.
  • Press Alt, I, G.

Options:

Dimension

The name of the dimension that the group belongs to.

Group Code

Enter a unique code for the group. (If the code already exists, it becomes the group code and any existing data is overwritten by the group calculation. Otherwise the new code is added to the bottom of the dimension.)

Group Type

Choose a type for the group. The Browser will show Total Group, Protected Group, or Computed Group in the taskbar.

  • Total - Sums the values of the group members to arrive at a group total.

    Note: After you have defined a Total group, a dialog appears asking if you want to calculate its value now. You can also choose Calculate in the View menu to calculate all the groups in a table at once.

  • Protected - Defined for the purpose of showing a hierarchy. No calculation is performed and the values of the group's members do not affect the value of the group.
  • Computed - Calculates the value of the group by applying a formula to selected items.

    Note: After you have defined a Computed group, a dialog appears asking if you want to calculate its value now. You can also choose Calculate in the View menu to calculate all the groups in a table at once.

Computed area

Enter the formula you want to use to calculate a computed group's value. See Designing Formulas for formula rules and examples.

Arrow button

To include the value of group members in the formula, select their codes in the area on the right and click the arrow button. (To add the value of a single group member to your formula, double-click its name in the area on the right.)

Notes:

  • You cannot define groups in a time series dimension.
  • Adding items or groups automatically updates older version Beyond 20/20 tables to version 6.2.
  • Formulas for calculating groups have a limit of 255 characters.
  • If two computed groups intersect, the result is zero.

See also:

  • Defining a Group
  • Designing Formulas


Define Recode dialog box

In an extract view, use to create a new source field containing a redistribution of the items from an existing source field. (Also allows you to save the recode definition (IVR), which enables you to recode a source field in the same way in the future.)

To open:

  • From the Data menu, choose Define Recode.
  • Right-click on the source field you want to recode, and then choose Define Recode.
  • Press Alt, T, R.

Options:

Source field Name

Select or enter the name of the source field you want to recode.

Field Description

Displays the source field's description.

New Source Field Name

Enter a unique name for the new source field you are creating, or else accept the default.

New Code Definition

This area defines the structure of the new source field.

New Code

Enter a unique code to identify one of the new codes you are creating.

Delete New Code

Deletes the code displayed in New Code, and returns its associated items from the Members area to Available Codes.

Make this the default code for all remaining codes

If checked, all remaining codes in the Available Codes area are assigned to the current code. Used as a catch-all for items that do not specifically need to be recoded. (All items must be accounted for, either by recoding them, by using them "as is," or by assigning them to the default code.)

Available Codes

Displays the codes for all the items in the originating source field. Select the items you want to recode and click Add.

Add

Moves the selected items from Available Codes to the Members area. This adds them to the recoded field.

Remove

Removes the selected member from the recoded field.

Use As Is

Retains the same code in the recoded field as in the original field.

Members

Displays the codes that have been assigned to the current recoded field.

Save

Saves the recode definition as a Recode Definition File (IVR).

Load

Loads a saved Recode Definition File (IVR).

See also:

  • Recoding Source Fields


Dimension Summary Editor

Use to add or edit descriptive information about the active dimension.

To open:

  • From the Edit menu, point at Summary and then choose Dimension.
  • Press Alt, E, S, D.

Options:

Dimension

The dimension name that appears in the dimension tile in the table view.

Description

The textual description for the dimension.

Notes

An extended description of the dimension. The Notes section can use HTML and may include hyperlinks.

Note: Beyond 20/20 advises caution when using HTML in summaries. For more information, see HTML in Summaries.

See also:

  • Dimension Summary
  • Summary Editor
  • HTML in Summaries


Dimension Summary View

Displays descriptive information about the active dimension.

To open:

  • From the Dimension menu, choose Summary.
  • Summary Icon Click the summary icon in a dimension tile.
  • Right-click a dimension tile and choose Dimension Summary.
  • Press Alt, D, Y.

Options:

Dimension Name

The dimension name that appears in the dimension tile in the table view.

Description

A textual description of the dimension.

Notes

An extended description of the dimension.

See also:

  • Dimension Summary Editor


Dimension View

Shows the codes and labels for all the items in a dimension.

To open:

  • From the View menu, choose Dimension.
  • Chart button Click the Display active dimension button on the toolbar.
  • Press Ctrl+D.
  • Press Alt, V, D.


Distributions dialog box

Computes row, column, and total distributions for the values in a table. (Distributions are calculations of totals and percentages.)

To open:

  • From the View menu, choose Distributions.
  • Press Alt, V, B.

A new dimension called Distributions will be created. By default, the items in the Distributions dimension are as follows:

  • Data Value
  • Percentage of Row Total
  • Percentage of Column Total
  • Percentage of All Values

Options:

Include Items of Dimensions

Select the dimensions, positioned in the dimension bar, whose items you want to include in the distributions calculation. (If you do not select any dimensions from this area, only the single items that are currently displayed in the dimension bar will be included in the distributions.)

Distribution Items

Select which distributions are to be calculated and inserted into the distributions dimension.

  • Values - Includes the actual table data in the new distributions dimension.
  • Row Distributions - Includes the percentage each value represents of its row total as an item in the new distributions dimension.
  • Column Distributions - Includes the percentage each value represents of its column total as an item in the new distributions dimension.
  • Total Distributions - Includes the percentage each value represents of the table total as an item in the new distributions dimension.

Notes:

  • By default, all items in the row and column dimensions, and only the single item displayed for each dimension in the dimension bar, are included in the calculation.
  • If you have selected any items in a dimension, the calculations are based on the selected items only.
  • When nesting is in effect, the sum of the data across the rows and/or columns is used as the base for the distribution calculation.
  • If the view contains groups, and any group members have been hidden, distribution calculations are based on the remaining group members. (The group total, however, appears as a dash.)

See also:

  • Calculating Distributions


Edit Dimension dialog box

Use to change the name, description, and default labels for a dimension.

To open:

  • From the Dimension menu, choose Edit Dimension.
  • Press Alt, D, M.

Options:

Dimension Name

Enter a name for the dimension.

Dimension Description

Enter a description for the dimension. This description is displayed in the dimension summary and in the table's statistics.

Default Label Field

Select which dimension field contains the labels that users should see when they open the table.


Edit Unit Item Dialog Box (no associated menu)

Use to apply statistical calculations to numeric source fields, producing a new set of data values.

To open:

  • Drag and drop a numeric source field tile into the cell area of an empty table view.

Options:

Item Name

Confirm or enter the name you want to give the item that is to contain the statistic. The default name is a combination of the default statistical method and the name of the source field you dragged and dropped into the cell area of the table view.

Calculated As

Select the method you want to use to generate a new set of data values.

See also:

  • Filling a Table With Numeric Source Field Values


Edit Field dialog box

Changes the name and display attributes of the active dimension field.

Note: You must be in a Dimension view to use this command.

To open:

  • From the Dimension menu, choose Edit Field.
  • Press Alt, D, F.

Options:

Field Name

Enter a new field name, if desired.

Language

Select the language of the field. (The field will be visible when the field's language is the same as the current table language.)

Note: This option is only available if the table has more than one language.

Display as Data Label

Allows the field to be displayed as labels in the table view.

Note: If this option is not selected, users will not be able to view the alternate labels in the field by clicking the Change Labels button Label button on the toolbar.

See also:

  • Editing a Field


Export Extract Dialog Box

Creates a new file containing specified extract source fields.

Options:

Available Fields

Select the source fields you want to include in the new file.

Apply Current Constraints

Exports only those data values associated with records that match any current constraints.

See also:

  • Exporting an Extract to a New File Format


Extract Summary Editor

Use to add or edit descriptive information about the active extract.

To open:

  • From the Edit menu, point at Summary and then click Extract.
  • Press Alt, E, S, E.

Options:

File Name

Shows the name of the active extract.

Directory

Shows the drive and directory where the extract is located.

Title

Enter a title for the extract.

Category

Enter the category that the extract is assigned to.

Author

Enter the name of the creator of the extract.

Keywords

Enter keywords for the extract, separated by commas. (Keywords should suggest the content or purpose of the extract.)

Notes

Enter a description of the extract. The Notes section can use HTML and include hyperlinks.

Note: Beyond 20/20 advises caution when using HTML in summaries. For more information, see Notes on HTML in Summaries.

See also:

  • The Summary Editor
  • Notes on HTML in Summaries


Extract Summary View

Displays descriptive information about the active extract.

To open:

  • From the Data menu, choose Extract Summary.
  • Press Alt, T, Y.

View Options:

Title

The extract's title.

File Name

The name of the extract file.

Directory

The drive and directory where the extract is stored.

Category

A category the extract is assigned to.

Author

The name of the creator of the extract. May be a company name.

Keywords

Displays keywords for the extract, separated by commas. (Keywords suggest the content or purpose of the extract.)

Notes

An extended description of the extract.

Statistics

Detailed information about the history and structure of the extract.


Find Dialog Box

Find and open tables and extracts.

Note: To control whether the Find dialog box appears automatically when you open the Builder, choose Preferences from the Window tab. Then select or clear the checkbox for Display the Find dialog box on Start Up.

To open:

  • From the File menu, choose Find.
  • Chart button Click the Find button on the toolbar.
  • Press Alt, F, F.

Options:

Categories

Select one or more categories to list the tables or extracts assigned to those categories.

Files

Select the table or extract you want to open.

Title

Displays the full title of the table or extract selected in the Files area.

Directory

Displays the location of the tables and extracts displayed in the Files area. If necessary, enter a different directory to open a table or an extract that is stored elsewhere, or click the browse button to browse to a different directory.

All

Selects all the category names in the Categories area, thereby displaying all tables and extracts found in the current directory.

None

Clears all the category names that are currently displayed in the Categories area.

Search

Opens the Search Components dialog box, which enables you to search for tables or extracts that meet a specific set of criteria.

Clear

Clears the results of the last search.

Summary

Opens a Summary editor (for tables) or an Extract Summary editor (for extracts), which enable you to view descriptive information about the table or extract.

Chart button Browse

Opens the Browse for Folder dialog box, which enables you to select a location to begin your search.

See also:

  • Selecting Categories to Find Tables or Extracts
  • Search Components dialog box
  • Summary Editor
  • Extract Summary Editor
  • Browse for Folder dialog box


Find Source Field dialog box

Searches for a source field and, if found, makes it the active field.

To open:

  • From the Data menu, choose Find Source Field.
  • Press Alt, T, F.

Options:

Categories

Shows the source field categories that are available in the extract. Select one or more categories to list the source fields assigned to those categories.

All

Selects all the category names in the Categories area. All the source fields in the extract then display in Fields.

None

Clears all the category names currently selected in the Categories area. Also clears the Fields area.

Fields

Lists all the source fields contained in the extract that correspond to the selected category or categories. Double-click the name of a source field to make it active.

Search

Opens the Find Source Field Search dialog box, which enables you to search for source fields that meet specific criteria. (When you click OK in Find Source Field Search, the search results appear in Fields and the words Search ON appear at the top of Fields.)

Clear

Clears the results of the last search. (The words Search ON no longer display at the top of Fields.)

Extract

Displays the name and location of the extract in use.

Summary

Opens a Source Field Summary editor, which enables you to view or edit descriptive information about the active source field.

See also:

  • Finding Source Fields
  • Selecting Categories to Find Source Fields
  • Find Source Field Search dialog box
  • Source Field Summary editor


Find Source Field Search Dialog Box

Locates a specific source field by searching the descriptive components of all source fields.

To open:

  • In the Find Source Field dialog box, click Search.

Options:

Text to Find

Enter the text you want to search for.

Search Options

Select which components of the source fields you want to search. You can search one or more of the following components:

  • Description - A brief description of the field.
  • Notes - An extended description of the field.
  • Keywords - Individual words or phrases that relate to the field, or to the category the field is assigned to.
  • Dimension/Source Field Names - Source field names assigned to the source fields.
  • Codes - A symbolic value that uniquely identifies an item. A code can be an abbreviation or any combination of numbers and letters.
  • Labels - An optional word or phrase that describes an item, or the code which identifies that item. It can be the name of a person, place, object, or time value.

See also:

  • Searching for Relevant Source Fields
  • Find Source Field dialog box


Fiscal Year dialog box

Use to select a month for the beginning of the fiscal year for the active table.

The month you select will affect which data values are used to calculate time series aggregations, because calculations are based on the data recorded in a 12-month period starting with the selected month.

To open:

  • From the View menu, choose Fiscal Year.
  • Press Alt, V, F.

Options:

Start of Fiscal Year

Select the month from which you want to start obtaining 12-month blocks of data for time series calculations. The month you select will represent the start of the fiscal year for this table.

See also:

  • Defining the Fiscal Year


Hide/Show Fields dialog box

Use to specify which fields of a dimension will be displayed and which will be hidden. Affects both dimension and table views.

To open:

  • From the Dimension menu, choose Hide/Show Fields.
  • Press Alt, D, H.

Options:

Select Fields to be Shown

Select the fields you want to display. (Selected fields are highlighted.)

Note: When an extract is created, each source field has a hidden field called Frequency. Showing this field will display the frequency count for each item in the source field.

See also:

  • Hiding and Showing Fields


Import dialog box

Use to initiate one of the following actions:

  • Import labels into a dimension view from a comma-separated value, dBASE III, ASCII, or dimension definition file (IVD).
  • Update an existing Beyond 20/20 table (IVT) from another Beyond 20/20 table.
  • Import descriptive information and dimension characteristics from one extract into another.

To open:

  • From the File menu, choose Import.
  • Press Alt, F, M.

Options:

Input Filename

Enter or browse to the file you want to import.

Chart button Browse

Opens the Import File dialog box, which enables you to locate and select the file you want to import.

Lookup Field

Select the field that contains values that match those in the Code field of the file being imported. (This area is not used when importing a table or an extract.)

Import Options

Select the appropriate updating options. (This area is not used when importing an IVT.)

  • Add New Codes - Adds codes from the import file into the table.
  • Case Sensitive on Codes - Indicates that the case of the codes in the import file and the table must be the same for a match to occur.
  • Use Windows Character Set - Characters in the import file will be treated as ANSI standard characters, not OEM (DOS) characters.

Notes on updating one table from another using File Import:

  • The default language of the source file is used as the language for the match. If the target file does not contain the default language of the source file, the import will fail.
  • The name of the dimension in the default language of the source file has to match the name of the dimension in the same language of the target file. If the dimension names do not match the import will fail.
  • The dimension name for the default language will not be overwritten. All dimension descriptions and dimension names for the other languages will be overwritten.

See also:

  • Importing Table Data
  • Import File dialog box
  • Importing Labels


Import Dimension Profile dialog box

Use to create a profile (IVP file) by importing a list of codes from an ASCII dimension profile.

To open:

  • From the File menu, point at Utilities and then choose Import Profile.
  • Press Alt, F, T, I.

Options:

Import Filename

Enter or browse to the ASCII dimension profile that you want to import.

Chart button Browse

Displays an Open dialog box, which enables you to locate and select the ASCII file you want to import.

Dimension

Enter the name of the dimension the new profile will be associated with.

Profile Name

Enter the name of the new profile.

Description

Enter a description for the new profile.


Import File dialog box

Use to locate a file for import.

To open:

  • Chart button In the Import dialog box, click the browse button for Input Filename.

Options:

Look in

Browse to the location of the file you want to import.

File name

Select or enter the name of the file you want to import.

Files of type

Select the type of file you want to appear in the File name area.

See also:

  • Import dialog box


Insert Item dialog box

Use to insert a new item into the active dimension, adjacent to the selected item.

Note: If the selected item is a time series, the Insert Time Series dialog box appears instead.

To open:

  • From the Item menu, choose Insert.
  • Select an item and press the Insert key.
  • Press Alt, I, T.

Options:

Item Code

Enter a unique code for the item. (Codes can be numeric, textual, or a combination of both, and can be up to 15 characters long.)

Where to Insert

Select where the new item is to be inserted.

See also:

  • Adding and Deleting Items
  • Insert Time Series dialog box


Insert Time Series dialog box

Use to insert a new Time Series item.

To open:

  • From the Item menu, choose Insert.
  • Select a time series item and press the Insert key.
  • Press Alt, I, T.

Options:

First Date

Enter a date for the start of the new time series.

Last Date

Enter a date for the end of the new time series.

See also:

  • Insert Item dialog box


Item Summary Editor

Displays and allows you to edit descriptive information about the active item.

To open:

  • From the Edit menu, point at Summary and click on Item.
  • Press Alt, E, S, I.

Options:

Item Code

Displays the unique descriptor for the item. All items must have codes associated with them.

Default Label

Displays the default textual field associated with the item. If the default label is the code field, the next available label field is displayed.

Notes

Displays a description for the item. Notes can be entered in HTML, and they can contain hyperlinks. See Notes on HTML in Summaries.

See also:

  • Item Summary
  • Notes on HTML in Summaries


Item Summary View

Displays descriptive information about the active item.

To open:

  • From the Item menu, choose Summary.
  • Summary Icon Click the summary icon next to an item's name.
  • Press Alt, I, Y.

Options:

Item Code

Shows the unique descriptor for the item. (All items must have codes associated with them.)

Default Label

Shows the default textual field associated with the item. (If the default label is the code field, the next available label field is displayed.)

Notes

Shows a description for the item.


Load Profile dialog box

Use to select, show, or delete a dimension profile (IVR).

Note: Before you can use this command, you must have created one or more profiles using the Save Profile command.

To open:

  • From the Dimension menu, choose Load Profile.
  • Press Alt, D, P.

Options:

Dimension

Displays the name of the active dimension.

Profile Name/Description

Select the name of the dimension profile you want to load.

Include group definitions

If checked, loads saved group definitions along with the dimension profile. (Only active if the profile contains groups.)

Show

Displays only the items that belong to the dimension profile.

Select

Selects the items that belong to the dimension profile.

Delete Profile

Deletes the profile after displaying an error message.

See also:

  • Save Profile command


Log Report

As part of a Validate operation, provides information about the Beyond 20/20 version features that are in use in a file.

Also provides information necessary for the Beyond 20/20 Development team to correct any problems related to an unrecognized error in the Browser.

If there is an error, copy and paste the log report into an e-mail message and send it to support@Beyond2020.com.


Map Options dialog box

Use to select options for a map view.

To open:

  • From the View menu, choose Map Options.
  • Right-click in the active map view and choose Map Options.
  • Press Alt, V, O.

Options:

Range Colors

Select the colors that you want to apply to regions (and cities, if available).

  • The colors on the map are significant because they represent the value of the data on record for a region or city.
  • Although you can select an exact range color to represent the data, Beyond 20/20 adjusts the distribution of these colors automatically, according to the evaluation method specified in the Range Definition area (next).

Range Definition

Select one of the evaluation methods to classify data values into range definitions. The colors specified in the Range Color area represent the range definitions.

  • High/Low - Applies the high range color to the region associated with the highest data value, and the low range color to the region associated with the lowest data value. All regions whose data fall between the highest and the lowest data values will be highlighted in the middle range color.
  • Standard Deviation - Applies the middle range color to regions whose data fall within one standard deviation of the average. All regions having data greater than that are highlighted in the high range color, and all other regions are highlighted in the low range color.
  • Average - Applies the high range color to the region with the highest data value, and to regions with data values higher than the average. The low range color is applied to the region with the lowest data value, and to regions with data values lower than the average. The middle range color is reserved for the data value(s) that are exactly equal to the average value.
  • Linear - Applies a blend of the high range and low range colors to all regions. The middle range color is not used.

    All regions with data values greater than the average have a higher proportion of the high range color in the blend. All regions with data values less than the average have a higher proportion of the low range color in the blend.

  • Bilinear - Applies a blend of the high, middle, and low range colors. Regions with data values closest to the highest data value have the highest proportion of the high range color. Regions with data values closest to the average data value have the highest proportion of the middle color. Regions with data values closest to the lowest data value have the highest proportion of the low range color.

Contents

Select which details will be displayed on the map.

  • Display Region Names - Displays region labels on the map.
  • Display Data Values - Displays data values on the map.
  • Display Footnote - Displays the table title at the bottom of the map.

Display

Select the range of details to be displayed. Display options are available when either the Display Region Names or Display Data Values check box is selected.

  • Show Low Range Labels - Displays labels or data values associated with every region that falls into the low range definition.
  • Show Middle Range Labels - Displays labels or data values associated with every region that falls into the middle range definition.
  • Show High Range Labels - Displays labels or data values associated with every region that falls into the high range definition.
  • Hide Zero Labels - Hides labels displaying zero data values.
  • Cities - Displays city areas on the map (if cities are available).

    Note: The selections you make in the Range Colors, Range Definitions, Contents and Display areas affect the way cities are displayed on a map, just as they affect how regions are displayed on a map.

Link Map to Data

Links the map view to the table view, which enables you to see a dynamically changing map view that is synchronized with your current selection in the table view. Unlinking the map keeps the map view constant.

Save As Default

Applies the current dialog box selections to any other maps you create.

See also:

  • Selecting Map Options


Numeric Constraint dialog box

Use to impose a constraint on a numeric source field.

To open:

  • This dialog box appears when you double-click on numeric values (for example: [24, 192]) in the Criteria row of a Record Constraints view.

Options:

Type of Constraint Area

Select the type of constraint to apply to the source field.

  • A range constraint allows you to choose a minimum and maximum range that will constrain the source field.
  • A comparison constraint allows you to select a comparison operator that will constrain the source field.

Range

Enter a minimum and maximum value. (Select Inclusive if you want the value to be included in the constraint.)

Comparison

Choose a comparison operator and a value that the source field will be compared to.

See also:

  • Record Constraints view
  • Constraint Field dialog box


Open dialog box

Opens an existing table, extract, dimension definition file, update definition file, dimension profile, or source file.

To open:

  • From the File menu, choose Open.
  • Chart button Click the Open button on the toolbar.
  • Select a file name from the bottom of the File menu.
  • Press Alt, F, O.

Options:

Look in

Browse to the location of the file you want to open.

File name

Select or enter the name of the file you want to open.

Files of type

Select the type of file you want to appear in the File Name area. You will only be able to see files of that type when you are browsing for files.


Open View dialog box

Use to open an existing table view.

Beyond 20/20 will check the consistency of the view with the current table. If consistent, the current table will be replaced with the view being opened.

To open:

  • From the View menu, choose Open.
  • Press Alt, V, N.

Options:

Look in

Browse to the location of the table view.

File name

Select or enter the name of the table file.

See also:

  • Opening a Saved View


Page Setup dialog box

In this section:

Overview

Common options

Page Layout tab

Fonts tab

Content tab


Overview

Use to set options to prepare your reports for printing.

To open:

  • From the File menu, choose Page Setup.
  • In the Print Preview dialog box, click Page Setup.
  • Press Alt, F, G.

See also:

  • Print Preview dialog box


Common options

Print Preview

Opens the Print Preview dialog box.

Reset

Resets all page setup options to their initial state.

Note: This refers to the state the settings were in when the program was first installed, not the most recent settings.

OK

Applies changes and closes the dialog box.

Cancel

Cancels changes that have not been saved.

Help

Opens the online help.

Save as default

Saves changes as default settings.

See also:

  • Page Setup dialog box
  • Print Preview dialog box


Page Layout tab

Options

Page Area Attributes

Select an attribute to apply values to.

Minimum, Maximum

Enter values for the selected page attributes.

Print Setup...

Click to open the Print Setup dialog box, which enables you to select printer properties and paper orientation (portrait or landscape).

See also:

  • Page Setup dialog box
  • Print Setup dialog box


Fonts tab

Options:

Text to Modify

Choose text features you want to apply font attributes to.

Font

Lists the fonts that are available on your system.

Effects

Select strikeout or underline, if desired.

Font Style

Choose from regular, bold, italic, or bold italic.

Justification

Choose left justified, centered, or right justified.

Size

Select a font size.

Sample

Shows a sample of the chosen font with all the selected attributes.

See also:

  • Page Setup dialog box


Content tab

Options:

Title

By default, shows the name of the table the report is based on. You can enter a new title for your report if you wish. Click Reset to restore the default title.

Row Label Title

Enter text to display as a title for the row labels.

Source

By default, shows the author of the table the report is based on. Enter a different source if you wish.

Secondary Title

  • Choose Automatic to allow the Browser to create a secondary title from the selected elements.
  • Choose Custom if you would prefer to enter your own secondary title.

Page Numbering

Choose whether you want your report to show page numbers or not. You can also select their location.

Page Setup

Decide whether you want your report to display legends explaining the meaning of footnote indicators and missing value indicators.

See also:

  • Page Setup dialog box


Preferences dialog box

Use to set Browser environment options.

To open:

  • From the Window menu, choose Preferences.
  • Press Alt, W, P.

Options:

Row Dimension Color

Choose a color for the row dimension tiles.

Column Dimension Color

Choose a color for the column dimension tiles.

Dimension Bar Color

Choose a color for the dimension bar tiles.

Selection Color

Choose a color for highlighted objects.

Preferred Language

Choose a default startup language.

Display the Find dialog box on Start Up

Shows the Find dialog box at the start of every Builder session.

Automatically Tile Windows on Creation

Arranges chart and map views into a vertical tile pattern whenever a new chart or map view is created.

Display Zeros

Displays a zero value in a table cell if no source data is available for that cell. (Otherwise displays a blank cell.)

Cursor Down after Cell Edit

Moves the cursor down (instead of to the right) when you press Enter after editing a cell value.

Sort Source field Tiles Alphabetically

Lists source field tiles in the source field bar alphabetically. (Otherwise they are listed in the order in which they were defined.)

Display Table Title in Document Window Title Bar

Shows the one-line title of the table in the title bar of a table view.

See also:

  • Changing the Language of a Table
  • Displaying a Table Title in the Window Header
  • Selecting Colors for a Table View
  • Sorting Source Field Tiles
  • Displaying Zeros
  • Find dialog box


Print dialog box

Prints the active table, dimension, chart, or map view.

To open:

  • Click the Print button on the toolbar.
  • Click the Print button from the Print Preview dialog box.
  • Right-click in the active view and choose Print from the shortcut menu.
  • Press Alt, F, P.

Options:

Printer

Select the printer you want to print to.

Print Range

Select the area you want to print.

Number of Copies

Enter the number of copies you want to print.

Collate

Select this option to collate the printed pages.

See also:

  • Print Preview dialog box


Print Preview dialog box

Shows how the active view will look when it is printed.

To open:

  • From the File menu, choose Print Preview.
  • In the Page Setup dialog box, click Print Preview.
  • Press Alt, F, V.

Options:

PrintButton | Opens the Print dialog box.
BackButton | Displays the previous page.
ForwardButton | Displays the next page.
ZoomInButton | Zooms in.
ZoomOutButton | Zooms out.
DoublePageButton | Selects a single- or double-page view.
Page Setup | Opens the Page Setup dialog box.
Close | Closes the Print Preview.

See also:

  • Page Setup dialog box
  • Print dialog box


Print Setup dialog box

Use to select printer properties.

To open:

In the Page Layout tab of the Page Setup Dialog Box, do one of the following:

  • Click Print Setup.
  • Press Alt, R.

Options:

Printer

Select a printer to print to.

Properties

Enter printer properties.

Paper

Choose the size and source of the paper you want to print on.

Orientation

Select Portrait or Landscape.

See also:

  • Page Setup Dialog Box


Record Constraints View

Use to impose constraints on records during the creation of a table.

Note: You must set constraints before the table is built.

To open:

  • From the Data menu, choose Record Constraints.
  • Press Alt, T, C.

See also:

  • Setting Record Constraints
  • Constraint Field dialog box
  • Numeric Constraint dialog box


Recreate Extract dialog box

Does one of the following:

  • Repairs a corrupt extract file.
  • Updates an extract file to reflect any changes made to the dimension definition files after the extract was prepared.

You can locate and select either the extract, or a single dimension definition file associated with the extract.

Note: The extract you want to recreate must be closed before you run this command.

To open:

  • From the File menu, point at Utilities and then choose Recreate Extract.
  • Press Alt, F, T, X.

Options:

Look in

Browse to the location of the extract you want to recreate.

File name

Select or enter the name of the extract you want to recreate (or the name of an associated dimension definition file).

Files of type

Select the type of file you want to appear in the File name area. Choices are extract files (IVX) and dimension definition files (IVD).

Open

Click to recreate the extract. A message will inform you if the operation was a success.

See also:

  • Recreating an Extract


Table Options dialog box

Use to set options for missing value and language support in a table.

Note: Table options must be set before a table is built.

To open:

  • From the Data menu, choose Table Options.
  • Press Alt, T, I.

Options:

Missing Value Support

Determines how missing values will be handled in the table.

  • Missing Values Not Enabled - Does not store any missing value information. If the source file contains values that are defined as missing, they will be converted to zeros.
  • Table Initialized to Missing Values - Initializes the table with dashes before the source file is processed. Enables you to use missing values in the table.
  • Table Initialized to Zero Values - Sets all table cells to zeros before the source file is processed.

Lock Table after Build

Prevents users from modifying a table.

Note: This option is only available if you save the table before you build it.

Default Language

Displays the table's default language. Select a language from those listed in the drop-down box.

Supported Languages

Displays the languages that are available for use in the table. Highlight one or more languages to select them.

See also:

  • Setting Table Options


Time Series dialog box

Use to aggregate data according to a specified display frequency.

To open:

  • From the View menu, choose Time Series.
  • Press Alt, V, T.

Options:

Display Frequency

Select the frequency of the time interval you want to display. Selecting a different display frequency option causes Beyond 20/20 to display the time series data at a lower frequency.

The option button currently selected represents the base frequency. Dimmed choices cannot be selected because they represent frequencies that are higher than the base frequency.

Aggregation Method

Calculates an aggregated value for each time interval based on the data associated with the items that make up each time interval. Select one of the following aggregation methods:

  • Totals - For each time interval, displays the sum of all the values associated with each of the underlying items.
  • Averages - For each time interval, displays the quotient obtained by dividing the sum of each of the underlying items by the total number of underlying items.
  • Minimums - For each time interval, displays the smallest data value obtained from any one of the underlying items.
  • Maximums - For each time interval, displays the largest data value obtained from any one of the underlying items.
  • First Values - For each time interval, displays the value that was recorded first (chronologically) out of those associated with the underlying items.
  • Last Values - For each time interval, displays the value that was recorded last (chronologically) out of those associated with the underlying items.

Advanced Options

Displays the base frequency data as percentage differences or as moving averages.

  • Default - Displays the time series data according to the current settings in the Display Frequency and Aggregation Method areas.
  • Percentage Change - Calculates each value as the percentage increase since the previous time interval.
  • Moving Averages - Calculates each value as an average derived from the previous values associated with an earlier time span. This has the effect of smoothing out fluctuations in the data.
  • Periods - Specifies how many items (up to a maximum of 16) may be combined to make up each time span.

See also:

  • Time Series Options


Save As dialog box

Initiates one of the following actions:

  • Saves all or part of an existing table as a new table.
  • Exports table data into other file formats.

    Note: Any dimensions in the dimension bar whose items you want to export must be nested before exporting. When exporting to a dBASE III file, ensure that any nesting occurs only along the rows.

  • Saves an extract to other file formats.
  • Creates a new extract (from an existing extract) that contains data values from those records that match any specified constraints.

To open:

  • In a table - From the File menu, choose Save As.
  • In an extract - From the File menu, choose Save Extract As.
  • Press Alt, F, A.
  • Press Alt, T, A.

Options:

Save in

Browse to the location where you want to save your file.

File name

Select or enter the name of the file you want to save.

Save as type

Select the type of file you want to appear in the File Name area.

Include Other Dimensions

Saves all dimensions in the dimension bar (Other dimensions), in addition to the dimensions along the rows and columns. (This option only applies when you are saving data to a Beyond 20/20 table.)

Include Numeric Data

Saves numeric data to the new file. (This check box should only be cleared when you are saving a view as a separate table file.)

Notes on saving tables that have maps:

  • Saving a table with an embedded map to another table will not save the map in the new table. The new table will be linked to the original IVT. If you delete or rename the original IVT the map toolbar button in the new table will be disabled.
  • Saving a table with a linked map file to a different directory from the location of the map file saves the full path name to the map file. It is better to save the table to the same location as the map file, whether it is contained in an IVT or an IVD. Then no path information will be written and users will not have to be careful about storing the map file in a particular location on their computers.

See also:

  • Exporting Data to a New File Format
  • Exporting an Extract to a New File Format
  • Saving the current view


Save Dimension Profile dialog box

Saves selected items and group definitions as a dimension profile.

Once you have created a dimension profile, you can select or show it with the Load Profile Command.

To open:

  • From the Dimension menu, choose Save Profile.
  • Press Alt, D, S.

Options:

Dimension

The name of the active dimension.

Profile Name

Enter a name for the dimension profile.

Description

Enter a description for the dimension profile.

Include group definitions

If checked, any group definitions in the dimension are saved along with the profile. (Only active if groups have been defined.)

See also:

  • Load Profile Command
  • Dimension Profiles


Save Extract As dialog box

Use to save an extract as an IVX or TXT file, or export it to dBASE III, SAS, or SPSS formats.

Note: When saving an extract to .DBF, .SAS, .SPS, or .TXT, if there is a coded (non-numeric) field called Code.Export it will be used for the code values in the exported file. This can be used to allow special features, such as multiple continuous spaces, to be used in codes.

Note: When exporting to dBASE file format (.DBF), you should make sure the filename follows the MS-DOS 8.3 file naming convention. Otherwise the file may not be able to be opened in Jet Engine applications such as Microsoft Access or Microsoft Query.

To open:

  • From the File menu, choose Save Extract As.
  • Press Alt, F, E

Options:

Save in

Browse to the location where you want to save your file.

File name

Select or enter the name of the file you want to save.

Save as type

Select the type of file you want to appear in the File name area.


Search dialog box

Use to find items in the active dimension that match the specified text, code, data value, range, or time span.

Note: You cannot search data from a dimension view, because only the codes and/or labels are available. Data searches must be performed from a table view.

To open:

  • From the Dimension menu, choose Search.
  • Search button Click the Search button on the toolbar.
  • Press Alt, D, R.

Options:

Field

Select the dimension field you want to search.

Type of Selection

Select a search option:

  • Reduce - Displays only items that match the search criteria.
  • Expand - Adds items that match the search criteria to the current view.
  • Find Next - Moves the cursor to the first item that matches the search criteria.

Text to Find

Enter the text you want to search for. (The Text to Find area is only visible when you search a code or label field.)

Note: If you type part of a code or a label, it will be found whether it is at the beginning, middle, or end of a series of characters. For example, if you enter '123', the search result will include items with the codes '412356', 'ENG123', and '123Skidoo'.

Data Range

Enter a number to represent the minimum and maximum value to include in the search result. (The Data Range area is only visible when you search a data field.) The two values inclusively define a range of numbers.

From and To

Enter the range of dates you want to display. (The From and To areas are only visible when you search a time series dimension.)

See also:

  • Searching data
  • Searching the code field or a label field
  • Searching the time series dimension


Search Components dialog box

Use to search the descriptive components of tables and extracts for a specified text string.

To open:

  • In the Find dialog box, click the Search button.

Options:

Text to Find

Enter the text you want to search for.

Search Options

Select which components of the tables and extracts you want to search. You can search one or more of the following components:

  • Title/Description - A short description of the table or extract.
  • Notes - An extended description of the table or extract.
  • Keywords - A list of individual words or phrases that relate to the table or extract, or to the category the table or extract is assigned to.
  • Dimension/Source Field Names - The names assigned to the dimensions of a table or the source fields of an extract.
  • Codes - Symbolic values that uniquely identify items. A code can be an abbreviation or any combination of numbers and letters.
  • Labels - Optional words or phrases that describe items.

See also:

  • Searching for Relevant Tables and Extracts
  • Find dialog box


Set Active Dimension dialog box

Use to select a dimension and make it active.

To open:

  • From the View menu, choose Set Active Dimension.
  • Press Alt, V, A.

Options:

Name

Select the dimension you want to make active using the up or down arrow keys, or by typing the first letter of the dimension name.

Description

Shows the dimension descriptions.


Set Weight Field dialog box

Use to choose a weight field. A weight field is a numeric source field that contains weighting factors that will be used during the creation of a table or extract.

The weighting factor of each record is the number of times that the record is logically replicated when the table or extract is built. Weighting is often used to extrapolate from survey data to a population.

The source field selected to weight the data will appear dimmed in the source field bar, and it will not be available for use as a dimension.

To open:

  • From the Data menu, choose Set Weight Field.
  • Press Alt, T, W.

Options:

Use Weight Field

Select this check box before you select a source field from the list.

See also:

  • Applying a Weighting Factor to the Data


Sort dialog box

Use to change the order of the items displayed in a table or dimension view.

To open:

  • From the Dimension menu, choose Sort.
  • Sort Button Click the Sort button on the toolbar.
  • Press Alt, D, T.

Options:

Field

Select the field you want to sort by. You can only select one field.

Sort Options

Select the sort operation you want to perform:

  • Increasing - Sorts data by ascending value.
  • Decreasing - Sorts data by descending value.
  • Increasing Alphabetic - Sorts 0-9, A-Z, a-z.
  • Decreasing Alphabetic - Sorts z-a, Z-A, 9-0.
  • Increasing Numeric - Sorts from 0-9. All alphabetic codes or labels will be presented first.
  • Decreasing Numeric - Sorts from 9-0. All alphabetic codes or labels will be presented last.

Notes:

  • If you want to sort by data values, you must be in a table view.
  • If you want to sort by a particular set of labels, make sure that they are active. Click the Label button Label button on the toolbar to cycle through the available codes and labels.
  • To sort on a dimension that is displayed along the rows or columns of a table, first select a cell that lies in the row or column you want to sort by.
  • To undo the most recent sort, choose Reset from the Dimension menu.
  • To save the sort order permanently, save the current view.

See also:

  • Sorting and Rearranging Items


Source Field Summary Editor

Use to add or edit descriptive information about the active source field.

To open:

  • From the Edit menu of an extract view, point at Summary and then choose Source Field.
  • Press Alt, E, S, S.
  • In the Find Source Field dialog box, click on Summary.
  • In the Define Source Fields dialog box, click on Summary.

Options:

Source Field Name

Displays the name of the source field.

Field Description

Enter a description for the source field.

Category

Enter a category for the source field.

Definition File

Enter the name of the definition file, if any, that defines the source field.

Chart button browse

Opens the Select the Dimension Definition File dialog box, which enables you to select a dimension definition, ASCII dimension definition, or comma-separated value file for the source field.

Treatment

Select how the source field should be treated when an extract is created.

  • Code Field - Contains symbolic values that uniquely identify items. These codes can be numbers, letters, or a combination of both.
  • Numeric Field - Contains only numbers that are to be used in calculations or in a time series aggregation.
  • Date Field - Contains a date that is to be used to create a time series dimension in a table.
  • Ignored - Does not get processed.

Data Frequency

Select the display frequency of a time series source field.

Field Datatype

Displays the datatype assigned to the source field in the Define Source Fields dialog box.

Date Format

Displays the date format assigned to the date source field in the Define Source Fields dialog box.

Start

Displays the starting column position of the source field assigned in the Define Source Fields dialog box.

Width

Displays the width of the source field assigned in the Define Source Fields dialog box.

Implied Decimals

Displays the number of implied decimals of a zoned decimal field assigned in the Define Source Fields dialog box.

See also:

  • Find Source Field dialog box
  • Viewing a Source Field Summary
  • Source Field Summary View


Source Field Summary View

Displays descriptive information about the active source field.

To open:

  • From the Data menu, choose Source Field Summary.
  • Click the right mouse button on a source field and choose Source Field Summary.
  • Press Alt, T, M.

See also:

  • Source Field Summary Editor


Summary Editor

In this section:

Use HTML Not Selected

Use HTML Selected


Use HTML Not Selected

In the summary editor's default state, the checkbox for Use HTML Editor for Summary is unchecked and the formatting tools in the toolbar are grayed out.

In this state you can enter notes in the Notes area either in plain text or coded as HTML.

Note: Beyond 20/20 advises caution when using HTML in summaries. For more information, see Notes on HTML in Summaries.

In order to use HTML you must place the following tag at the start of your code:

<META name='B2020-Summary' Content='None'>

Note: This tag prevents the information in the specialized text boxes (Title, Category, etc.) from being included as part of your summary. Therefore, if you want to include such information, you will have to place it in the body of your notes.

Note: To include a simple hyperlink in your notes, you do not have to define the notes as a complete HTML document with opening and closing tags (<HTML></HTML>). Code the hyperlink as an absolute path in the following form:
<A HREF="http://server_domain_name/path_name/page.html" >link name</A>
Only hyperlinks work this way. Other HTML code will not work and the code will be visible to the viewer.

See also:

  • Use HTML Selected
  • HTML in Summaries


Use HTML Selected

If you would prefer to use a WYSIWYG HTML editor for entering notes in HTML, you can check "Use HTML Editor for Summary."

Note: A caution message will appear. Please read it carefully, and refer to HTML in Summaries for more information. If you decide to proceed, the formatting tools will become active.

Note: To use the HTML editor you must have Internet Explorer 5.0 or later installed on your computer.

The HTML editor automatically inserts the following Meta tag in the Notes area:

<META name='B2020-Summary' Content='None'>

Note: This tag prevents the information in the specialized text boxes (Title, Category, etc.) from being included as part of the summary. Therefore if you want your summary to include that information, you will have to enter it into the summary body.

Note: To include a simple hyperlink in your notes, you do not have to define the notes as a complete HTML document with opening and closing tags (<HTML></HTML>). Code the hyperlink as an absolute path in the following form:
<A HREF="http://server_domain_name/path_name/page.html">link name</A>
Only hyperlinks work this way. Other HTML code will not work and the code will be visible to the viewer.

See also:

  • HTML in Summaries


Summary View

Displays descriptive information about the active table.

To open:

  • From the File menu, choose Summary.
  • Press Alt, F, Y.

Options:

File Name

The name of the IVT table file.

Directory:

The path to the IVT.

Author:

The name of the creator of the table. May be a company name.

Category:

A category for the table, used to aid in locating the table.

Keywords:

A comma-separated list of keywords, used to aid in searching for the table.

Notes:

An extended description of the table.

Statistics:

Detailed information about the IVT, including file size, time series, date of last update, number of dimensions, etc.

Footnotes and Missing Values:

Lists all the footnotes and missing values and their indicators.

See also:

  • The Summary Editor
  • HTML in Summaries


Validate dialog box

Provides information about version features that are in use in a Beyond 20/20 file, and determines whether the file is corrupt.

To open:

  • From the File menu, point at Utilities and then choose Validate.
  • Press Alt, F, T, V.

Options:

Look in

Browse to the location of the file you want to validate.

File name

Select or enter the name of the file you want to validate.

Files of type

Select the type of file you want to appear in the File name area.

  • A message will inform you if the validation process was successfully completed. It will also list any version-specific features contained in the file.
  • If there are any problems with the file, a Log Report appears. It contains information that will be helpful if you consult Beyond 20/20's support staff for assistance.

See Also:

  • Log Report


View Worksheet Dialog Box (View menu)

Use to save the current view of a table as a worksheet.

To open:

  • From the View menu, choose Worksheet.
  • Press Alt, V, W.

Options:

Include Items of Dimensions

Shows the Other dimensions from the dimension bar. Select the dimensions whose items you want to include in the worksheet. If you do not select any dimensions, only those items that are currently displayed in the dimension bar will be included in the worksheet (along with those from the rows and columns).

Total Datapoints Computed

Displays the number of datapoints that will be transferred from the table to the worksheet. (The number of datapoints affects the time it takes to create the worksheet.)

Note: When the worksheet is created, if a time series dimension is placed anywhere other than in the column dimension of the original table it will be converted to a normal dimension and time series operations will not be available.

Tip: There is currently a limit of 8000 columns during the creation of a worksheet. If you require more columns in the worksheet, place the columns in the row dimension area before creating the worksheet, and then move them back to the column dimension area after the worksheet has been created.

See also:

  • Creating a Working Copy of a Table


Browser Procedures

In this section:

To add a field to a dimension

To add an item

To add labels manually

To assign range definitions

To browse through the items associated with a dimension

To calculate distributions

To calculate group totals

To cascade all document windows

To change directories

To change the chart type

To change the font of the text in a chart view

To change the number of digits displayed after the decimal point

To change the order of items

To change the table and user interface languages simultaneously

To change the width of a heading

To copy a chart to the clipboard

To copy a map to the clipboard

To copy data to the clipboard

To create a dimension profile

To create a dimension summary

To create a new Beyond 20/20 table from an existing one

To create a table summary

To create a worksheet from a table

To create an item summary

To create bands of equal size

To create custom bands

To create the table

To customize report titles, labels, and page numbers

To define a computed group

To define a total group or a protected group

To delete a dimension profile

To delete a field from a dimension

To delete a source field from an extract

To delete an item

To derive a new source field

To display a chart view

To display a map

To display chart footnotes

To display cities

To display region labels

To display the item that defines a group (Drill Up)

To display the members of a group (Drill Down)

To display the reverse set of items

To display the table name in the table view header

To edit a field in a dimension

To edit the axis

To export an extract to a new file

To export Beyond 20/20 table data

To fill a table with numeric source field values

To hide or show fields

To hide selected items from a table view

To import an ASCII dimension profile

To import labels

To import one table into another

To link or unlink a dimension in a chart view

To link or unlink a map

To load a dimension profile

To load a saved recode definition

To locate a source field

To magnify part of a map view

To move a dimension tile using the keyboard

To move a map legend

To move a region label

To move the legend in a chart view

To name and save a table

To nest dimensions

To open a dimension view

To open a saved view

To open a table or extract from the Find dialog box

To open a table or extract from the Open dialog box

To open the Find dialog box manually

To open the Find Source Field dialog box

To position source tiles

To prepare a comma-separated value file from a spreadsheet

To recode a source field

To recreate an extract

To remove a group

To restore a magnified map view to normal size

To restore the current view to the last saved view

To return to the previous group view (Drill Back)

To save the current view

To save the current view without affecting the original view

To search a source field's descriptive components

To search a time series dimension

To search data

To search the code field or a label field

To search the descriptive components of a table or an extract

To select a cell

To select a dimension tile

To select a dimension tile using the keyboard

To select a single heading

To select a time series display frequency and aggregation method

To select all the item headings in a dimension

To select advanced time series options

To select dimension colors and the selection color

To select fonts or set the text justification for different report areas

To select multiple adjacent headings

To select multiple non-adjacent headings

To select range colors

To select the members of a group

To select the start of the fiscal year

To set a chart axis automatically through the Chart Options dialog box

To set a chart axis automatically through the Edit Axis dialog box

To set a weight field

To set record constraints

To set table options

To set the default label field

To set the height and width of selected report areas

To show all the items in a dimension

To show only the items you select

To sort items

To sort source field tiles

To step through available code and label fields

To style a chart

To suppress the display of zeros in a table

To switch dimensions

To switch new items into a chart view

To switch the axes in a chart view

To tile all document windows

To view a dimension summary or an item summary

To view a multilingual table in one of its alternate languages

To view a source field summary

To view a table summary

To view an extract summary

To zoom into a region in a map

To zoom out of a region in a map view


To add a field to a dimension

  1. Select the dimension that fields are to be added to.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension view appears.

  3. From the Dimension menu, choose Add Field.

    The Add Field dialog box appears.

  4. In Field Name, enter a name for the new field.

    Note: If you are adding a field to import labels, the field name must be identical to the field name in the import file.

  5. In Field Type, select Label.
  6. If you are in a multilingual table, enter or select the language of the field you want to add.

    Note: If you select a language other than that of the current table, the field is added to the appropriate table view and can only be seen when you are in a table or dimension view of that language.

  7. To display this field as a label in the table view, select the check box for Display as Data Label. (Clear the check box to prevent Browser users from seeing this field in the table view.)
  8. Click OK.

    The field is added to the dimension view.


To add an item

  1. Select the dimension that you want to add an item to.
  2. Position the cursor on the item that is to be before or after the new item.
  3. From the Item menu, choose Insert.

    The Insert Item dialog box appears.

  4. In Item Code, enter the code for the new item.
  5. In the Where to Insert area, select the option that indicates where the new item should be placed.
  6. Click OK.

    The new item displays in the current view.


To add labels manually

  1. Select the dimension you want to add labels to.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.
  3. If required, add a label field to the dimension that requires labels.
  4. In the label field, select the cell that requires a label. Enter the label and press Enter.

    Note: To edit a label after it has been entered, select the label and press F2. The item is highlighted. Make any required changes and press Enter.

  5. Repeat Step 4 for each cell in the field that requires a label.


To assign range definitions

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Range Definition area:
    • Select High/Low to highlight the regions with the highest data in the High Range color and the regions with the lowest data in the Low Range color. All data that falls in between is highlighted in the Middle Range color.
    • Select Standard Deviation to highlight all regions whose data falls within one standard deviation of the average in the middle range color. All regions with data values greater than the average are highlighted with the high range color. All regions with data values less than the average are highlighted with the low range color.
    • Select Average to compare the data values to the average value (which was derived from all values). All values higher than the average are highlighted with the high range color. All values lower than the average values are highlighted with the low range color. Only data values that match the average exactly (if any exist) are highlighted with the middle range color.
    • Select Linear to highlight all regions with a blend of high and low range colors. The middle range color is not used. All regions whose data values are greater than the average have a higher proportion of the high range color. All regions whose data values are less than the average have a greater proportion of the low range color.
    • Select Bilinear to highlight all regions with a blend of high, middle and low range colors. Regions whose data values are closest to the highest data value have the highest proportion of the high range color. Regions whose data values are closest to the middle value have the highest proportion of the middle color. Regions whose data values are closest to the lowest data value have the greatest proportion of the low range color.

The Browser calculates the average of all values and adjusts the distribution of colors for the range values according to the definition option you selected.


To browse through the items associated with a dimension

  1. Select the dimension you want to browse.
  2. Do one of the following:

    Next Item button Click the Next Item button on the toolbar to see the next item in the dimension.

    Previous Item button Click the Previous Item button on the toolbar to see the previous item in the dimension.

    Your view of the data changes to show the data associated with the next or previous item in the active dimension.

  3. Continue clicking on the Next Item or Previous Item buttons until you see the item you want.


To calculate distributions

  1. From the View menu, choose Distributions.

    The Distributions dialog box appears.

  2. In the Include Items of Dimensions area, select the dimensions you want to include in the distribution calculation. Note that the row and column dimensions are automatically included in the distribution calculation. The dimensions listed in Include Items of Dimensions are only those dimensions positioned in the dimension bar. If these dimensions are not selected, only the current items that appear in the dimension bar will be included in the distribution.
  3. In the Distribution Items area, clear any check boxes for items you want to exclude from the new distribution dimension.
  4. Click OK.

A distributions dimension with one to four items, depending on your selections in the Distribution Items area, is introduced into a new table view. The new window has the same name as the original table, prefixed with "Distributions:"

To return to the original table view, close the Distributions window.

Notes:

  • If any dimensions have been nested, the sum of the data for a particular item across the nested dimensions is used as the base for the distribution calculation.
  • If you have hidden any items, only the items displayed in your view are used in the distribution calculation.
  • If there are groups in your view, and any group members have been hidden, the Browser calculates the distribution based on the remaining group members. The group total appears as a dash.


To calculate group totals

From the View menu, choose Calculate. The Browser calculates and displays all the group totals.


To cascade all document windows

  • From the Window menu, choose Cascade.

    The Browser arranges all of the document windows one behind the other, leaving the title bar of each showing.


To change directories

  1. Chart button From the Find dialog box, click the browse button.

    The Browse for folder dialog box appears.

  2. Select the folder where you want to begin your search and click OK.


To change the chart type

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears. The options that are available depend on whether you selected one or more items from the column and row dimensions.

  2. Select the chart type you want to display.
  3. Do one of the following:
    • Click Save As Default to apply the current selections to any future charts you create.
    • Click OK.

The Browser resets the chart type and displays the results according to the options you selected.


To change the font of the text in a chart view

  1. Double-click on the text you want to format.

    The Font dialog box appears.

  2. Select the formatting options you want to use and click OK.


To change the number of digits displayed after the decimal point

  1. Do one of the following:
    • Select one or more item headings in a dimension, in order to set the decimal places along those items.
    • Select a dimension tile, or a single cell in the table, to set decimal places for the entire table.
  2. From the View menu, point at Decimals and then choose the number of decimal places you want to display.

    A check mark appears beside the selected number.

    The decimal setting remains in effect until you change it or close the table without first saving the view.


To change the order of items

  1. Select the dimension containing the items you want to reorder.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension View appears.

  3. Hold the Shift key down and click on the index number of the item you want to move.
  4. Drag and drop the item to a new location.

    Note: To restore the items to their original order, select the dimension and then choose Reset from the Dimension menu.


To change the table and user interface languages simultaneously

  • Language button Press the Change Language button on the toolbar.


To change the width of a heading

  1. Click on one of the following:
    • The border of the first heading in the column dimension
    • The border of any heading in the row dimension
    • The border of a tile in the dimension bar
  2. Do one of the following:
    • To increase the width of the heading, drag the border to the right.
    • To decrease the width of the heading, drag the border to the left.

      As you drag the mouse, shadow lines indicate how far the border has moved.

  3. Release the mouse button.


To copy a chart to the clipboard

In a chart view, do one of the following:

  • Click the right mouse button and choose Copy.
  • From the Edit menu, choose Copy.

    The Browser copies the chart you selected to the Windows Clipboard.

To paste the chart view into another application, open a document in that application, make the necessary selections, and choose Paste from the Edit menu.


To copy a map to the clipboard

  1. Click on the map you want to copy.
  2. Do one of the following:
    • Click the right mouse button and choose Copy.
    • From the Edit menu, choose Copy.

To paste the map view into another application, open a document in that application, make the necessary selections, and then choose Paste from the Edit menu.


To copy data to the clipboard

  1. Select the cell or items that you want to copy.
  2. Do one of the following:
    • Click the right mouse button and choose Copy Cell.
    • From the Edit menu, choose Copy.

      The Browser copies the selected cell or items to the Windows Clipboard.

To paste the cells into another application, open a document in that application, make the necessary selections, and choose the Paste command from the Edit menu.


To create a dimension profile

  1. Select the items you want to include in the dimension profile.
  2. From the Dimension menu, choose Save Profile.

    The Save Dimension Profile dialog box appears.

  3. In Profile Name, enter a name for the dimension profile.
  4. In Description, enter a description for the dimension profile.
  5. If any groups have been defined in the dimension, the Include group definitions checkbox will be active. Select it if you want to save the group definitions along with the profile.
  6. Click OK.

    The items and group definitions you selected are saved as a dimension profile.


To create a dimension summary

  1. Select the dimension you want to add notes to.
  2. From the Edit menu, point at Summary and then choose Dimension.

    A Dimension Summary editor appears.

  3. Enter any notes you want to associate with the dimension that may make the dimension more understandable. Notes can be entered in HTML format and can include hyperlinks.
  4. Click OK.


To create a new Beyond 20/20 table from an existing one

  1. Open a Beyond 20/20 table.
  2. If required, limit the information in the table view by hiding, searching, or switching items.
  3. From the File menu, choose Save As.

    The Save As dialog box appears.

  4. In File name, enter the name of the new table. If necessary, select a different drive or directory.
  5. If you do not want to save the dimensions in the dimension bar, clear the Include Other Dimensions check box.
  6. Click Save.


To create a table summary

  1. From the Edit menu, point at Summary and then choose File.

    A Summary Editor appears.

  2. Enter the following information:
    • Title - A description of the table.
    • Category - A subject area classification for the table.
    • Author - The author of the table. (Usually the name of a company or an organization.)
    • Keywords - Words that can be entered to search for the table in the Find dialog box.
    • Notes - Any notes you wish to associate with the table that can make the table more understandable. Notes can be entered in HTML format and can include hyperlinks.


To create a worksheet from a table

  1. Select the items you want to appear in the worksheet. (Or, using the Hide and Show commands, display only those items you want to appear in the worksheet.)
  2. From the View menu, choose Worksheet.

    The View Worksheet dialog box appears.

  3. In Include Items of Dimensions, select the dimension(s) you want to include in the worksheet. Note that the row and column dimensions are automatically included in the worksheet. The dimensions listed in Include Items of Dimensions are only those dimensions positioned in the dimension bar of the open table. If these dimensions are not selected, only the current items that appear in the dimension bar will be included in the worksheet.
  4. Click OK.

A new table view appears with the same title as the original table, prefixed with "Worksheet:".

Note: When the worksheet is created, if a timeseries dimension is placed anywhere other than in the column dimension of the original table, it will be converted to a normal dimension and timeseries operations will not be available.

Tip: There is currently a limit of 8000 columns during the creation of a worksheet. If you require more columns, place the columns in the row dimension area before creating the worksheet, and then move them back to the column dimension area after the worksheet has been created.

Caution: If you close a worksheet, it will not be saved. To save a worksheet, save it as a table prior to closing the worksheet. (When it is opened again, it will appear as a normal table.)


To create an item summary

  1. Select the item you want to add notes to.
  2. From the Edit menu, point at Summary and then choose Item.

    An Item Summary Editor appears.

    Item Summasy Editor

  3. Enter any notes you want to associate with the item that may make the item more understandable. Notes can be entered in HTML format and can include hyperlinks.
  4. Click OK.


To create bands of equal size

  1. Do one of the following:
    • Right-click on the numeric source field you want to reband and choose Define Bands.
    • From the Data menu, choose Define Bands.

      The Define Bands dialog box appears. The Code/Description area displays one code containing the true minimum and maximum values of the source field.

  2. In New Source Field Name, enter a name for the new source field, or use the default name displayed.
  3. In Start, enter a value that is equal to or less than the lowest value in the Code/Description area.
  4. In Increment, enter a value to be used as the constant width for all bands.

    Note: When you enter a value in Start or Increment, the OK button dims to prevent you from creating a new source field until the bands have been applied.

  5. Click Apply.

    The Browser assigns the bands necessary to contain all values in the source field and displays them in the Code/Description area.

  6. Click OK.

    You are prompted to confirm the creation of a new field.

  7. Click OK.

    A new source field tile appears in the source field bar.


To create custom bands

  1. In the Define Bands dialog box, click Advanced.

    The Define Band area is displayed at the bottom of the dialog box.

  2. In the Define Band area, enter the following options:
    • New Code - a character combination representing the new code.
    • Minimum - the value that will be the lower threshold of the band.
    • Maximum - the value that will be the upper threshold of the band.
  3. Select from the following check boxes:
    • Renumber - Sequentially renumber the numeric codes.
    • Inclusive - Include the value in the minimum or maximum areas in the band. (If you want all but the value to be included, clear the Inclusive check box.)

      Note: In the display of a band, an inclusive endpoint is denoted by a square bracket and an exclusive endpoint is denoted by a round bracket.

  4. In the Create New Field as area, select the option button corresponding to the field type for the new source field. (Select numeric if you subsequently want to reband or perform operations on the new field.)
  5. Click OK.

    You are prompted to confirm the creation of a new field.

  6. Click OK.

    A new field tile appears in the source field bar.


To create the table

  1. Do one of the following:
    • Button - Go Click the Load Data button on the toolbar.
    • From the Data menu, choose Go.

      The table is created and the table view is displayed.

      Note: The extract file remains open so you can build more tables if you wish.


To customize report titles, labels, and page numbers

  1. In the Page Setup dialog box, click the Content tab.

  2. To change the report title, overtype the default title shown in the Title box (maximum of 256 characters). To reset the report title to the program-generated default, click the adjoining Reset button.
  3. To add a row label title, enter an appropriate title in the Row Label Title box (maximum of 100 characters). To remove an existing row label title, simply select and delete the text.
  4. To change the name of the data source (the person or organization who collected, compiled, or published the data), overtype the default shown in the Source box (maximum of 256 characters). To reset the data source to the program- generated default, click the adjoining Reset button.
  5. To change the secondary title (which appears directly under the main report title), select either Automatic or Custom.
    • If you choose Automatic, you can select any combination of Include Include Other Dimensions, Include Row Dimensions, and Include Column Dimensions. The program will build a secondary title containing the requested dimension names.
    • If you choose Custom, enter a secondary title of your choice in the Custom box (maximum of 1,000 characters)
  6. To display page numbers, select the Display Page Numbers check box. Select either Header or Footer to tell the program where you would like page numbers placed.
  7. To display footnotes at document end, select the Display footnote legend checkbox in the Page Setup area.
  8. To display the missing values legend, select the Display missing values legend check box in the Page Setup area.
  9. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  10. If you are finished setting the formatting options for your report, click OK.


To define a computed group

Note: If two computed groups intersect, the result is a missing value if missing values are enabled. Otherwise the result is 0.

Note: Formulas for calculating groups have a limit of 255 characters.

  1. From the Item menu, choose Define Group.

    The Define Group dialog box appears.

  2. In Group Code, enter a unique name or item code to represent the group.
  3. Select the Computed option button.
  4. In Formula, enter an expression to describe how the new group is to be calculated. See Designing Formulas.
    • To include existing items in your formula, double-click the appropriate item name in the Items box. (You can also highlight the item name and then click [image].)
    • If, then, else, and endif constructs can be used to create more complex formulae. All four words (if, then, else, endif) must be included in your constructs.
    • Square brackets must be used around item names containing special characters (for example, blanks or _ ). For example, [Field One].
  5. Click OK.
  6. You are prompted to proceed with the calculation of the groups.
    • Click Yes calculate all groups.
    • Click No to calculate groups at a later time.

      The new group code appears in the current view. The status bar displays Calculated Group to indicate the group type.


To define a total group or a protected group

  1. Select the items in a dimension that you want to become members of the group.

    Tip: If you want to create a group that is made up of all the items in a dimension, make that dimension active and leave all the items unselected.

  2. From the Item menu, choose Define Group.

    The Define Group dialog box appears.

  3. In Group Code, enter a unique name or item code to represent the group.
  4. In the Group Type area:
    • Select Total to sum the data values of the members of the group.
    • Select Protected to define a group hierarchy while leaving the data as is (that is, the data will not be affected by the Calculate command).
  5. Click OK.
  6. If you are defining a total group, you are prompted to proceed with the calculation of the groups.
    • Click Yes to calculate all groups.
    • Click No to calculate groups at a later time.

      The new group code appears in the current view. The status bar displays Total Group or Protected Group to indicate the group type.


To delete a dimension profile

Note: Deleting a profile does not delete the items from the dimension.

  1. From the Dimension menu, choose Load Profile.

    The Load Profile dialog box appears.

  2. In Profile Name/Description, select the dimension profile you want to delete and click Delete Profile.

    You are prompted to confirm the deletion.

  3. Click Yes.

    To delete another profile, repeat from Step 2.


To delete a field from a dimension

  1. Select the dimension that contains the field you want to delete.
  2. Do one of the following:
    • Chart button Click the Display Active Dimension button on the toolbar.
    • From the View menu, choose Dimension.

      The dimension view appears.

  3. Position the cursor in the field to be deleted.
  4. From the Dimension menu, choose Delete Field.

    You are prompted to confirm the deletion.

  5. Click OK.


To delete a source field from an extract

  1. Select the source field you want to delete.
  2. Do one of the following:
    • Click the right mouse button and choose Delete Source Field.
    • From the Data menu, choose Delete Source Field.

      The Browser asks you to confirm that the field you have selected is really the one you want to delete.

  3. Click OK.

    The source field is permanently deleted.


To delete an item

Caution: Once an item is deleted, you cannot retrieve it.

  1. Select the item to be deleted.
  2. From the Item menu, choose Delete Item.

    You are prompted to confirm the deletion.

  3. Click OK.

    Note: If you delete an item that belongs to a totaled or calculated group, the group values do not change until you run the Calculate command.

    Note: Adding items or groups automatically updates older version Beyond 20/20 tables to version 6.2.


To derive a new source field

  1. From the Data menu, choose Define Derived Field.

    The Define Derived Field dialog box appears.

  2. In New Field Name, enter a name for the new field.
  3. In Formula, enter an expression to describe how the new field is to be calculated.

    To include an existing source field in your formula, double-click on the appropriate field name in Available Fields. (You can also highlight the field you want to include and click Insert.)

  4. Click OK.

    You are prompted to confirm the creation of a new field.

  5. Click OK.

    A new source field tile appears in the source field bar.


To display a chart view

  1. Select the cells or items you want to display in a chart view.

    The current arrangement of the table view and the objects you select in it determine how the information is reflected in the chart.

  2. Do one of the following:
    • Chart button Click the Display Chart button on the toolbar.
    • From the View menu, choose Chart.

      A chart view appears displaying the default chart.


To display a map

In a table view, do one of the following:

  • Button - Map Click the Display Map button on the toolbar.
  • From the View menu, choose Map.


To display chart footnotes

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears.

  2. In the Other Options area, select Display Footnote.
  3. Do one of the following:
    • Click Save As Default to make all future charts reflect the current selection, and then click OK.
    • Click OK.

      The chart view is displayed with a footnote.


To display cities

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Cities area, select Show Cities.
  3. Click OK.


To display region labels

  1. Open the map view you want to change.
  2. Do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  3. In the Contents area:
    • Select Display Region Names to display labels associated with the regions on the map. (Select the Show Cities check box to display labels associated with cities, provided the information is available.)
    • Select Display Data Values to display data values associated with the regions on the map. (Select the Show Cities check box to display data values associated with cities, provided the information is available.)
    • Select Display Footnote to display the table title as a footnote.

When you select an option in the Contents area, you must also select one or more options in the Display area to qualify it.

  1. In the Display area:
    • Select Show Low Range Labels to display the label or data value associated with every region that falls into the low range definition.
    • Select Show Middle Range Labels to display the label or data value associated with every region that falls into the middle range definition.
    • Select Show High Range Labels to display the label or data value associated with every region that falls into the high range definition.
    • Select Hide Zero Labels to hide labels displaying a zero value.

      Note: The Browser does not let you make any selections in the Display area until you have made a selection in the Contents area.

  2. Click OK.


To display the item that defines a group (Drill Up)

  1. Select an item that is a member of a group. To determine whether an item is a member of a group, select it and then check the status bar. The word Member indicates that an item is a member of a group.
  2. From the Dimension menu, choose Drill Up (or else right- click the item and choose Drill Up).

    The Browser displays the item that defines the group along with any other items that are on the same level of the hierarchy as the group. For example, drilling up on Ontario would probably display Canada, but it might also display Mexico and USA.

    Note: To view all the items of a dimension, choose Show All from the Dimension menu.


To display the members of a group (Drill Down)

  • Click on a bold, underlined item name.

    The items that are members of the group are displayed.


To display the reverse set of items

  1. Select the dimension that contains the hidden items you want to see.
  2. From the Dimension menu, choose Reverse.

    All the items in the view are replaced by the ones that were hidden.


To display the table name in the table view header

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Clear the checkbox for Display Table Title in Document Window Title Bar.
  3. Click OK. The table name is displayed in the title bar of the table view.


To edit a field in a dimension

  1. Select the dimension containing the field you want to edit.
  2. Do one of the following:
    • Chart button Click the Display active dimension button on the toolbar.
    • From the View menu, choose Dimension.

      The dimension view appears.

  3. Position the cursor in the field to be edited.
  4. From the Dimension menu, choose Edit Field.

    The Edit Field dialog box appears.

  5. In Field Name, enter a new field name.
  6. If your table is multilingual, enter or select the language of the field.
  7. Modify the Display as Data Label and Band Field options as required.
  8. Click OK.


To edit the axis

  1. In a chart view, double-click on the axis containing the units of measurement.

    The Edit Axis dialog box appears.

  2. In Minimum, enter a lower limit for the axis.
  3. In Maximum, enter an upper limit for the axis.
  4. In Tick Space, enter the desired width between major ticks on the axis.
  5. In Minor Ticks, enter the number of minor ticks you want to appear between major ticks.
  6. Click OK.

    The chart view is displayed with the edited axis. If the coordinate for an item exceeds the capacity of a chart, it is either cut off at the point where the measurement ends (for bar charts), or it is plotted outside the confines of the chart (for line, marker, and scatter plot charts).


To export an extract to a new file

  1. Open the extract you want to save as a new file.
  2. From the File menu, choose Save Extract As.
  3. In File name, enter the new file name. If necessary, select a different drive or directory.
  4. Click Save.

    The Export Extract dialog box appears.

  5. In Available Fields, select the fields you want to export.
  6. If you have applied any constraints and you want to save only those records that match the constraints, select the check box for Apply current constraints.
  7. Click OK.

Note: When exporting an extract to .DBF, .SAS, .SPS, or .TXT, if there is a coded (non-numeric) field called Code.Export it will be used for the code values in the exported file. This can be used to allow special features, such as multiple continuous spaces, to be used in codes.

Note: When exporting an extract to a SAS or SPSS file format, two files are created. The text file (.txt) contains the data and the SAS (.sas) or SPSS (.sps) file contains the file layout and description information.

Note: When exporting to dBASE file format (.DBF), you should make sure the filename follows the MS-DOS 8.3 file naming convention. Otherwise the file may not be able to be opened in Jet Engine applications such as Microsoft Access or Microsoft Query.


To export Beyond 20/20 table data

Note: Any dimensions in the dimension bar whose items you want to export must be nested before exporting. (When exporting to a dBASE file, ensure that any nesting occurs only along the rows.)

Note: When exporting to dBASE file format (.DBF), you should make sure the filename follows the MS-DOS 8.3 file naming convention. Otherwise the file may not be able to be opened in Jet Engine applications such as Microsoft Access or Microsoft Query.

Tip: If you do not need to export the complete set of data from the existing table, reduce the number of columns and rows in the view before exporting.

  1. Open the table you want to export.
  2. Reduce the data in the table view by hiding items, searching for items, or switching items into the dimension bar.
  3. Nest any dimensions from the dimension bar whose items you want to export.
  4. From the File menu, choose Save As.

    The Save As dialog box appears.

  5. In File name, enter the name of the file you want to save.
  6. In Save as type, select the file type that corresponds to the file format you want to create. If necessary, select a different drive or directory.
  7. Click Save.

    The data is saved in the file format you selected.


To fill a table with numeric source field values

  1. Drag and drop a numeric source field tile into the cell area of the table view.

    The Edit Unit Item dialog box appears. The name of the source field tile you dragged into the cell area is displayed as Based on Field.

  2. In Item Name, confirm or change the name you want to give the new item.
  3. In Calculated As, select the statistical method you want to apply.

    An asterisk appears in the source field tile to indicate that the Browser has created a new item in the Units dimension based on this source field.

    Tip: You can use the same source field more than once to calculate different units for that field. Or, you can fill the table with several source fields by dragging them individually and dropping them into the table. An individual item is created in the Units dimension for each combination of source field and statistical method you include.


To hide or show fields

  1. Select the dimension containing the fields you want to hide or show.
  2. From the Dimension Menu, choose Hide/Show Fields.

    The Hide/Show Fields dialog box appears.

  3. In Select fields to be shown, select the fields you want to be visible.
  4. Deselect the fields that are to be hidden, and then click OK.


To hide selected items from a table view

  1. Select the headings of the items you want to hide.
  2. Do one of the following:
    • Click the right mouse button and choose Hide.
    • From the Item menu, choose Hide.

      The items you selected disappear from the view.

      Note: To return the hidden items to the table view, select the dimension and choose Reset from the Dimension menu.


To import an ASCII dimension profile

  1. From the File menu, point at Utilities and then choose Import Profile.

    The Import Dimension Profile dialog box appears.

  2. Do one of the following:
    • In Import Filename, enter the name of the ASCII dimension profile you wish to import.
    • Chart button Click the browse button to locate and select the ASCII dimension profile for import.
  3. In Dimension, enter the name of the dimension you want to associate the profile with.
  4. In Profile Name, enter a name for the new profile you are creating.
  5. In Description, enter a description of the profile.
  6. Click OK.

    The profile is now associated with the dimension. It will appear in the Load Profile dialog box.


To import labels

  1. If required, add a label field to the dimension that requires labels.

    Note: The new field name in the dimension must be identical to the field name in the input file that contains the labels you are importing.

  2. From the File menu, choose Import. The Import dialog box appears.

  3. Do one of the following:
    • In Input Filename, enter the path and file name of the file to import.
    • Chart button Click the browse button to locate and select the file to import.
  4. In Lookup Field, select the field the Browser should use to match items with those in the input file.
  5. In the Import Options area:
    • Select Add New Codes if you want the Browser to add new codes from the input file into the dimension.
    • Select Case Sensitive on Codes if you want the Browser to import only those items that are an exact match to the codes in the lookup field, including having the same case.
    • Select Use Windows Character Set if you want the Browser to import the file as ANSI standard characters (rather than OEM (DOS) characters).

      The label field will be filled with labels for those items in the input file that are also in the dimension.


To import one table into another

  1. Open the table you want to update.
  2. From the File menu, choose Import.

    The Import dialog box appears.

  3. Do one of the following:
    • In Input Filename, enter the name of the updating table.
    • Chart button Click the browse button to locate and select the updating table file name.
  4. Click OK.

    Data from the updating table is loaded into the active table.


To link or unlink a dimension in a chart view

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Link.
    • From the View menu, choose Chart Link.

      The Chart Link dialog box appears. The Dimensions area displays the names of all of the table's dimensions.

  2. Do one of the following:
    • In the Dimensions area, select a check box to link that dimension.
    • In the Dimensions area, clear a check box to unlink that dimension.
    • Click Link All to link all the dimensions.
    • Click Link None to unlink all dimensions.
  3. Click OK.

    The dimensions are linked or unlinked. From this point on, the dimensions will either be dynamically updated in the chart view or held constant, according to your selections.


To link or unlink a map

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. Do one of the following:
    • To link the map view to the table view, select Link Map to Data (in the lower left-hand corner).
    • To unlink the map view from the table view, clear Link Map to Data.
  3. Click OK.

    Depending on your selection, the map view is either held constant or is updated as you browse through items in the table.


To load a dimension profile

  1. From the Dimension menu, choose Load Profile.

    The Load Profile dialog box appears.

  2. In Profile Name/Description, select the profile you want to load.
  3. If the profile contains group definitions, the checkbox for Include group definitions will be active. Select it if you want to load the saved group definitions as well as the dimension items.
  4. Do one of the following:
    • Click Select to select the items belonging to the profile.
    • Click Show to display only the items belonging to the profile.


To load a saved recode definition

  1. Click Load and select an IVR (Recode Definition File). If the source field name in the IVR does not match the source field you have selected, you will be asked to confirm your choice.
  2. Make any changes to the recode definition and enter a name for the new source field (or else accept the default). All the codes in the Available Codes area must be accounted for, either by recoding them, by using them "as is," or by assigning them to the default code.

    When all the codes are accounted for, the OK and Save buttons become active. Click Save if you want to save any changes you have made to the recode definition, or else click OK to create the new source field.


To locate a source field

Do one of the following in the Find Source Field dialog box:

  • In the Fields/Type area, double-click on the source field you want to locate.
  • In the Fields/Type area, select the source field you want to find and then click OK.

    The source field tile is highlighted on the source field bar.


To magnify part of a map view

  1. Hold the Shift key down and click on the part of the map you want to magnify.
  2. Drag the cross-hair pointer across the part of the map you want to magnify.
  3. Release the mouse button and the Shift key.

    The Browser magnifies the area you selected.

Tip: To quickly magnify a region so that it fills the display area, hold the Shift key down and click on the region that interests you.


To move a dimension tile using the keyboard

  1. Select the tile you want to move.
  2. Press Alt, V.

    The View menu drops down.

  3. Do one of the following:
    • Using the down arrow key, move the cursor to the Move Dimensions command. Press Enter.
    • Press V.
  4. Press the Tab key repeatedly until the area you want to move the tile to is highlighted.

    The Browser may highlight another tile or one of the heading areas (to switch), a border of the heading area (to nest), or the border of a tile in the dimension bar (to rearrange the order of the tiles in the dimension bar).

  5. Press Enter.

    The Browser switches or nests the dimension you selected into the area that was highlighted.


To move a map legend

  1. Click on any part of the legend that is not being used to display text or the color scheme.
  2. Drag and drop the legend in the preferred location.


To move a region label

  1. Position the mouse pointer over the region label you want to move.
  2. Hold down the Shift key and drag and drop the region label in a new position.


To move the legend in a chart view

  1. Click on an empty part of the legend.
  2. Drag and drop the legend to the preferred location.


To name and save a table

  1. From the File menu, choose Save As.

    The Save As dialog box appears.

  2. In File name, enter the name of the table. If necessary, select a different drive or directory.
  3. In Save as type, select Data Table (*.ivt).
  4. Click Save.


To nest dimensions

  1. In the dimension bar, select the dimension you want to nest.
  2. Do one of the following:
    • To nest along the rows, drag and drop the dimension tile onto the outer or inner border of the row headings.
    • To nest along the columns, drag and drop the dimension tile onto the top or bottom of the border of the column headings.

      The dimension tile is ready to be dropped when the border of the row or column headings you are nesting into becomes highlighted.


To open a dimension view

  1. Select the dimension whose dimension view you want to display.
  2. Do one of the following:
    • Chart button Click the Display Active Dimension button on the toolbar.
    • From the View menu, choose Dimension.

      A Dimension View appears.


To open a saved view

  1. From the View menu, choose Open.

    The Open View dialog box appears.

  2. Select the file you want to open. If you do not see the file you want to open, select a different drive or directory to locate the file.
  3. Click Open.

    Beyond 20/20 checks the consistency of the view with the current table. If consistent, the current view is replaced with the view being opened.


To open a table or extract from the Find dialog box

In the Find dialog box, do one of the following:

  • Double-click on the table or extract name.
  • Select the table or extract name and click OK.


To open a table or extract from the Open dialog box

  1. Do one of the following:
    • Chart button Click the Open button on the toolbar.
    • From the File menu, choose Open.

      The Open dialog box appears.

  2. Select the table or extract you want to open. If you do not see the file you want to open, select a different drive, directory or file type to locate the file.
  3. Click Open.

    The table or extract is displayed in a new document window.


To open the Find dialog box manually

Do one of the following:

  • Chart button Click the Find button on the toolbar.
  • From the File menu, choose Find.

    The Find dialog box appears.


To open the Find Source Field dialog box

  1. From the Data menu, choose Find Source Field.

    The Find Source Field dialog box appears.


To position source tiles

  1. Click on the source field tile you want to appear in the table and hold down the left mouse button.
  2. Drag the tile into a dimension area and release the mouse button.

    The dimension tile appears in the table view and the corresponding source field tile is dimmed in the source field bar.

  3. Repeat for each source field that you want to appear in the table.


To prepare a comma-separated value file from a spreadsheet

  1. In the first row of your spreadsheet, enter the field names as they appear in the dimension view of the field you are importing labels into (i.e., the lookup field).

    Example: Enter Code in cell A1 and Label in cell B1.

  2. In the Code column, enter the complete set of item codes for the dimension you are importing labels into.
  3. In the Label column, enter the corresponding labels.
  4. From the File menu of your spreadsheet, choose Save As.

    The spreadsheet application's Save As dialog box appears.

  5. In File name, enter or select the file you want to save. If you do not see the file you want, select a different drive or directory to locate the file.
  6. Select comma-separated value (*.csv) as the file type.
  7. Click Save.


To recode a source field

  1. In an extract, do one of the following:
    • Right-click the source field you want to recode, and then choose Define Recode from the shortcut menu.
    • Select the source field you want to recode, and then choose Define Recode from the Data menu.

      The Define Recode dialog box appears, with the name of the active source field displayed in Source Field Name.

      Note: If Source Field Name does not match the field you want to recode, first select the appropriate field from the drop-down list.

  2. In New Source Field Name, enter a name for the new source field you are creating (or else accept the default).
  3. In New Code, enter a name for one of the new codes you want to create. Then define the member codes that will make up the new code.
    • To add members to the new code, select them in Available Codes and click Add.
    • To remove members from the new code, select them in Members and click Remove.
  4. Repeat from Step 2 for each code you want to create in the new source field.
    • If Available Codes contains some codes that you want to carry over unchanged into the new source field, select them and click Use As Is.
  5. Create a default code, as follows: Once you have finished recoding all the items that specifically interest you, create another code as in Step 2 and check Make this the default code for all remaining codes. All the remaining codes will automatically be assigned to the default code.
  6. When all available codes have been reassigned, the Save and OK buttons become available. If you want to save the recode definition, click Save and choose a name and location for the IVR file. Then click OK.
  7. You are prompted to confirm the creation of a new field. Click OK.

    The source field is created and a new tile appears in the source field bar.


To recreate an extract

  1. From the File menu, point at Utilities and choose Recreate Extract.

    The Recreate Extract dialog box appears.

  2. In File name, enter or select the name of the extract file (or one of its constituent dimension definition files) that you want to recreate.

    If you do not see the file you want to recreate, select a different drive or directory to locate the file.

  3. Click Open.

    If you have the extract open when you recreate it, you must close and reopen it to get an updated copy.


To remove a group

  1. Select the item whose group definition you want to remove.
  2. From the Item menu, choose Remove Group.

    The group type indicator is removed from the status bar.


To restore a magnified map view to normal size

Do one of the following:

  • Click the right mouse button and choose Restore.
  • From the View menu, choose Restore.

    The map is restored to its original view.


To restore the current view to the last saved view

  • From the View menu, choose Reset.

    The table view is restored to the last saved view. Any changes you have made to the current view are lost.


To return to the previous group view (Drill Back)

  • Drill Back Arrow Click on the Drill Back arrow in a dimension tile.

    The previous group view displays.

Note: A Drill Back arrow only appears after you have drilled down into a group.


To save the current view

Note: To permanently change the default view of a table, you must have permission to modify the table.

  1. Arrange the table information in the layout you wish to save.
  2. From the View menu, choose Save.

    The next time you open the table, the saved view will appear by default.


To save the current view without affecting the original view

  1. Arrange the table information in the layout you want to save.
  2. From the File menu, choose Save As.

    The Save As dialog box appears.

  3. In File name, enter the name of the file you want to save. If necessary, select a different drive or directory.
  4. Clear the checkbox for Include Numeric Data.
  5. Click Save.

    The current view of the table is saved as a new table file.

    Note: Data is not saved with the view. When the view is opened from another table, Beyond 20/20 checks the consistency of the view with the current table. If consistent, the current table view is replaced with the view being opened.

    You can locate saved views through the Find dialog box or the Open dialog box.


To search a source field's descriptive components

  1. From the Find Source Field dialog box, select one or more categories you want to search and then click Search.

    The Find Source Field Search dialog box appears.

  2. In Text to Find, enter the text you want to search for.
  3. In the Search Options area, select the fields you want to search:
    • Title/Description - A brief description of the source field.
    • Notes - An extended description of the source field.
    • Keywords - A list of individual words or phrases that relate to the contents of the source field.
    • Dimension/Source Field Names - The name of the source field.
    • Codes - The codes associated with the source field. (A code is a symbolic value that uniquely identifies an item.)
    • Labels - The labels associated with the source field. A label is a word or phrase that describes an item, or the code which identifies that item.

      The Browser compares the text you specified to the text stored in the source field's descriptive components. Any matching source fields are displayed in the Field/Type area, and the total number found is displayed above it.

      If a match is not found, the Field/Type area is empty and the message 0 found is displayed above it. In that case, you might want to clear the result in the Find Source Field dialog box and try a different search.


To search a time series dimension

  1. Select the time series dimension.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select Timeseries.
  4. In the From area, enter the year and month that you want to search from.

    Note: In the From and To areas, a month must be indicated by the number that refers to its chronological order in the calendar year. (January is number 1.)

  5. In the To area, enter the year and month that you want to search to.
  6. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to display all hidden items that match. Previously displayed items remain displayed.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.
  7. Click OK.

    The Browser determines whether the time series field contains the time span you specified, and then displays the results.

    Note: Searching time series data searches the base frequency of the data regardless of the time series aggregation displayed.


To search data

Note: You can only search data in a table view. (In a dimension view, only code and label fields are available.)

  1. Select the dimension you want to search.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select Data.
  4. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to add items to the current view.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.
  5. Do one of the following:
    • In Minimum, enter a number to represent the lowest data value you want to be included in the search result.
    • In Maximum, enter a number to represent the highest data value you want to be included in the search result.

      Tip: To limit the search result even further, specify both a minimum and maximum value.

  6. Click OK.

    The Browser determines whether any data in the table meets your criteria, and then displays the results.


To search the code field or a label field

  1. Select the dimension you want to search.
  2. Do one of the following:
    • Search button Click the Search button on the toolbar.
    • From the Dimension menu, choose Search.

      The Search dialog box appears.

  3. In the Field area, select either Code or the name of a label field.
  4. In Text to Find, enter the code, word, phrase, or abbreviation you want to search for.

    Tip: The Browser will find this text or code whether it is at the beginning, in the middle, or at the end of a series of characters. It is best to be as specific as possible.

  5. In the Type of Selection area:
    • Select Reduce to hide all items that do not match. Previously hidden items remain hidden.
    • Select Expand to display all hidden items that match. Previously displayed items remain displayed.
    • Select Find Next to search through the displayed items and move the cursor to the first item that matches the search. Hidden items are ignored, even if they match.

      The Browser determines whether the field you selected contains the text you specified, and then displays the results.


To search the descriptive components of a table or an extract

  1. From the Find dialog box, click Search.

    The Search Components dialog box appears.

  2. In Text to Find, enter the text you want to search for.
  3. In the Search Options area, select the options you want to search:
    • Title/Description - A brief description of the table or extract.
    • Notes - An extended description of the table or extract.
    • Keywords - A list of individual words or phrases that are associated with the table or extract.
    • Dimension/Source Field Names - The names assigned to the dimensions of a table or the source fields of an extract.
    • Codes - Symbolic values that uniquely identify items. A code can be an abbreviation or a combination of numbers and letters.
    • Labels - An optional word or phrase that describes an item, or the code that identifies that item. It can be the name of a person, place, object, or time value.
  4. Click OK.

    The Browser searches the tables and extracts currently listed in the Files area.

    • If a match is found, the table and/or extract name is displayed in the Files area. In addition, a message showing the total number of tables and/or extracts found is displayed above the Files area.
    • If a match is not found, the Files area is empty and the message "0 found" is displayed above it. In this case, you may want to clear the search result and try a different search.


To select a cell

  • Click on the cell you want to use. A box appears around the selected cell.

    Tip: The arrow keys can be used to move the cursor from one cell to the next in the same column or row. Alternatively, you can click the Next Item or Previous Item buttons on the toolbar to move the cursor from one cell to the next (one at a time) along a column or row.


To select a dimension tile

  1. Do one of the following:
    • Click on the dimension tile you want to use.
    • Click in the Active Dimension Box. Select the name of the dimension you want to use.

      Note: When you select a dimension in the dimension bar, the dimension and the single item on display are both selected.

      The dimension tile is selected and highlighted in the selection color. The corresponding dimension is now active and its name appears in the Active Dimension Box.


To select a dimension tile using the keyboard

Note: To force the Browser to release control of the keyboard at any time during the following procedure, press Esc.

  1. Press Alt, V.

    The View menu drops down.

  2. Do one of the following:
    • Using the down arrow key, move the cursor to the Set Active Dimension command. Press Enter.
    • Press A.

      The Set Active Dimension dialog box appears.

  3. Do one of the following:
    • Using the up or down arrow keys, move the cursor to the name of the dimension you want to make active.
    • Enter the first letter of the dimension name that you want to make active.
  4. Press Enter.

    The dimension tile is selected and highlighted in the selection color. The corresponding dimension is now active and its name appears in the Active Dimension Box.


To select a single heading

  • Click on the row or column item heading you want to use.

    The item heading, all its associated data, and the corresponding dimension tile are highlighted.


To select a time series display frequency and aggregation method

  1. From the View menu, choose Time Series.

    The Time Series dialog box appears.

  2. In the Display Frequency area, select a display frequency option button that is lower that the current base frequency.

    Note: Dimmed option buttons are unavailable. They represent frequencies that are higher than the base frequency.

  3. In the Aggregation Method area:
    • Select Totals to display the sum of all of the values associated with each of the underlying items for each time interval.
    • Select Averages to display the quotient obtained by dividing the sum of each of the underlying items by the total number of underlying items for each time interval.
    • Select Minimums to display the lowest data value obtained from any one of the underlying items for each time interval.
    • Select Maximums to display the highest data value obtained from any one of the underlying items for each time interval.
    • Select First Values to display the value that was recorded first (chronologically) out of those associated with the underlying items for each time interval.
    • Select Last Values to display the value that was recorded last (chronologically) out of those associated with the underlying items for each time interval.

      The Browser performs the time series aggregations and displays the result according to the display frequency you selected.


To select all the item headings in a dimension

  1. Select the dimension you want to use.
  2. From the Item menu, choose Select All.


To select advanced time series options

  1. From the View menu, choose Time Series.

    The Time Series dialog box appears.

  2. In the Advanced Options area:
    • Select Percent Change to calculate each value as the percentage increase since the previous time interval.

      The calculated value is derived from two consecutive intervals of time. The Browser finds the difference between the two values, divides it by the value associated with the first interval, and displays the result as a percentage.

    • Select Moving Averages to calculate each value as an average that is derived from a number of values associated with an earlier time span. This has the effect of smoothing out fluctuations in the data. You can combine up to 16 values.

      Note: In Periods, enter the number of items the Browser should combine to make up the new value.

      The time series calculations are performed and the result are displayed.

      Note: If any of the values used to calculate percentage differences or moving averages are unavailable or missing, a hyphen (-) is displayed for the affected time interval.


To select dimension colors and the selection color

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. In the Dimension Color areas, select colors for the dimension tiles.
  3. In Selection Color, select a color to represent selected objects.
  4. Click OK.


To select fonts or set the text justification for different report areas

  1. In the Page Setup dialog box, select the Fonts tab.

  2. From the Text to Modify list, select the report area whose font and justification characteristics you wish to change.

    Note: Row label (nesting) and Column label (nesting) denote higher-level dimension labels. Row label and Column label denote the lowest level of dimension label.

  3. From the Font, Font Style, Size, and Effects lists, select the font attributes you want to apply to the item you chose in the Text to Modify list.
  4. From the Justification list, select how the text is to be aligned.

    Note: Left justification aligns text along the left margin and leaves the right margin ragged (unaligned). Right justification aligns text along the right margin and leaves the left margin ragged. Center justification places each line in the center of the report area leaving both the left and right margins ragged.

  5. Repeat steps 2 through 4 for each report area you wish to change.
  6. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  7. If you are finished setting the formatting options for your report, click OK.


To select multiple adjacent headings

  1. Position the cursor over the heading of the first item you want to use. Click and hold the left mouse button.
  2. Drag the pointer along the headings of the items you want to use.
  3. Release the left mouse button.

    The item headings, all their associated data, and the corresponding dimension tile are highlighted.


To select multiple non-adjacent headings

Note: This technique lets you select headings from the same dimension, as well as headings from other dimensions.

  1. Click on the heading of the first item you want to use.
  2. Hold the Ctrl key down and click on the heading of the next item you want.
  3. Repeat Step 2 until the headings of all of the items you want to select are highlighted.

The item headings and all of their associated data are highlighted. The Active Dimension Box displays the dimension name of the item selected last.


To select range colors

  1. In a map view, do one of the following:
    • Click the right mouse button and choose Map Options.
    • From the View menu, choose Map Options.

      The Map Options dialog box appears.

  2. In the Range Colors area, select the colors you want to use to define the low, middle and high ranges.
  3. Click OK.

    The distribution of colors is adjusted according to your selections.


To select the members of a group

  1. Select the group item whose members you want to select.
  2. From the Item menu, choose Select Group.

    The items that are members of the group are highlighted in the current view.


To select the start of the fiscal year

  1. From the View menu, choose Fiscal Year.

    The Fiscal Year dialog box appears.

  2. Select the start month of the fiscal year and click OK.


To set a chart axis automatically through the Chart Options dialog box

  1. In a chart view, do one of the following:
    • Click the right mouse button and choose Chart Options.
    • From the View menu, choose Chart Options.

      The Chart Options dialog box appears.

  2. In the Other Options area, select Auto Axes.
  3. Do one of the following:
    • Click Save As Default to make all future charts reflect the current selection, and then click OK.
    • Click OK to exit without saving.

      Note: If Auto Axes is not checked, the scale that was applied to the previous chart will be used by default.


To set a chart axis automatically through the Edit Axis dialog box

  1. In a chart view, double-click on the axis that contains the units of measurement.

    The Edit Axis dialog box appears.

  2. Click Automatic to set the axis automatically.


To set a weight field

  1. From the Data menu, choose Set Weight Field.

    The Set Weight Field dialog box appears. Only numeric fields from the source file are displayed.

  2. Select the checkbox for Use Weight Field.
  3. Select the weight field and click OK.

    The source field selected to weight the data appears dimmed in the source field bar, indicating that it is unavailable for use as a dimension.

    Note: The notes section of the table summary will indicate which field was used as the weight field.


To set record constraints

  1. From the Data menu, choose Record Constraints.

    A Record Constraints view appears. Each column potentially represents a constraint.

  2. Select a source field you want to use to create a constraint and drag it into the first empty column in the view. (If a non-numeric field does not have a dimension definition file associated with it you are prompted to confirm the creation of one.)

    The source field name appears in the Field row.

    • If the source field is numeric, the lowest and highest data values appear in square brackets in the Criteria row (for example, [18, 89]).
    • If the field is coded, the codes related to the source field appear in quotation marks preceded by an equal sign in the Criteria row (for example, ="4").
  3. Double-click on the text in the Criteria row.
    • If the text you select is numeric, the Numeric Constraint dialog box appears.

      In the Numeric Constraint dialog box, select either a range or a comparison constraint.

    • If you select a range constraint, enter the minimum and maximum values to be included in the constraint. Select Inclusive to indicate that the range used to constrain the source field is inclusive of the minimum and maximum values.
    • If you select a comparison constraint, choose a comparison operator and, in the Value area, enter the value you want to use as the constraint.
    • If the text you select is coded, the Constraint Field dialog box appears:

      In the Constraint Field dialog box, select the codes you want to include in the constraint. (To select non-consecutive codes, hold the Ctrl key down and click on each code. To select consecutive codes, click on the first code, hold the Shift key down, and click on the last code.)

  4. Click OK.

    The Record Constraints view appears again. Repeat from Step 2 for each source field you want to impose constraints on.

    Tip: If you make a mistake, simply drag the source field back to the source field bar.

    Note: As you drag and drop the source fields into the columns, a single vertical line separates the columns that are filled. This indicates an And condition, where the Browser will search for records that match all of the constraints in each of the columns. If you want to indicate an Or condition, select a column and click Or. A separation and the word Or appear to the right of the selected column indicating that the Browser will search for records that match the constraints in either column (or group of columns). To change the Or condition back to an And condition, click And.

  5. If you want to constrain the data that will be loaded into the table, close the view.

    The constraints are applied and are detailed in the notes section of the table summary when the table is created.

    Note: Constraints may be modified at any time before the table is created.

  6. If an extract is open and you want to create a new extract that contains records according to the constraints specified: From the File menu, choose Save Extract As.

    The Save As dialog box appears.

  7. Save the new extract.

    An extract containing only the data that satisfies the constraints is created and an associated set of dimension definition files is saved. (The new extract is independent of the original extract.)


To set table options

  1. From the Data menu, choose Table Options.

    The Table Options dialog box appears.

  2. If you want to enable missing values - In the Missing Values Support area:
    • Select Missing Values Not Enabled if you want the Builder to display zeros in the cells of the table to indicate that no source data for that cell was found.
    • Select Table Initialized to Missing Values If you want the Builder to initialize all cells of the table to dashes before the source file is processed.

      Once a table is created, you cannot change the missing values support. (To determine if the missing values option was enabled when a table was built, check the table's summary statistics.)

  3. To prevent users from modifying the table, check Lock Table after Build. (For this option to work, you must save the table in IVT format before you build it.) The table will be Read-only.
  4. Click OK.


To set the default label field

  1. Select the dimension you want to set default label fields for.
  2. Do one of the following:
    • Label button Click the Next Label button on the toolbar.
    • From the Dimension menu, choose Change Labels.

      If you save the view, the next time you open this table this dimension will display the set of labels you selected.


To set the height and width of selected report areas

  1. In the Page Setup dialog box, select the Page Layout tab.

  2. From the Page Area Attributes list, select the report area you want to modify.
  3. Enter the minimum and maximum size values for the selected area. The program will determine the best fit within the specified range of values.

    Note: The values you enter are expressed as a percentage of total page height or width. For example, assume your page height is 11 inches. You enter a minimum value of 10 and a maximum value of 25 for Title Height. The minimum title height will be 1.1 inches and the maximum height will be 2.75 inches (10 percent of 11 inches and 25 percent of 11 inches, respectively).

  4. Repeat steps 2 and 3 for each area you wish to customize.
  5. If you wish to make your new values the permanent program defaults, click the Save as Default button.

    Note: If you do not click Save as Default, the program will revert to its original installation default values the next time you start it.

  6. If you are finished setting the formatting options for your report, click OK.


To show all the items in a dimension

  1. Select the dimension that contains the items you want to see.
  2. Do one of the following:
    • Click the right mouse button and choose Show All.
    • From the Dimension menu, choose Show All.

      All the active dimension's items are displayed in the table view.


To show only the items you select

  1. Select the headings of the items you want to display.
  2. Do one of the following:
    • Click the right mouse button and choose Show.
    • From the Item menu, choose Show.

      The unselected items disappear from the view.


To sort items

Note: If you want to sort by data value, you must be in a table view.

Note: If you want to sort a particular set of labels, first ensure that they are displayed in the table view.

  1. Select the dimension you want to sort.
  2. If you are sorting items that are displayed along the rows or columns of a table, select a cell that lies in the row or column that you want to sort.
  3. Do one of the following:
    • Sort Button Click the Sort button on the toolbar.
    • From the Dimension menu, choose Sort.

      The Sort dialog box appears. The Field area displays the fields of the dimension.

  4. In Field, select the field you want to sort.

    The Sort Options area displays the options for the selected field.

  5. In the Sort Options area:
    • Select Increasing to sort the data by ascending value.
    • Select Decreasing to sort the data by descending value.
    • Select Increasing Alphabetic to sort the codes or labels by 0-9. A-Z, and a-z.
    • Select Decreasing Alphabetic to sort the codes or labels by z-a, Z-A, and 9-0.
    • Select Increasing Numeric to sort the codes or labels by 0-9. (All alphabetic codes or labels will be presented first.)
    • Select Decreasing Numeric to sort the codes or labels by 9-0. (All alphabetic codes or labels will be presented last.)

      The items in the current view are displayed in the order specified.

      Note: To undo the most recent sort, choose Reset from the Dimension menu.


To sort source field tiles

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Do one of the following:
    • To display the source field tiles in alphabetical order, select the check box for Sort Source Field Tiles Alphabetically.
    • To display the source field tiles in the order in which they were created, clear the check box for Sort Source Field Tiles Alphabetically.
  3. Click OK.


To step through available code and label fields

  1. Select a dimension.
  2. Do one of the following:
    • Label button Click the Next Label button on the toolbar.
    • From the Dimension menu, choose Change Labels.

      The displayed codes or labels are replaced with the next available field of codes or labels. As you continue changing labels, the Browser steps through all of the available fields one at a time.


To style a chart

  1. Do one of the following:
    • Double-click on the object you want to style.
    • Double-click on the associated color in the legend (if a legend is available).

      The dialog box with the styling options particular to the active chart type appears.

  2. Select the options you want to use and click OK.

    The chart is displayed according to the options you selected.


To suppress the display of zeros in a table

  1. From the Window menu, choose Preferences.

    The Preferences dialog box appears.

  2. Clear the Display Zeros check box and click OK.

    From this point on, the Browser displays blank table cells when data values are equal to zero.


To switch dimensions

  1. Select the dimension you want to move.
  2. Do one of the following:
    • Drag and drop the tile on the row headings if you want to replace the row dimension.
    • Drag and drop the tile on the column headings if you want to replace the column dimension.
    • Drag and drop the tile on a dimension in the dimension bar if you want to replace one of the dimensions in the dimension bar.


To switch new items into a chart view

Note: A dimension tile can be switched into the legend or into the horizontal axis. Any time a single item is switched into a legend, the Browser replaces the legend with a title caption.

  1. Do one of the following:
    • Chart button Click the Tile button on the toolbar.
    • From the Window menu, choose Tile.
  2. In the table view, drag the dimension or items from the column or row dimension, or from the dimension bar, into the chart view.
  3. Do one of the following:
    • Drop the dimension or items over the data in the middle of the chart view to replace the dimension associated with the legend.
    • Drop the dimension or items below the horizontal axis to replace the items on display in the horizontal axis.

      The items that were on display in the chart view have been replaced by the object(s) you dragged into the chart view. The labels and data have been updated to reflect the switch. If you switched a new dimension into the horizontal axis, the new title caption is displayed.


To switch the axes in a chart view

Do one of the following:

  • Right click and choose Switch Axes.
  • From the View menu, choose Switch Axes.

    The data is displayed in the chart view with the horizontal and legend labels interchanged.


To tile all document windows

Do one of the following:

  • Chart button Click the Tile button on the toolbar.
  • From the Window menu, choose Tile Vertical or Tile Horizontal.

    The Browser arranges all of the document windows either side-by-side (vertically) or one above the other (horizontally).

    Tip: You can automatically tile all chart and map windows. From the Window menu, choose Preferences and select the check box for Automatically Tile Windows on Creation.


To view a dimension summary or an item summary

  • Summary Icon Click the Summary icon beside the name of the dimension or item whose summary you want to view.


To view a multilingual table in one of its alternate languages

Do one of the following:

  • From the View menu, choose Change Language.
  • Press F9.

    Note: Subsequent selections of the Change Language command or function key display the table in its next available language.


To view a source field summary

  1. Select a source field in the Fields/Type area of the Find Source Field dialog box and click Summary.

    A Source Field Summary appears.

  2. Click OK to return to the Find Source Field dialog box.

    Tip: To view a source field summary at any time, select the source field tile and then choose Source Field Summary from the Data menu.


To view a table summary

  • From the File menu, choose Summary.


To view an extract summary

  • From the Data menu, choose Extract Summary.

    An extract summary view appears.


To zoom into a region in a map

  1. In a map view, select a region that contains smaller regions. (To determine whether the active region contains constituent regions, select the region and check the status bar. If the words Total Group, Protected Group, or Calculated Group are displayed, the region contains a total, protected, or computed group.)
  2. Do one of the following:
    • Double-click on the region that interests you.
    • Click the right mouse button and choose Zoom In.
    • From the View menu, choose Zoom In.

      The Browser displays the constituent regions that comprise the active region.


To zoom out of a region in a map view

  1. Select any region that is part of a larger region. (To determine whether the active region is part of a larger region, select the region and check the status bar. If the word Member is displayed, the region is part of a larger region.)
  2. Do one of the following:
    • Double-click on any white space surrounding the map.
    • Click the right mouse button and choose Zoom out.
    • From the View menu, choose Zoom out.

      The Browser displays the larger region and all of the surrounding areas.


Builder Reference

In this section:

Designing Formulas

HTML in Summaries


Designing Formulas

Note: Formulas for calculating groups have a 255-character limit.

Use the following arithmetic operators:

+ Add
- Subtract
* Multiply
/ Divide
^ Raise to the power of

Use the following relational operators:

< Less than
<= Less than or equal to
= Equal to
> Greater than
>= Greater than or equal to
<> Not equal to

Evaluate from left to right, except for the following exceptions:

  • Operations inside round brackets ( ) are executed first.
  • ^ is evaluated before * and /, which in turn are evaluated before + and -

Use logical constructs:

If, then, else, and endif constructs can be used to create more complex formulas.

  • All four conditions (if, then, else, endif) must be included. See the Examples, below.
  • Square brackets must be used around item names that do not begin with a character, or that contain special characters (e.g., blanks or_ ). For example, [Field One].

Note on missing values in calculations:

When an operation is performed on cell values, some of the values may have been defined as missing values. Missing values act like zeros in calculations, with some exceptions. The results of operations between values and missing values are as follows:

  • Missing + Value = Value
  • Missing - Value = -Value
  • Missing * Value = 0
  • Missing / Value = 0
  • Value + Missing = Value
  • Value - Missing = Value
  • Value * Missing = 0
  • Value / Missing = Missing
  • Missing + Missing = 0
  • Missing - Missing = 0
  • Missing * Missing = 0
  • Missing / Missing = Missing

Formula examples:

Formula | Result
Salary*1.1 | Salary multiplied by 1.1
(Age+20)/2 | (Age plus 20) divided by 2
if Age >40 then Salary*1.05 else Salary*1.15 endif | If Age is greater than 40, then Salary is multiplied by 1.05; if Age is less than or equal to 40, Salary is multiplied by 1.15
if Sex = "1" then 0 else Salary*1.1 endif | If Sex = code 1, the value is zero; otherwise Salary is multiplied by 1.1 to arrive at the value.


HTML in Summaries

In this section:

Notes on HTML in Summaries

Hyperlinks in Summaries


Notes on HTML in Summaries

You can use HTML in the Notes area of summaries for formatting and creating hyperlinks. However, Beyond 20/20 advises you to use caution.

• Only use HTML if there is a strong requirement for its features.
• Use only simple text-formatting tags.
• Use only absolute links.

The following are some of the issues surrounding the use of HTML in summaries:

  • HTML merges formatting codes and content in a single document. Before you can export data to other file formats or view the contents in a non-HTML viewer, the codes and content must first be separated. This separation process can make summary notes difficult to read, confusing, or incorrect.
  • Because Beyond 20/20's IVT format is self-contained, IVTs can be moved to another location, downloaded, published using the Web Data Server (WDS), or installed from a CD-ROM in an unknown location with no loss of information. When relative links or image files are used the IVT is no longer self-contained but is tied to a remote reference. Relative links will fail if you move an IVT without moving all the linked files at the same time.
  • Similarly, links will fail in the Web Data Server if you have not maintained the original relationship between the IVT and the referenced document. Links will also fail if operating system security has not been set properly to permit access to the specified files. For example, a summary may display properly in an intranet environment but fail when the same file is published to the Internet, even though its location is the same.
  • The relationship of relative links within an IVT to the source document is a complex one. Please read the Hyperlinks topic on page 221 for information on specialized Beyond 20/20 links and links that will work with the Web Data Server.
  • Viewing summaries in HTML relies on an external program (the web browser), over which Beyond 20/20 has no control. HTML may display properly on some computers but show different formatting or lost content on other computers. Users' configuration settings may affect the display of summaries that use certain HTML features. Also, future web browser releases may contain code changes or bugs that cause the HTML to display incorrectly.
  • When HTML is used in summaries, Beyond 20/20 assumes a requirement to display the summary exactly as it is specified, and we minimize any changes to the generated document. On the other hand, if summaries are stored as text, Beyond 20/20 can format the text appropriately for the end-user. For example, in future releases, WDS may be able to offer centralized administration to give web sites a standardized look and feel based on the corporate web site. It may also be possible to add or remove new information content into the summaries. This feature will not be available if HTML has been used in the summaries. It is difficult to know what changes, features and environments will be required in the years ahead. Avoiding HTML if it is not required offers the best path to being able to take advantage of those features.


Hyperlinks in Summaries

  • Hyperlinks for use with Web Data Server
  • Hyperlinks for use with Beyond 20/20 Builder and Browser

Hyperlinks for use with Web Data Server

For use with Beyond 20/20 Web Data Server, use only the following kinds of links in summaries:

Absolute path over network

<A HREF="http://server_domain_name/path_name/page.html">

UNC-specified path

<A HREF="\\machine\path\page.html">

Relative path

<A HREF="page.html">

<A HREF="../directory/page.html">

Hyperlinks for use with Beyond 20/20 Builder and Browser

In summary notes, Beyond 20/20 Builder and Browser products have the ability to use specialized codes to reference files on an intranet or a local computer.

Note: Specialized codes are not supported by Beyond 20/20 Web Data Server (WDS), which must use absolute links. See Hyperlinks for use with Web Data Server, above.

Simple links

If you want to link to a file that you know to be located in the current directory of the user's computer you can use the following code:

<A HREF="file:link.htm"></A>

Complex links

The file you want to link to might be stored on a CD-ROM, in a directory elsewhere on the user's hard drive, or on an intranet. In that case Beyond 20/20 has to resolve the actual location of the file when the link is clicked.

The format to link to a file in an undefined location is as follows:

<A HREF="File:B2020?Type,Product,Key,Info"></A>

File:B2020? indicates that the file to be linked to is a local file whose location has not yet been determined. The other parameters refer to the following entries in the Product section of the user's B2020.ini file:

Type

The type of file being linked to. The type affects the information that is provided in the Info parameter, below. Possible values for Type and the meanings of the values are as follows:

  • File – The file is a browser-supported document such as a text file, an HTML file, or a graphic.
  • Exec – The file is an executable.

Product

The name of the product section in the B2020.ini file that contains the preferences for the product. See Product Areas.

Key

The key in the Product section of B2020.ini that defines the application that is to be invoked. The key can have two comma-separated values:

  • The application to be invoked
  • An optional user-defined field that may be included in the link via the %s substitution parameter

Info

Either the name of a file to view or of an executable to run, depending on the Type that is specified in the first parameter (above).

  • If the value of Type is File, Info contains the name of the file to be viewed in the user's browser.
  • If the value of Type is Exec, Info contains the command line information for running the executable. This may contain the characters %s, which indicate the second parameter of the key.

Example 1

This example shows you how to invoke a search engine from within a Beyond 20/20 summary dialog.

In this example, the name of your product is SocData. The search engine is called VIP.EXE. The command line for VIP.EXE requires you to specify the location of the database you want to search.

At the time when the table's Summary notes are prepared, you do not known where the user has installed the VIP application or the database.

The following Product key in the B2020.ini file, created as part of the installation process for SocData, defines the location of the VIP executable in English and in French. It also defines the location of the database you want VIP to search.

[SocData]
VIPeng=c:\vip\vip.exe,d:\database\english
VIPfra=c:\vip\vip.exe,d:\database\francais

Within the File Summary notes, you can create a link as follows:

Here is an <A HREF="File:B2020?Exec,SocData,VIPeng, -Qeconomic -I%sSOCDATA.NFO">economic</A> link.

This line of code appears this way to the user:

Here is an economic link.

In French, the link would be as follows:

Ici est une connection <A HREF="File:B2020? Exec,SocData,VIPfra,-Qeconomique -I%sSOCDATA.NFO">economique</A>.

This line of code appears this way to the user:

Ici est une connection economique.

At run-time, when Beyond 20/20 encounters a link that contains the string "File:B2020?", it will look up the product section (SocData) and key (VIPeng) in the B2020.ini file. Then it will build the following command string:

c:\vip\vip.exe -Qeconomic -Id:\database\socdata.nfo

Notes:

  • The keys you choose to create in the Product section of B2020.ini are entirely arbitrary, but you should make sure they do not conflict with other keys that are defined there, such as B2020Software, RecentN , UserData, etc.
  • If the VIP application is closed, Beyond 20/20 will retain its Window order and will reappear.
  • If the VIP application is capable of invoking Beyond 20/20, then Beyond 20/20 will recognize that a new copy is being invoked and will instead bring up the original copy with the new command line.
  • It is up to the installation program to ensure that the application has been properly installed and that the B2020.ini file has been properly updated.

Example 2

The name of your product is "SocData."

You want to create a link within the File Summary to a file called DATADICT.TXT. This file will remain on the CD because of its large size.

As part of the installation process for SocData, you create the following product section and keys in the B2020.ini file:

[SocData]
DataDictEng=d:\ddeng
DataDictFra=d:\ddfra

This tells Beyond 20/20 to look in d: for the English and French DataDict files.

Then you can create the following link within the File Summary notes:

Here are the <A HREF="File:B2020?File,SocData,DataDictEng,DATADICT.TXT">field definitions</A>.

Now when Beyond 20/20 encounters a link containing the string "File:B2020?" it will load the following document:

D:\DDENG\DATADICT.TXT

by looking up the product section [SocData] and key (DataDictEng) in the B2020.ini file.

This string will be loaded into the viewer from within Beyond 20/20.

In the French notes, the reference would be:

Ici sont les<A HREF="File:B2020?File,SocData,DataDictFra,DATADICT.TXT">définition du champs</A>.

Note:

The amount of information that is provided in the B2020.ini file is up to you, the information provider. The information in this example could have been specified as follows:

[SocData]
DataDictEng=d:\ddeng\datadict.txt
DataDictFra=d:\ddfra\datadict.txt

and the link as follows:

Here are the <A HREF="File:B2020?File,SocData, DataDictEng,">field definitions</A>.


Glossary

active

Currently selected. Any window and/or object that is currently selected is active. When an object is active, the Browser highlights it to show that it is selected. Browser commands affect the active object.

aggregate

To calculate a single data value which summarizes the data associated with more than one consecutive period of time.

ANSI character set

The American National Standards Institute 8-bit character set.

application

A computer program such as a word processing program or spreadsheet program.

application window

The window that contains your workspace, the menu bar, and (if available) a toolbar. Document windows are displayed in the workspace.

band

A range of numeric values associated with a numeric source field.

base frequency

The actual frequency at which the data is recorded in the table.

category

A name that is used to classify similar Beyond 20/20 tables, extracts and source fields of an extract according to subject.

cell

The smallest unit of data in a table view. The number that is displayed in a cell is common to all of the items on display, including the items in the Dimension bar and the intersecting items in the column and row dimensions.

check box

A small square box that is displayed beside an option in a dialog box. It can either be selected or cleared. When an option is selected, a check mark appears in the check box.

code

A symbolic value that uniquely identifies an item. A code can be an abbreviation or a combination of numbers and letters.

column

A sequence of numeric values related to the column dimension of a table view. A column contains one value for each row in the view.

column dimension

The dimension whose items are currently on display in the columns of a table view.

current directory

The directory from which you are currently opening files from, or saving files to. The path in the Open dialog box names the current directory.

cursor

The border that highlights the active cell in a table view. You can move the cursor from one cell or item to the next using the Previous Item and Next Item buttons.

data type

A classification of the data in a source field. The data in a source field is classified as either "Coded" or "Numeric". A coded source field contains one code for each record of the source file, and each code has a specific meaning. An example of a coded field is Sex (Code '1'=Male, Code '2'=Female). A numeric source field contains a numeric value for each record of the source file and each value can be different. An example of a numeric field could be 'Salary'.

defaults

The start up options that are preselected in the Browser software. You can override the default settings by specifying new ones after you start the Browser for the first time.

desktop

The background of the screen, on which all application windows and icons appear.

dialog box

A window that the Browser displays to request information. Dialog boxes have options you can select to influence the outcome of a command.

dimension

An aspect of the data (such as sex or region), which is broken down into one or more items (such as male and female, or Canada and U.S.A.). A dimension can be displayed in a dimension tile or along the columns or rows of a table view.

dimension definition file

A file containing the codes and labels associated with either a dimension of a table or a source field of an extract. If related to a source field, this file also contains all the data associated with the source field. These files can also contain complete classification systems for the dimensions or source fields they represent. These files have an (.ivd) extension.

dimension view

A window which shows all codes and labels that are associated with a dimension of a table or with a source field of an extract.

dimmed

Unavailable or disabled. A dimmed button or command is displayed in gray to show that it cannot be selected.

directory

A named area in the file storage structure on a disk. Directories are used to organize groups of related files. A directory can contain subdirectories.

display frequency

The selected interval of time between consecutive items on display in a time series dimension.

document window

A window inside the application window. A document window can contain a table view, a dimension view, a chart view, or a map view.

drag

To move an object on the screen from one area to another, or to select multiple choices or objects from a dialog box option or a view.

To drag, position your cursor over the object you want to relocate or select. Click on and hold the left mouse button, then move the mouse. As the mouse is moved, either the object is repositioned on the screen, or multiple choices/items are selected.

drill back

To return to the previous group view. A Drill Back arrow only appears after you have drilled down in a group.

drill down

To show the items that are members of a group.

drill up

To show the item that defines a group. Items that define groups appear bold and underlined.

drive

A device that is used to store and retrieve the information on a disk. Letters (for example, C: and H:) are used to identify the drives that are available on your computer and/or network.

drop

To release the left mouse button after an object has been repositioned on the screen. When the button is released, the object is displayed wherever the mouse pointer is currently pointing.

export

To extract data from an existing file format and translate it into a different format.

extension

The period character and up to three characters at the end of a file name. An extension can identify the kind of information a file contains. For example, Beyond 20/20 tables are named with the '.ivt' extension.

extract

A set of files created by the Beyond 20/20 Builder which is optimized to create rapid table creation with the Beyond 20/20 Browser. An extract is made up of one extract file (.ivx) and one dimension definition file (.ivd) for each source field associated with the extract.

extract file

An ASCII file containing summary documentation about the extract as well as references to each of the dimension definition files associated with each source field related to the extract.

field

A set of codes or a set of labels for all of the items in a dimension.

file format

The way information is structured inside a file. To access the data in a file, an application must be able to read and interpret the file format.

file name

The name of a file. A file name can contain up to eight characters, followed by an optional file name extension.

font

The size and common design attributed to a set of letters, numbers, punctuation marks, and symbols.

footnote

A textual description that provides information about the data in a cell. To view a footnote as a popup, place your mouse cursor over a cell that contains a footnote indicator. (In some cases, display of footnote indicators and popups may be suppressed. Footnotes can also be indicated by cell coloring.)

footnote indicator

The visible marker in a table cell that indicates a footnote is present. Footnote indicators are gray in color and they appear in brackets on the left-hand side of a table cell. (In some cases, display of footnote indicators and/or footnote descriptions may be suppressed. Cell coloring may also be used to indicate that a footnote is present.)

group

An item in a dimension that has an underlying hierarchical structure.

highlight

To make an object on the screen stand out by displaying it in reverse video or in color. Highlighting indicates that an object is selected, and that it will be affected by the next command.

icon

A graphic object that represents an application, a document, or a minimized window.

import

To bring new data into an existing file format.

index numbers

The sequential numbers in the column on the left side of the dimension view window. There is one index number for each item in the dimension.

item

An element of a dimension. An item can be identified by its unique code. It may have one or more labels assigned to it.

keyword

A word that you can search for (using the Search Components dialog box) to locate relevant tables quickly.

label

A word or series of words that name a person, object, or place. A label could also be a time value (such as day, month, quarter, or year), a symbolic value (such as a combination of letters and numbers, or an abbreviation), or a unit of measurement.

local

Directly connected to one of the ports on your computer.

maximize

To enlarge a window to its maximum size, or to turn the selected icon into the active window by choosing the Maximize command from the icon's Control menu.

minimize

To collapse a window or a document into an icon by choosing the Minimize button, or by choosing the Minimize command from the window's Control menu.

missing value

A textual description that provides information about a cell value that is defined as "missing." Values might be defined as missing because they are unavailable or confidential. To view a missing value as a popup, place your mouse cursor over a cell that contains a missing value indicator.

missing value indicator

A marker placed in a table cell to indicate that the cell's value is defined as missing. Missing value indicators are gray in color and they appear on the right-hand side of a table cell.

mouse pointer

The object on the screen that follows the movement of a mouse and indicates which area of the screen will be affected when you click on the mouse button.

multilingual table

A table that has more than one language associated with it. Multilingual tables are prepared by the Builder user who determines which languages are associated with the table.

nest

To display more than one dimension along the columns or rows in a table view.

network

A group of computers and devices which are connected so that they can exchange information and share drives and printers.

object

A general term that refers to any graphic on the screen you can drag.

option

A choice in a dialog box.

path

The route the operating system follows through the directory structure to locate a directory or a file.

profile

A profile is a user-defined collection of items and group definitions that belong to a dimension. These items can either be selected or shown when the profile is loaded.

public directory

The directory into which the Beyond 20/20 tables were copied when the Beyond 20/20 software was installed. Changing the path in the Find dialog box overwrites the path to the public directory.

read-only file

A file that cannot be changed.

recode

The action of assigning one or more codes in an existing source field to one or more new items.

record

The basic logical unit of a data base containing all source fields.

report

A printed Beyond 20/20 table document.

row

A sequence of numeric values related to the row dimension of a table view. A row contains one value for each column in the view.

row dimension

The dimension whose items are currently on display in the rows of a table view. More than one dimension can be nested in the row dimension area.

saved view

A particular view of a table that is stored in the table file and defines how the table is displayed.

scroll

To move through a window, a document, or the choices in an option to see a part of a file or part of a list that is currently not visible.

search result

The list of tables or items that match the search criteria you specify.

select

To click on an object or on a choice so that a subsequent action can be carried out on it.

session

The time between when you start the Browser and when you quit the Browser.

shortcut key

A key combination that can be used as an alternative to the mouse for choosing a command from a menu.

shortcut menu

Any menu that is displayed in a document window when the right mouse button is pressed.

source field

A subset of a record describing one complete variable comprised in the record. For example, Sex and Salary could be source fields of a human resources data base record.

subdirectory

A directory within another directory.

switch

To exchange the position of one dimension with another.

table

An integrated presentation of multi-dimensional data and descriptive text.

table file

A file that contains descriptive components, dimension field information, and data values. When the file is opened, the Browser presents the data in a table view.

table view

The main display of a table. It is a window which shows the dimensions of a table, along with the cells and corresponding data from the source file.

tile pattern

A way of arranging open windows so that no windows overlap but all windows are visible.

weight

A number indicating the logical number of times this record of the sample is to be included in a tabulation to obtain estimates of measures for the population.

worksheet

A working copy of a table. Data in a worksheet may be manipulated without affecting the original table. Any table operations may be made on the worksheet even if the original table is read-only.

workspace

The area of the application window where you work with documents. You can move document windows anywhere within the workspace.


Notice of Copyright

Beyond 20/20 Desktop Browser

Version 7.0, SP3

© Copyright 1992-2006 Beyond 20/20 Inc. All rights reserved. These materials are provided and may be used or distributed only in accordance with the terms of the Beyond 20/20 License Agreement.